<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsDetails, sqlDetails, intDetailsCount, arrDetailsData
dim strEmail, strPassword, strICQ, strMSN, strAIM, strWebsite, strLocation, strBiography

'check permission
call level_check(1)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether form has been submitted
				if request.form = "" then
					
					'grab all user details
					set rsDetails = server.createobject("adodb.recordset")
					sqlDetails = "SELECT User_ID, User_Name, User_Email, User_Password, User_Profile_ICQ, User_Profile_MSN, User_Profile_AIM, User_Profile_Website, User_Profile_Location, User_Profile_Biography FROM FB_Users WHERE User_ID = "& session("FB_UserID") &";"
					rsDetails.cursorlocation = 3
					rsDetails.open sqlDetails, adoConn
					if not (rsDetails.bof or rsDetails.eof) then
						intDetailsCount = rsDetails.recordcount
						arrDetailsData = rsDetails.getrows()
					else
						intDetailsCount = 0
					end if
					rsDetails.close
					set rsDetails = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display account header
					response.write("<h1>Account settings</h1>")
					
					'display account details
					response.write("<p>")
						response.write("Use the form below to make any changes to your Forest Blog account. Please ensure that you enter a vlaid email address for your account otherwise the changes will not be submitted. Fields marked with a * are required and must be completed.")
					response.write("</p>")
					
					'build account form
					response.write("<form action='account.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Your account details'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><b>Username</b>:</td>")
								response.write("<td class='details'>"& SQL_decode(arrDetailsData(1, 0)) &"</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='email'><b>Email address</b></label>: *<br />Any blog correspondance will be sent to this email address.</td>")
								response.write("<td class='details'><input id='email' name='email' type='text' value="""& SQL_decode(arrDetailsData(2, 0)) &""" size='22' maxlength='200' tabindex='1' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='password'><b>Password</b></label>: *<br />Please ensure that you use a secure password.</td>")
								response.write("<td class='details'><input id='password' name='password' type='password' value="""& SQL_decode(arrDetailsData(3, 0)) &""" size='22' maxlength='200' tabindex='2' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='icq'><b>ICQ number</b></label>:<br />Enter your ICQ number if you have one.</td>")
								response.write("<td class='details'><input id='icq' name='icq' type='text' value="""& SQL_decode(arrDetailsData(4, 0)) &""" size='22' maxlength='50' tabindex='3' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='msn'><b>MSN address</b></label>:<br />Enter your MSN address if you have one.</td>")
								response.write("<td class='details'><input id='msn' name='msn' type='text' value="""& SQL_decode(arrDetailsData(5, 0)) &""" size='22' maxlength='200' tabindex='4' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='aim'><b>AIM address</b></label>:<br />Enter your AIM address if you have one.</td>")
								response.write("<td class='details'><input id='aim' name='aim' type='text' value="""& SQL_decode(arrDetailsData(6, 0)) &""" size='22' maxlength='200' tabindex='5' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='website'><b>Website</b></label>:<br />Enter your website address if you have one, this will be used when posting comments.</td>")
								response.write("<td class='details'><input id='website' name='website' type='text' value="""& SQL_decode(arrDetailsData(7, 0)) &""" size='22' maxlength='200' tabindex='6' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='location'><b>Location</b></label>:<br />Enter your location.</td>")
								response.write("<td class='details'><input id='location' name='location' type='text' value="""& SQL_decode(arrDetailsData(8, 0)) &""" size='22' maxlength='200' tabindex='7' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='biography'><b>Biography</b></label>:<br />Enter your personal biography.</td>")
								response.write("<td class='details'><textarea id='biography' name='biography' cols='' rows='8' class='textarea'>"& replace(SQL_decode(arrDetailsData(9, 0)), "<br />", vbcrlf) &"</textarea></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'>&nbsp;</td>")
								response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='9' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				else
					
					'load and check variables
					if validate_email(request.form("email")) = true then
						strEmail = clean_text(request.form("email"), 0)
					else
						response.redirect("../error.asp?Type=Account&Error=Email&Redirect=/Admin/account.asp")
					end if
					
					if clean_text(request.form("password"), 0) <> "" then
						strPassword = clean_text(request.form("password"), 0)
					else
						response.redirect("../error.asp?Type=Account&Error=Password&Redirect=/Admin/account.asp")
					end if
					
					if clean_text(request.form("icq"), 0) <> "" then
						strICQ = clean_text(request.form("icq"), 0)
					else
						strICQ = NULL
					end if
					
					if clean_text(request.form("msn"), 0) <> "" then
						strMSN = clean_text(request.form("msn"), 0)
					else
						strMSN = NULL
					end if
					
					if clean_text(request.form("aim"), 0) <> "" then
						strAIM = clean_text(request.form("aim"), 0)
					else
						strAIM = NULL
					end if
					
					if clean_text(request.form("website"), 0) <> "" then
						if left(request.form("website"), 7) <> "http://" then
							strWebsite = "http://"& clean_text(request.form("website"), 0)
						else
							strWebsite = clean_text(request.form("website"), 0)
						end if
					else
						strWebsite = NULL
					end if
					
					if clean_text(request.form("location"), 0) <> "" then
						strLocation = clean_text(request.form("location"), 0)
					else
						strLocation = NULL
					end if 
					
					if clean_text(request.form("biography"), 0) <> "" then
						strBiography = clean_text(request.form("biography"), 0)
					else
						strBiography = NULL
					end if 
					
					'update user details
					set rsDetails = server.createobject("adodb.recordset")
					sqlDetails = "UPDATE FB_Users SET User_Email = '"& strEmail &"', User_Password = '"& strPassword &"', User_Profile_ICQ = '"& strICQ &"', User_Profile_MSN = '"& strMSN &"', User_Profile_Website = '"& strWebsite &"', User_Profile_Location = '"& strLocation &"', User_Profile_Biography = '"& strBiography &"' WHERE User_ID = "& session("FB_UserID") &";"
					rsDetails.cursortype = 2
					rsDetails.locktype = 3
					rsDetails.open sqlDetails, adoConn
					set rsDetails = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Account updated</h1>")
					response.write("Your account details have been successfully updated. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>