<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsActivation, sqlActivation, intActivationCount, arrActivationData
dim strHeader, strMessage, strAddress
dim intActivation, intUser

'load and check variables
if request.querystring("User") <> "" and isnumeric(request.querystring("User")) = true then
	intUser = int(request.querystring("User"))
end if

if request.querystring("Activation") <> "" and isnumeric(request.querystring("Activation")) = true then
	intActivation = int(request.querystring("Activation"))
end if

'set user IP address
if request.servervariables("HTTP_X_FORWARDED_FOR") = "" then
	strAddress = request.servervariables("REMOTE_ADDR")
else
	strAddress = request.servervariables("HTTP_X_FORWARDED_FOR")
end If
%>

<title>Forest Blog Administration</title>

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether user is already logged in
				if session("FB_UserID") <> "" then
					response.redirect(strBlogLocation &"/default.asp")
				end if
				
				'check whether valid inputs have been specified
				if intUser <> "" and intActivation <> "" then
					
					'look up user details
					set rsActivation = server.createobject("adodb.recordset")
					sqlActivation = "SELECT User_ID, User_Name, User_Level, User_Activation FROM FB_Users WHERE User_ID = "& intUser &" AND User_Activation = "& intActivation &";"
					rsActivation.cursorlocation = 3
					rsActivation.open sqlActivation, adoConn
					if not (rsActivation.bof or rsActivation.eof) then
						intActivationCount = rsActivation.recordcount
						arrActivationData = rsActivation.getrows()
					else
						intActivationCount = 0
					end if
					rsActivation.close
					set rsActivation= nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check valid user has been found
					if intActivationCount = 0 then
						
						'set confirmation message
						strHeader = "Activation failure"
						strMessage = "Your account activation was a failure. No user could be found with the details that you have specified."
						
					else
						
						'check whether account is already activated
						if arrActivationData(2, 0) > 0 then
							
							'set confirmation message
							strHeader = "Activation failure"
							strMessage = "Your account has already been activated and does not need to be activated again."
							
						else
							
							'activate specified account
							set rsActivation = server.createobject("adodb.recordset")
							sqlActivation = "UPDATE FB_Users SET User_Level = 1, User_Address = '"& strAddress &"', User_Date_Visit = '"& db_time(intBlogTimeOffset) &"' WHERE User_ID = "& intUser &" AND User_Activation = "& intActivation &";"
							rsActivation.cursortype = 2
							rsActivation.locktype = 3
							rsActivation.open sqlActivation, adoConn
							set rsActivation = nothing
							
							'increment query count
							intQuery = intQuery + 1
							
							'set session variables
							session("FB_UserID") = arrActivationData(0, 0)
							session("FB_UserName") = arrActivationData(1, 0)
							session("FB_UserLevel") = arrActivationData(2, 0)
							
							'write user details to cookie
							response.cookies(strBlogTitle)("ID") = arrActivationData(0, 0)
							response.cookies(strBlogTitle)("Code") = arrActivationData(3, 0)
							response.cookies(strBlogTitle).expires = dateadd("yyyy", 1, now())	
							
							'set confirmation message
							strHeader = "Activation completed"
							strMessage = "Your account has been successfully activated and you have been automatically logged in."							
							
						end if
						
					end if
					
					'display confirmation header
					response.write("<h1>"& strHeader &"</h1>")
					
					'display confirmation message
					response.write("<p>")
						response.write(strMessage &" Please click <a href='"& strBlogLocation &"/default.asp' title='"& strBlogTitle &"'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/default.asp"
					
				end if				
				%>
			</div>
			
			<div id="subcontent">
				
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>