<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsEvents, sqlEvents
dim strTitle, strDescription, strDate
dim intYear, intMonth, intDay, intHour, intMinute

'check events are enabled
if intBlogEventsEnabled = 0 then
	response.redirect("../error.asp?Type=Events&Error=Disabled&Redirect=/Admin/default.asp")
end if

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

<script language="javascript" type="text/javascript" src="<%=strBlogLocation%>/Includes/Tiny/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">
	tinyMCE.init
	(
		{
			theme : "advanced",
			mode : "textareas",
			theme_advanced_containers : "mceControls,mceEditor",
			theme_advanced_container_mceControls:  'formatselect,separator,bold,italic,underline,strikethrough,separator,justifyleft,justifycenter,justifyright,justifyfull,outdent,indent,numlist,bullist,separator,link,unlink,anchor,image,separator,undo,redo,code,help',
			theme_advanced_layout_manager : "RowLayout",
			theme_advanced_toolbar_location : "top",
			remove_linebreaks : false,
			plugins : "codeprotect",
			convert_urls: false,
			entities : "",
			debug : false
		}
	);
</script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether form has been submitted
				if request.form = "" then
					
					'display events header
					response.write("<h1>Add events</h1>")
					
					'display events details
					response.write("<p>")
						response.write("Use the form below to add a new event to the Forest Blog. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					'build events form
					response.write("<form action='events_add.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for adding new events.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='title'><b>Event title</b></label>:<br />The title of the event that you wish to add.</td>")
								response.write("<td class='details'><input id='title' name='title' type='text' value="""" size='22' maxlength='200' tabindex='1' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='description'><b>Event description</b></label>:<br />The description of the event that you wish to add.</td>")
								response.write("<td class='details'><textarea id='description' name='description' cols='' rows='10' tabindex='2' class='textarea'></textarea></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><b>Start date</b>:<br />The start date of the event that you wish to add.</td>")
								response.write("<td class='details'>")
									
									response.write("<ul>")
										response.write("<li class='day'><label for='day'>Day</label></li>")
										response.write("<li class='month'><label for='month'>Month</label></li>")
										response.write("<li class='year'><label for='year'>Year</label></li>")
									response.write("</ul>")
									
									response.write("<ul>")
										response.write("<li class='day'>")
											response.write("<select id='day' name='day' tabindex='3'>")
												response.write("<option value=""01"">01</option>")
												response.write("<option value=""02"">02</option>")
												response.write("<option value=""03"">03</option>")
												response.write("<option value=""04"">04</option>")
												response.write("<option value=""05"">05</option>")
												response.write("<option value=""06"">06</option>")
												response.write("<option value=""07"">07</option>")
												response.write("<option value=""08"">08</option>")
												response.write("<option value=""09"">09</option>")
												response.write("<option value=""10"">10</option>")
												response.write("<option value=""11"">11</option>")
												response.write("<option value=""12"">12</option>")
												response.write("<option value=""13"">13</option>")
												response.write("<option value=""14"">14</option>")
												response.write("<option value=""15"">15</option>")
												response.write("<option value=""16"">16</option>")
												response.write("<option value=""17"">17</option>")
												response.write("<option value=""18"">18</option>")
												response.write("<option value=""19"">19</option>")
												response.write("<option value=""20"">20</option>")
												response.write("<option value=""21"">21</option>")
												response.write("<option value=""22"">22</option>")
												response.write("<option value=""23"">23</option>")
												response.write("<option value=""24"">24</option>")
												response.write("<option value=""25"">25</option>")
												response.write("<option value=""26"">26</option>")
												response.write("<option value=""27"">27</option>")
												response.write("<option value=""28"">28</option>")
												response.write("<option value=""29"">29</option>")
												response.write("<option value=""30"">30</option>")
												response.write("<option value=""31"">31</option>")
											response.write("</select>")
										response.write("</li>")
										response.write("<li class='month'>")
											response.write("<select id='month' name='month' tabindex='4'>")
												response.write("<option value=""01"">January</option>")
												response.write("<option value=""02"">February</option>")
												response.write("<option value=""03"">March</option>")
												response.write("<option value=""04"">April</option>")
												response.write("<option value=""05"">May</option>")
												response.write("<option value=""06"">June</option>")
												response.write("<option value=""07"">July</option>")
												response.write("<option value=""08"">August</option>")
												response.write("<option value=""09"">September</option>")
												response.write("<option value=""10"">October</option>")
												response.write("<option value=""11"">November</option>")
												response.write("<option value=""12"">December</option>")
											response.write("</select>")
										response.write("</li>")
										response.write("<li class='year'>")
											response.write("<select id='year' name='year' tabindex='5'>")
												
												'loop three years in to the future
												for intYear = year(date) to year(date) + 3
													
													if intYear = year(date) then
														response.write("<option value="""& intYear &""" selected='selected'>"& intYear &"</option>")
													else
														response.write("<option value="""& intYear &""">"& intYear &"</option>")
													end if
													
												next
												
											response.write("</select>")
										response.write("</li>")
									response.write("</ul>")								
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><b>Start time</b>:<br />The time that the event will start.</td>")
								response.write("<td class='details'>")
									
									response.write("<ul>")
										response.write("<li class='hour'><label for='hour'>Hour</label></li>")
										response.write("<li class='minute'><label for='minute'>Minute</label></li>")
										response.write("<li class='minute'>&nbsp;</li>")
									response.write("</ul>")
									
									response.write("<ul>")
										response.write("<li class='hour'>")
											response.write("<select id='hour' name='hour' tabindex='6'>")
												response.write("<option value=""00"">00</option>")
												response.write("<option value=""01"">01</option>")
												response.write("<option value=""02"">02</option>")
												response.write("<option value=""03"">03</option>")
												response.write("<option value=""04"">04</option>")
												response.write("<option value=""05"">05</option>")
												response.write("<option value=""06"">06</option>")
												response.write("<option value=""07"">07</option>")
												response.write("<option value=""08"">08</option>")
												response.write("<option value=""09"">09</option>")
												response.write("<option value=""10"">10</option>")
												response.write("<option value=""11"">11</option>")
												response.write("<option value=""12"">12</option>")
												response.write("<option value=""13"">13</option>")
												response.write("<option value=""14"">14</option>")
												response.write("<option value=""15"">15</option>")
												response.write("<option value=""16"">16</option>")
												response.write("<option value=""17"">17</option>")
												response.write("<option value=""18"">18</option>")
												response.write("<option value=""19"">19</option>")
												response.write("<option value=""20"">20</option>")
												response.write("<option value=""21"">21</option>")
												response.write("<option value=""22"">22</option>")
												response.write("<option value=""23"">23</option>")
												response.write("<option value=""24"">24</option>")
											response.write("</select>")
										response.write("</li>")
										response.write("<li class='minute'>")
											response.write("<select id='minute' name='minute' tabindex='7'>")
												response.write("<option value=""00"">00</option>")
												response.write("<option value=""05"">05</option>")
												response.write("<option value=""10"">10</option>")
												response.write("<option value=""15"">15</option>")
												response.write("<option value=""20"">20</option>")
												response.write("<option value=""25"">25</option>")
												response.write("<option value=""30"">30</option>")
												response.write("<option value=""35"">35</option>")
												response.write("<option value=""40"">40</option>")
												response.write("<option value=""45"">45</option>")
												response.write("<option value=""50"">50</option>")
												response.write("<option value=""55"">55</option>")
											response.write("</select>")
										response.write("</li>")
										response.write("<li class='minute'>&nbsp;</li>")
									response.write("</ul>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='8' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				else
					
					'load and check variables
					if clean_text(request.form("title"), 0) <> "" then
						strTitle = clean_text(request.form("title"), 0)
					else
						response.redirect("../error.asp?Type=Events&Error=Title&Redirect=/Admin/events_add.asp")
					end if
					
					if clean_text(request.form("description"), 1) <> "" then
						strDescription = clean_text(request.form("description"), 1)
					else
						response.redirect("../error.asp?Type=Events&Error=Description&Redirect=/Admin/events_add.asp")
					end if			
					
					if request.form("year") <> "" and int(request.form("year")) >= 2005 then
						intYear = request.form("year")
					else
						response.redirect("../error.asp?Type=Events&Error=Date&Redirect=/Admin/events_add.asp")
					end if
					
					if request.form("month") <> "" and int(request.form("month")) >= 1 and int(request.form("month")) <= 12 then
						intMonth = request.form("month")
					else
						response.redirect("../error.asp?Type=Events&Error=Date&Redirect=/Admin/events_add.asp")
					end if
					
					if request.form("day") <> "" and int(request.form("day")) >= 0 and int(request.form("day")) <= 31 then
						intDay = request.form("day")
						
						if day(dateadd("d", -1, dateserial(intYear, intMonth + 1, 1))) < int(intDay) then
							response.redirect("../error.asp?Type=Events&Error=Date&Redirect=/Admin/events_add.asp")
						end if
						
					else
						response.redirect("../error.asp?Type=Events&Error=Date&Redirect=/Admin/events_add.asp")
					end if
					
					if request.form("hour") <> "" and int(request.form("hour")) >= 0 and int(request.form("hour")) <= 24 then
						intHour = request.form("hour")
					else
						response.redirect("../error.asp?Type=Events&Error=Date&Redirect=/Admin/events_add.asp")
					end if
					
					if request.form("minute") <> "" and int(request.form("minute")) >= 0 and int(request.form("minute")) <= 60 then
						intMinute = request.form("minute")
					else
						response.redirect("../error.asp?Type=Events&Error=Date&Redirect=/Admin/events_add.asp")
					end if
					
					'set date
					strDate = intYear & intMonth & intDay & intHour & intMinute & "00"
					
					'add event
					set rsEvents = server.createobject("adodb.recordset")
					sqlEvents = "INSERT INTO FB_Events (Event_Title, Event_Description, Event_Date_Added, Event_Date_Start) VALUES ('"& strTitle &"', '"& strDescription &"', '"& db_time(intBlogTimeOffset) &"', '"& strDate &"');"
					rsEvents.cursortype = 2
					rsEvents.locktype = 3
					rsEvents.open sqlEvents, adoConn
					set rsEvents = nothing
					
					'display confirmation
					response.write("<h1>Event added</h1>")
					
					response.write("<p>")
						response.write("The event has been successfully added. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>