<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsFeeds, sqlFeeds, intFeedsCount, arrFeedsData
dim strTitle, strAddress, strImage
dim intFeed, intHeadlines, intOrderOld, intOrderNew

'check feeds are enabled
if intBlogFeedEnabled = 0 then
	response.redirect("../error.asp?Type=Feeds&Error=Disabled&Redirect=/Admin/default.asp")
end if

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether to delete feed
				if request.form("delete") = 1 then
					
					'load and check variables
					if request.form("feed") <> "" or isnumeric(request.form("feed")) = true then
						intFeed = int(request.form("feed"))
					else
						response.redirect("../error.asp?Type=Feeds&Error=Feed&Redirect=/Admin/feeds_edit.asp")
					end if
					
					'check feed exists
					set rsFeeds = server.createobject("adodb.recordset")
					sqlFeeds = "SELECT Feed_ID, Feed_Order FROM FB_Feeds WHERE Feed_ID = "& intFeed &";"
					rsFeeds.cursorlocation = 3
					rsFeeds.open sqlFeeds, adoConn
					if not (rsFeeds.bof or rsFeeds.eof) then
						intFeedsCount = rsFeeds.recordCount
						arrFeedsData = rsFeeds.getrows()
					else
						intFeedsCount = 0
					end if
					rsFeeds.close
					set rsFeeds = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check valid feed was selected 
					if intFeedsCount = 0 then
						response.redirect("../error.asp?Type=Feeds&Error=Feed&Redirect=/Admin/category_edit.asp")
					end if
					
					'delete dpecified feed
					set rsFeeds = server.createobject("adodb.recordset")
					sqlFeeds = "DELETE FROM FB_Feeds WHERE Feed_ID = "& intFeed &";"
					rsFeeds.cursortype = 2
					rsFeeds.locktype = 3
					rsFeeds.open sqlFeeds, adoConn
					set rsFeeds = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'update feed orders
					set rsFeeds = server.createobject("adodb.recordset")
					sqlFeeds = "UPDATE FB_Feeds SET Feed_Order = (Feed_Order - 1) WHERE Feed_Order > "& arrFeedsData(1, 0) &";"
					rsFeeds.cursortype = 2
					rsFeeds.locktype = 3
					rsFeeds.open sqlFeeds, adoConn
					set rsFeeds = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Feed deleted</h1>")
					
					response.write("<p>")
						response.write("The feed has been successfully deleted. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				else
					
					'load and check variables
					if request.form("feed") <> "" or isnumeric(request.form("feed")) = true then
						intFeed = int(request.form("feed"))
					else
						response.redirect("../error.asp?Type=Feeds&Error=Feed&Redirect=/Admin/feeds_edit.asp")
					end if
					
					if clean_text(request.form("title"), 0) <> "" then
						strTitle = clean_text(request.form("title"), 0)
					else
						response.redirect("../error.asp?Type=Feeds&Error=Title&Redirect=/Admin/feeds_add.asp")
					end if
					
					if clean_text(request.form("address"), 0) <> "" then
						if left(request.form("address"), 7) <> "http://" then
							strAddress = "http://"& clean_text(request.form("address"), 0)
						else
							strAddress = clean_text(request.form("address"), 0)
						end if
					else
						response.redirect("../error.asp?Type=Feeds&Error=Address&Redirect=/Admin/feeds_add.asp")
					end if
					
					if clean_text(request.form("image"), 0) <> "" then
						strImage = clean_text(request.form("image"), 0)
					else
						strImage = NULL
					end if
					
					if isnumeric(request.form("headlines")) = true then
						intHeadlines = int(request.form("headlines"))
					else
						intHeadlines = 5
					end if
					
					if request.form("neworder") <> "" and isnumeric(request.form("neworder")) = true then
						intOrderNew = int(request.form("neworder"))
					else
						response.redirect("../error.asp?Type=Feeds&Error=Order&Redirect=/Admin/feeds_edit.asp?Feed="& intFeed)
					end if
					
					if request.form("order") <> "" and isnumeric(request.form("order")) = true then
						intOrderOld = int(request.form("order"))
					else
						response.redirect("../error.asp?Type=Feeds&Error=Order&Redirect=/Admin/feeds_edit.asp?Feed="& intFeed)
					end if
					
					'check feed exists
					set rsFeeds = server.createobject("adodb.recordset")
					sqlFeeds = "SELECT Feed_ID FROM FB_Feeds WHERE Feed_ID = "& intFeed &";"
					rsFeeds.cursorlocation = 3
					rsFeeds.open sqlFeeds, adoConn
					if not (rsFeeds.bof or rsFeeds.eof) then
						intFeedsCount = rsFeeds.recordcount
						arrFeedsData = rsFeeds.getrows()
					else
						intFeedsCount = 0
					end if
					rsFeeds.close
					set rsFeeds = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					if intFeedsCount = 0 then
						response.redirect("../error.asp?Type=Feeds&Error=Feed&Redirect=/Admin/category_edit.asp")
					end if
					
					'update feed details
					set rsFeeds = server.createobject("adodb.recordset")
					sqlFeeds = "UPDATE FB_Feeds SET Feed_Title = '"& strTitle &"', Feed_address = '"& strAddress &"', Feed_Image = '"& strImage &"', Feed_Headlines = "& intHeadlines &", Feed_Order = "& intOrderNew &" WHERE Feed_ID = "& intFeed &";"
					rsFeeds.cursortype = 2
					rsFeeds.locktype = 3
					rsFeeds.open sqlFeeds, adoConn
					set rsFeeds = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check feed order
					if intOrderNew <> intOrderOld then
						
						'check whether new order is greater or smaller than current order
						if intOrderNew > intOrderOld then
							
							'update feed orders
							set rsFeeds = server.createobject("adodb.recordset")
							sqlFeeds = "UPDATE FB_Feeds SET Feed_Order = (Feed_Order - 1) WHERE Feed_Order >= "& intOrderOld &" AND Feed_Order <= "& intOrderNew &" AND Feed_ID <> "& intFeed &";"
							rsFeeds.cursortype = 2
							rsFeeds.locktype = 3
							rsFeeds.open sqlFeeds, adoConn
							set rsFeeds = nothing
							
							'increment query count
							intQuery = intQuery + 1
					
						else
							
							'update feed orders
							set rsFeeds = server.createobject("adodb.recordset")
							sqlFeeds = "UPDATE FB_Feeds SET Feed_Order = (Feed_Order + 1) WHERE Feed_Order >= "& intOrderOld &" AND Feed_Order <= "& intOrderNew &" AND Feed_ID <> "& intFeed &";"
							rsFeeds.cursortype = 2
							rsFeeds.locktype = 3
							rsFeeds.open sqlFeeds, adoConn
							set rsFeeds = nothing
							
							'increment query count
							intQuery = intQuery + 1
							
						end if
						
					end if
						
					'display confirmation
					response.write("<h1>Feed edited</h1>")
					
					response.write("<p>")
						response.write("The feed has been successfully edited. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>