<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsLinks, sqlLinks, intLinksCount, arrLinksData
dim strTitle, strAddress, strImage
dim intLink, intOrderOld, intOrderNew

'check links are enabled
if intBlogLinkEnabled = 0 then
	response.redirect("../error.asp?Type=Links&Error=Disabled&Redirect=/Admin/default.asp")
end if

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether to delete link
				if request.form("delete") = 1 then
					
					'load and check variables
					if request.form("link") <> "" or isnumeric(request.form("link")) = true then
						intLink = int(request.form("link"))
					else
						response.redirect("../error.asp?Type=Links&Error=Link&Redirect=/Admin/links_edit.asp")
					end if
					
					'check link exists
					set rsLinks = server.createobject("adodb.recordset")
					sqlLinks = "SELECT Link_ID, Link_Order FROM FB_Links WHERE Link_ID = "& intLink &";"
					rsLinks.cursorlocation = 3
					rsLinks.open sqlLinks, adoConn
					if not (rsLinks.bof or rsLinks.eof) then
						intLinksCount = rsLinks.recordCount
						arrLinksData = rsLinks.getrows()
					else
						intLinksCount = 0
					end if
					rsLinks.close
					set rsLinks = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check valid link was selected 
					if intLinksCount = 0 then
						response.redirect("../error.asp?Type=Links&Error=Link&Redirect=/Admin/category_edit.asp")
					end if
					
					'delete dpecified link
					set rsLinks = server.createobject("adodb.recordset")
					sqlLinks = "DELETE FROM FB_Links WHERE Link_ID = "& intLink &";"
					rsLinks.cursortype = 2
					rsLinks.locktype = 3
					rsLinks.open sqlLinks, adoConn
					set rsLinks = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'update link orders
					set rsLinks = server.createobject("adodb.recordset")
					sqlLinks = "UPDATE FB_Links SET Link_Order = (Link_Order - 1) WHERE Link_Order > "& arrLinksData(1, 0) &";"
					rsLinks.cursortype = 2
					rsLinks.locktype = 3
					rsLinks.open sqlLinks, adoConn
					set rsLinks = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Link deleted</h1>")
					
					response.write("<p>")
						response.write("The link has been successfully deleted. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				else
					
					'load and check variables
					if request.form("link") <> "" or isnumeric(request.form("link")) = true then
						intLink = int(request.form("link"))
					else
						response.redirect("../error.asp?Type=Links&Error=Link&Redirect=/Admin/links_edit.asp")
					end if
					
					if clean_text(request.form("title"), 0) <> "" then
						strTitle = clean_text(request.form("title"), 0)
					else
						response.redirect("../error.asp?Type=Links&Error=Title&Redirect=/Admin/links_add.asp")
					end if
					
					if clean_text(request.form("address"), 0) <> "" then
						strAddress = clean_text(request.form("address"), 0)
					else
						response.redirect("../error.asp?Type=Links&Error=Address&Redirect=/Admin/links_add.asp")
					end if
					
					if clean_text(request.form("image"), 0) <> "" then
						strImage = clean_text(request.form("image"), 0)
					else
						strImage = NULL
					end if
					
					if request.form("neworder") <> "" and isnumeric(request.form("neworder")) = true then
						intOrderNew = int(request.form("neworder"))
					else
						response.redirect("../error.asp?Type=Links&Error=Order&Redirect=/Admin/links_edit.asp?Link="& intLink)
					end if
					
					if request.form("order") <> "" and isnumeric(request.form("order")) = true then
						intOrderOld = int(request.form("order"))
					else
						response.redirect("../error.asp?Type=Links&Error=Order&Redirect=/Admin/links_edit.asp?Link="& intLink)
					end if
					
					'check link exists
					set rsLinks = server.createobject("adodb.recordset")
					sqlLinks = "SELECT Link_ID FROM FB_Links WHERE Link_ID = "& intLink &";"
					rsLinks.cursorlocation = 3
					rsLinks.open sqlLinks, adoConn
					if not (rsLinks.bof or rsLinks.eof) then
						intLinksCount = rsLinks.recordcount
						arrLinksData = rsLinks.getrows()
					else
						intLinksCount = 0
					end if
					rsLinks.close
					set rsLinks = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					if intLinksCount = 0 then
						response.redirect("../error.asp?Type=Links&Error=Link&Redirect=/Admin/category_edit.asp")
					end if
					
					'update link details
					set rsLinks = server.createobject("adodb.recordset")
					sqlLinks = "UPDATE FB_Links SET Link_Title = '"& strTitle &"', Link_address = '"& strAddress &"', Link_Image = '"& strImage &"', Link_Order = "& intOrderNew &" WHERE Link_ID = "& intLink &";"
					rsLinks.cursortype = 2
					rsLinks.locktype = 3
					rsLinks.open sqlLinks, adoConn
					set rsLinks = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check link order
					if intOrderNew <> intOrderOld then
						
						'check whether new order is greater or smaller than current order
						if intOrderNew > intOrderOld then
							
							'update link orders
							set rsLinks = server.createobject("adodb.recordset")
							sqlLinks = "UPDATE FB_Links SET Link_Order = (Link_Order - 1) WHERE Link_Order >= "& intOrderOld &" AND Link_Order <= "& intOrderNew &" AND Link_ID <> "& intLink &";"
							rsLinks.cursortype = 2
							rsLinks.locktype = 3
							rsLinks.open sqlLinks, adoConn
							set rsLinks = nothing
							
							'increment query count
							intQuery = intQuery + 1
					
						else
							
							'update link orders
							set rsLinks = server.createobject("adodb.recordset")
							sqlLinks = "UPDATE FB_Links SET Link_Order = (Link_Order + 1) WHERE Link_Order >= "& intOrderNew &" AND Link_Order <= "& intOrderOld &" AND Link_ID <> "& intLink &";"
							rsLinks.cursortype = 2
							rsLinks.locktype = 3
							rsLinks.open sqlLinks, adoConn
							set rsLinks = nothing
							
							'increment query count
							intQuery = intQuery + 1
							
						end if
						
					end if
						
					'display confirmation
					response.write("<h1>Link edited</h1>")
					
					response.write("<p>")
						response.write("The link has been successfully edited. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>