<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->

<%
'dimension variables
dim rsRegister, sqlRegister, rsIdentity, sqlIdentity, rsAdministrators, sqlAdministrators, intAdministratorsCount, arrAdministratorsData
dim strUsername, strPassword, strEmail, strAddress, strHeader, strMessage, strRedirect, strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody
dim intActivation, intLevel, intUser, intAdministratorsLoop
dim booRegister

'load and check variables
randomize

if clean_text(request.form("name"), 0) <> "" then
	strUsername = clean_text(request.form("name"), 0)
else
	strUsername = ""
end if

if clean_text(request.form("password"), 0) <> "" then
	strPassword = clean_text(request.form("password"), 0)
else
	strPassword = ""
end if

if validate_email(request.form("email")) = true then
	strEmail = clean_text(request.form("email"), 0)
else
	strEmail = ""
end if

intActivation = int((999999 - 100001) * rnd + 100000)

'check whether email verification of account authorisation is enabled
if intBlogEMailVerification = 1 or intBlogAccountAuthorisation = 1 then
	intLevel = 0
else
	intLevel = 1
end if

'set user IP address
if request.servervariables("HTTP_X_FORWARDED_FOR") = "" then
	strAddress = request.servervariables("REMOTE_ADDR")
else
	strAddress = request.servervariables("HTTP_X_FORWARDED_FOR")
end If
%>

<title>Forest Blog Administration</title>

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="login">
				<%
				'check whether user is already logged in
				if session("FB_UserID") <> "" then
					
					'redirect to main page
					response.redirect(strBlogLocation &"/default.asp")
					
				else
					
					'check username, password and email have been entered
					if (strUsername = "" or strUsername = "name") and (strPassword = "" or strPassword = "password") and (strEmail = "" or strEmail = "name@domain.com") then
						
						'display registration header
						response.write("<h1>Account registration</h1>")
						
						'display registration details
						response.write("<p>")
							response.write("Please complete the form below to register for a user account with the "& strBlogTitle &" blog. You must complete all fields and enter a valid email address to register for an account.")
						response.write("</p>")
						
						'display account registration form
						response.write("<form action='register.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
							
							response.write("<p>")
								response.write("<input id='name' name='name' type='text' value=""name"" size='35' maxlength='80' tabindex='1' onfocus=""this.value=''"" /> <label for='name'>Name</label>")	
							response.write("</p>")
							
							response.write("<p>")
								response.write("<input id='password' name='password' type='password' value=""password"" size='35' maxlength='80' tabindex='2' onfocus=""this.value=''"" /> <label for='password'>Password</label>")	
							response.write("</p>")
							
							response.write("<p>")
								response.write("<input id='email' name='email' type='text' value=""name@domain.com"" size='35' maxlength='200' tabindex='3' onfocus=""this.value=''"" /> <label for='email'>Email address</label>")	
							response.write("</p>")
							
							response.write("<p>")
								response.write("<input id='submit' name='submit' type='submit' tabindex='3' value=""Submit"" class='button' />")	
							response.write("</p>")
							
						response.write("</form>")
						
					else
						
						'check the username and email address specified are not already registered
						set rsRegister = server.createobject("adodb.recordset")
						sqlRegister = "SELECT User_ID, User_Name, User_Email FROM FB_Users WHERE User_Name = '"& strUsername &"' OR User_Email = '"& strEmail &"';"
						rsRegister.cursortype = 2
						rsRegister.locktype = 3
						rsRegister.open sqlregister, adoConn
						if not (rsRegister.bof or rsRegister.eof) then
							booRegister = false
						else
							booRegister = true
						end if
						rsRegister.close
						set rsRegister= nothing
						
						'increment query count
						intQuery = intQuery + 1
						
						if booRegister = true then
							
							'add user to database
							set rsRegister = server.createobject("adodb.recordset")
							sqlRegister = "INSERT INTO FB_Users (User_Name, User_Email, User_Password, User_Address, User_Level, User_Activation, User_Date_Join) VALUES ('"& strUsername &"', '"& strEmail &"', '"& strPassword &"', '"& strAddress &"', "& intLevel &", "& intActivation &", '"& db_time(intBlogTimeOffset) &"');"
							rsRegister.cursortype = 2
							rsRegister.locktype = 3
							rsRegister.open sqlRegister, adoConn
							set rsRegister= nothing
							
							'increment query count
							intQuery = intQuery + 1
							
							'retrieve user ID
							set rsIdentity = server.createobject("adodb.recordset")
							sqlIdentity = "SELECT @@IDENTITY AS intUser FROM FB_Users;"
							rsIdentity.open sqlIdentity, adoConn
							intUser = rsIdentity("intUser")
							rsIdentity.close
							set rsIdentity = nothing
							
							'increment query count
							intQuery = intQuery + 1
							
							'check whether accounts require authorisation
							if intBlogAccountAuthorisation = 1 then
								
								'set confirmation message
								strHeader = "Registration complete"
								strMessage = "Your account registration has been completed successfully. However your account requires authorisation by one of the administrators before you will be able to log in."
								strRedirect = strBlogLocation &"/default.asp"
								
							else
							
								if intBlogEmailVerification = 1 then
									
									'set confirmation message
									strHeader = "Registration complete"
									strMessage = "Your account registration has been completed successfully. However your email address requires authorisation and an account activation email has been sent to the email address that you have specified. Until you have activated your account you will not be able to log in."
									strRedirect = strBlogLocation &"/default.asp"
									
									'construct and send account activation email
									strEmailTo = SQL_decode(strEmail)
									strEmailFrom = strBlogEmailAddress
									strEmailFromName = strBlogTitle
									strEmailSubject = strBlogTitle &": Account authorisation"
									strEmailBody = "Hi "& SQL_decode(strUsername) &",<p>To complete you account registration on the "& strBlogTitle &" blog please click the following link to activate your account: <a href='"& strBlogLocation &"/Admin/activate.asp?User="& intUser &"&Activation="& intActivation &"' title='Activate account'>"& strBlogLocation &"/Admin/activate.asp?User="& intUser &"&Activation="& intActivation &"</a></p>"& strBlogEmailSignature
									
									call send_email(strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody)
										
								else
									
									'set confirmation message
									strHeader = "Registration complete"
									strMessage = "Your account registration has been completed successfully and you can now log in with your specified details."
									strRedirect = strBlogLocation &"/Admin/login.asp"
									
								end if
							
							end if
							
							'notify administrators of new account if enabled
							if intBlogEmailNotification = 1 then
								
								'grab details of all administrators
								set rsAdministrators = server.createobject("adodb.recordset")
								sqlAdministrators = "SELECT User_ID, User_Name, User_Email FROM FB_Users WHERE User_Level = 4;"
								rsAdministrators.cursorlocation = 3
								rsAdministrators.open sqlAdministrators, adoConn
								if not (rsAdministrators.bof or rsAdministrators.eof) then
									intAdministratorsCount = rsAdministrators.recordcount
									arrAdministratorsData = rsAdministrators.getrows()
								else
									intAdministratorsCount = 0
								end if
								rsAdministrators.close
								set rsAdministrators = nothing
								
								'initialise counter
								intAdministratorsLoop = 0
								
								'loop through all administrators
								do until intAdministratorsLoop = intAdministratorsCount
		
									strEmailTo = SQL_decode(arrAdministratorsData(2, intAdministratorsLoop))
									strEmailFrom = strBlogEmailAddress
									strEmailFromName = strBlogTitle
									strEmailSubject = strBlogTitle &": New registration"
									
									'check for account authorisation
									if intBlogAccountAuthorisation = 1 then
										strEmailBody = "Hi "& SQL_decode(arrAdministratorsData(1, intAdministratorsLoop)) &",<p>A new user named "& SQL_decode(strUsername) &" with the email address "& SQL_decode(strEmail) &" has registered on the "& strBlogTitle &" blog. The user account needs to be authorised before they can log in to their account.</p><p>Please log in to the <a href='"& strBlogLocation &"/Admin' title='Administration panel'>administration panel</a> as soon as possible to verify their account details.<p>"& strBlogEmailSignature
									else
										if intBlogEmailVerification = 1 then
											strEmailBody = "Hi "& SQL_decode(arrAdministratorsData(1, intAdministratorsLoop)) &",<p>A new user named "& SQL_decode(strUsername) &" with the email address "& SQL_decode(strEmail) &" has registered on the "& strBlogTitle &" blog. The account is not active as the user has not yet verified their email address .</p><p>No action is required but you can authorise their account manually through the administration panel.<p>"& strBlogEmailSignature
										else
											strEmailBody = "Hi "& SQL_decode(arrAdministratorsData(1, intAdministratorsLoop)) &",<p>A new user named "& SQL_decode(strUsername) &" with the email address "& SQL_decode(strEmail) &" has registered on the "& strBlogTitle &" blog.</p><p>As email verification is disabled their account is now active and ready for use.<p>"& strBlogEmailSignature
										end if
									end if
									
									call send_email(strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody)
									
									intAdministratorsLoop = intAdministratorsLoop + 1
									
								loop
								
							end if
							
						else
							
							'set confirmation message
							strHeader = "Registration failed"
							strMessage = "Your account registration has failed because the username and/or email address that you have specified is already in use by another user."
							strRedirect = strBlogLocation &"/Admin/register.asp"
							
						end if
						
						'display message
						response.write("<h1>"& strHeader &"</h1>")
						
						response.write("<p>")
							response.write(strMessage)
						response.write("</p>")
						
						response.write("<p>")
							response.write("Please click <a href='"& strRedirect &"' title='"& strBlogTitle &"'>here</a> if you are not redirected within 5 seconds.")
						response.write("</p>")
						
						'set redirection
						response.addheader "Refresh", "5; URL="& strRedirect
						
					end if 
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>