<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsSearch, sqlSearch, intSearchCount, arrSearchData
dim intSearchLoop

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />
<script type="text/javascript" src="<%=strBlogLocation%>/Includes/inc-javascript.js"></script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				if request.form = "" then
					
					'display header
					response.write("<h1>Search list</h1>")
					
					'display welcome message
					response.write("<p>")
						response.write("Below is a list of all of the keywords that users have been searching your site for to help you better target your articles.")
					response.write("</p>")
					
					'grab all user search queries
					set rsSearch = server.createobject("adodb.recordset")
					sqlSearch = "SELECT Search_Keywords, Search_Date FROM FB_Search ORDER BY Search_Date ASC;"
					rsSearch.cursorlocation = 3
					rsSearch.open sqlSearch, adoConn
					if not (rsSearch.bof or rsSearch.eof) then
						intSearchCount = rsSearch.recordcount
						arrSearchData = rsSearch.getrows()
					else
						intSearchCount = 0
					end if
					rsSearch.close
					set rsSearch = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					
					'build table container
					response.write("<form action='search_list.asp' method='post' onsubmit='this.button.disabled=true;'>")
						response.write("<table cellspacing='0' summary='List of all the user searches that exist within the database'>")
							
							'buid table header
							response.write("<tr>")
								
								response.write("<th>Search keywords</th><th class='options'>Date</th>")
									
							response.write("</tr>")
							
							'initialise counter
							intSearchLoop = 0
							
							'loop through all search keywords
							do until intSearchLoop = intSearchCount
								
								response.write("<tr>")
									response.write("<td>"& SQL_decode(arrSearchData(0, intSearchLoop)) &"</td><td class='options'>"& web_time(arrSearchData(1, intSearchLoop), strBlogTimeFormat, "Date") &"</td>")	
								response.write("</tr>")
								
								'increment counter
								intSearchLoop = intSearchLoop + 1
							
							loop
							
							response.write("<tr>")
								response.write("<td>&nbsp;</td><td class='options'><input id='submit' name='submit' type='submit' tabindex='1' value=""Clear"" class='clear' /></td>")			
							response.write("</tr>")
							
						response.write("</table>")
					
				else
					
					'clear search table
					set rsSearch = server.createobject("adodb.recordset")
					sqlSearch = "DELETE FROM FB_Search;"
					rsSearch.cursortype = 2
					rsSearch.locktype = 3
					rsSearch.open sqlSearch, adoConn
					set rsSearch = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display header
					response.write("<h1>Search list</h1>")
					
					'display success message
					response.write("<p>")
						response.write("The search keywords have been successfully cleared.  Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
						
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>