<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsSettings, sqlSettings
dim strComponent, strHost, strAddress, strSignature
dim intNotification, intVerification

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

<script language="javascript" type="text/javascript" src="<%=strBlogLocation%>/Includes/Tiny/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">
	tinyMCE.init
	(
		{
			theme : "advanced",
			mode : "textareas",
			theme_advanced_containers : "mceControls,mceEditor",
			theme_advanced_container_mceControls:  'formatselect,separator,bold,italic,underline,strikethrough,separator,justifyleft,justifycenter,justifyright,justifyfull,outdent,indent,numlist,bullist,separator,link,unlink,anchor,image,separator,undo,redo,code,help',
			theme_advanced_layout_manager : "RowLayout",
			theme_advanced_toolbar_location : "top",
			remove_linebreaks : false,
			plugins : "codeprotect",
			convert_urls: false,
			entities : "",
			debug : false
		}
	);
</script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether form has been submitted
				if request.form = "" then
					
					'display email header
					response.write("<h1>Email settings</h1>")
					
					'display links details
					response.write("<p>")
						response.write("Use the form below to set the email settings for the Forest Blog. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					'build settings form
					response.write("<form action='settings_email.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for editing email settings.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='component'><b>Email component</b></label>:<br />The email component that you wish to use to send emails. All email options will be disabled if no component selected.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='component' name='component' tabindex='1' class='select'>")
										select case strBlogEmailComponent
											
											case "NONE"
												response.write("<option value=""NONE"" selected='selected'>None</option>")
												response.write("<option value=""CDONTS"">CDONTS</option>")
												response.write("<option value=""CDOSYS"">CDOSYS</option>")
												response.write("<option value=""ASPEMAIL"">ASP Email</option>")
												response.write("<option value=""JMAIL"">jMail</option>")
											
											case "CDONTS"
												response.write("<option value=""NONE"">None</option>")
												response.write("<option value=""CDONTS"" selected='selected'>CDONTS</option>")
												response.write("<option value=""CDOSYS"">CDOSYS</option>")
												response.write("<option value=""ASPEMAIL"">ASP Email</option>")
												response.write("<option value=""JMAIL"">jMail</option>")
											
											case "CDOSYS"
												response.write("<option value=""NONE"">None</option>")
												response.write("<option value=""CDONTS"">CDONTS</option>")
												response.write("<option value=""CDOSYS"" selected='selected'>CDOSYS</option>")
												response.write("<option value=""ASPEMAIL"">ASP Email</option>")
												response.write("<option value=""JMAIL"">jMail</option>")
												
											case "ASPEMAIL"
												response.write("<option value=""NONE"">None</option>")
												response.write("<option value=""CDONTS"">CDONTS</option>")
												response.write("<option value=""CDOSYS"">CDOSYS</option>")
												response.write("<option value=""ASPEMAIL"" selected='selected'>ASP Email</option>")
												response.write("<option value=""JMAIL"">jMail</option>")
											
											case "JMAIL"
												response.write("<option value=""NONE"">None</option>")
												response.write("<option value=""CDONTS"">CDONTS</option>")
												response.write("<option value=""CDOSYS"">CDOSYS</option>")
												response.write("<option value=""ASPEMAIL"">ASP Email</option>")
												response.write("<option value=""JMAIL"" selected='selected'>jMail</option>")
											
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='host'><b>Email host</b></label>:<br />Set the host settings required for ASP Email.</td>")
								response.write("<td class='details'><input id='host' name='host' type='text' value="""& strBlogEmailHost &""" size='22' maxlength='200' tabindex='2' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='address'><b>Email address</b></label>:<br />Set the email address that all blog emails will come from.</td>")
								response.write("<td class='details'><input id='address' name='address' type='text' value="""& strBlogEmailAddress &""" size='22' maxlength='200' tabindex='3' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='signature'><b>Email signature</b></label>:<br />Sets the text that is appended to the end of each email sent from the Forest Blog. HTML is enabled.</td>")
								response.write("<td class='details'><textarea id='signature' name='signature' cols='' rows='10' tabindex='4' class='textarea'>"& strBlogEmailSignature &"</textarea></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='notification'><b>Email notification</b></label>:<br />Enable or disable administrator notification of new comments.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='notification' name='notification' tabindex='5' class='select'>")
										select case intBlogEmailNotification
											case 0
												response.write("<option value=""0"" selected='selected'>Disabled</option>")
												response.write("<option value=""1"">Enabled</option>")
											case 1
												response.write("<option value=""0"">Disabled</option>")
												response.write("<option value=""1"" selected='selected'>Enabled</option>")												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='verification'><b>Email verification</b></label>:<br />Enable or disable the verification of users email address when registering.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='verification' name='verification' tabindex='6' class='select'>")
										select case intBlogEmailVerification
											case 0
												response.write("<option value=""0"" selected='selected'>Disabled</option>")
												response.write("<option value=""1"">Enabled</option>")
											case 1
												response.write("<option value=""0"">Disabled</option>")
												response.write("<option value=""1"" selected='selected'>Enabled</option>")												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='7' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				else
					
					'load and check variables
					if request.form("component") = "NONE" or request.form("component") = "CDONTS" or request.form("component") = "CDOSYS" or request.form("component") = "ASPEMAIL" then
						strComponent = request.form("component")
					else
						strComponent = "NONE"
					end if
					
					if strComponent <> "NONE" then
						if clean_text(request.form("host"), 0) <> "" then
							strHost = clean_text(request.form("host"), 0)
						else
							strHost = NULL
						end if
					else
						strHost = NULL
					end if
					
					if strComponent <> "NONE" then
						if validate_email(request.form("address")) = true then
							strAddress = clean_text(request.form("address"), 0)
						else
							response.redirect("../error.asp?Type=Email&Error=Address&Redirect=/Admin/settings_email.asp")
						end if
					else
						strAddress = NULL
					end if
					
					if clean_text(request.form("signature"), 1) <> "" then
						strSignature = clean_text(request.form("signature"), 1)
					else
						strSignature = NULL
					end if
					
					if strComponent  = "NONE" then
						intNotification = 0
					else
						if request.form("notification") <> "" and isnumeric(request.form("notification")) = true then
							intNotification = int(request.form("notification"))
						else
							intNotification = 0
						end if						
					end if
					
					if strComponent  = "NONE" then
						intVerification = 0
					else
						if request.form("verification") <> "" and isnumeric(request.form("verification")) = true then
							intVerification = int(request.form("verification"))
						else
							intVerification = 0
						end if						
					end if
					
					'update settings
					set rsSettings = server.createobject("adodb.recordset")
					sqlSettings = "UPDATE FB_Configuration SET Blog_Email_Component = '"& strComponent &"', Blog_Email_Host = '"& strHost &"', Blog_Email_Address = '"& strAddress &"', Blog_Email_Signature = '"& strSignature &"', Blog_Email_Notification = "& intNotification &", Blog_Email_Verification = "& intVerification &";"
					rsSettings.cursortype = 2
					rsSettings.locktype = 3
					rsSettings.open sqlSettings, adoConn
					set rsSettings = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Email settings updated</h1>")
					
					response.write("<p>")
						response.write("The email settings have been successfully updated. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>