<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsSettings, sqlSettings
dim intEnabled, intHeight, intWidth

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether form has been submitted
				if request.form = "" then
					
					'display gallery header
					response.write("<h1>Gallery settings</h1>")
					
					'display gallery details
					response.write("<p>")
						response.write("Use the form below to set the default settings for the Forest Blog. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					response.write("<p>")
						response.write("The gallery uses the aspJPEG component, if you enable the gallery you must have aspJPEG installed on your webserver otherwise any page with a gallery will error.")
					response.write("</p>")
					
					'build settings form
					response.write("<form action='settings_gallery.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for editing general settings.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='enabled'><b>Gallery enabled</b></label>:<br />Enable or disable the gallery, aspJPEG required.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='enabled' name='enabled' tabindex='1' class='select'>")
										select case intBlogGalleryEnabled
											case 0
												response.write("<option value=""0"" selected='selected'>Disabled</option>")
												response.write("<option value=""1"">Enabled</option>")
											case 1
												response.write("<option value=""0"">Disabled</option>")
												response.write("<option value=""1"" selected='selected'>Enabled</option>")												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='height'><b>Image height</b></label>:<br />The height to resize all gallery thumbnails.</td>")
								response.write("<td class='details'><input id='height' name='height' type='text' value="""& intBlogGalleryHeight &""" size='22' maxlength='200' tabindex='2' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='width'><b>Image width</b></label>:<br />The width to resize all gallery thumbnails.</td>")
								response.write("<td class='details'><input id='width' name='width' type='text' value="""& intBlogGalleryWidth &""" size='22' maxlength='200' tabindex='3' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='4' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				else
					
					'load and check variables
					if request.form("enabled") <> "" and isnumeric(request.form("enabled")) = true then
						intEnabled = int(request.form("enabled"))
					else
						intEnabled = 0
					end if
					
					if request.form("height") <> "" and isnumeric(request.form("height")) = true and intEnabled = 1 then
						intHeight = int(request.form("height"))
					else
						response.redirect("../error.asp?Type=Gallery&Error=Height&Redirect=/Admin/settings_gallery.asp")
					end if
					
					if request.form("width") <> "" and isnumeric(request.form("width")) = true and intEnabled = 1 then
						intWidth = int(request.form("width"))
					else
						response.redirect("../error.asp?Type=Gallery&Error=Width&Redirect=/Admin/settings_gallery.asp")
					end if
					
					'update gallery settings
					set rsSettings = server.createobject("adodb.recordset")
					sqlSettings = "UPDATE FB_Configuration SET Blog_Gallery_Enabled = "& intEnabled &", Blog_Gallery_Height = "& intHeight &", Blog_Gallery_Width = "& intWidth &";"
					rsSettings.cursortype = 2
					rsSettings.locktype = 3
					rsSettings.open sqlSettings, adoConn
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Gallery settings updated</h1>")
					
					response.write("<p>")
						response.write("The gallery settings have been successfully updated. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if				
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>