<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
randomize

'dimension variables
dim rsUsers, sqlUsers, intUsersCount, arrUsersData
dim strUserName, strEmail, strPassword, strICQ, strMSN, strAIM, strWebsite, strLocation, strBiography, strAddress, strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody
dim intLevel, intActivation
dim booRegister

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether form has been submitted
				if request.form = "" then
					
					'display users header
					response.write("<h1>Add users</h1>")
					
					'display users details
					response.write("<p>")
						response.write("Use the form below to add a new user to the Forest Blog. Please pay attention to the description of each value and click submit once you have made the necassary changes. Fields marked with a * are required and must be completed.")
					response.write("</p>")
					
					'build users form
					response.write("<form action='users_add.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form to add user accounts.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='name'><b>Username</b></label>: *<br />The username for the user, this must not be a duplicate of an existing user.</td>")
								response.write("<td class='details'><input id='name' name='name' type='text' value="""" size='22' maxlength='200' tabindex='1' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='email'><b>Email address</b></label>: *<br />Any blog correspondance will be sent to this email address.</td>")
								response.write("<td class='details'><input id='email' name='email' type='text' value="""" size='22' maxlength='200' tabindex='2' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='password'><b>Password</b></label>: *<br />Please ensure that you use a secure password.</td>")
								response.write("<td class='details'><input id='password' name='password' type='password' value="""" size='22' maxlength='200' tabindex='3' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='level'><b>Level</b></label>:<br />Sets the users access level.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='level' name='level' tabindex='4' class='select'>")
										response.write("<option value=""1"" selected='selected'>User</option>")
										response.write("<option value=""2"">Author</option>")
										response.write("<option value=""3"">Editor</option>")
										response.write("<option value=""4"">Administrator</option>")
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='icq'><b>ICQ number</b></label>:<br />Enter your ICQ number if you have one.</td>")
								response.write("<td class='details'><input id='icq' name='icq' type='text' value="""" size='22' maxlength='50' tabindex='4' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='msn'><b>MSN address</b></label>:<br />Enter your MSN address if you have one.</td>")
								response.write("<td class='details'><input id='msn' name='msn' type='text' value="""" size='22' maxlength='200' tabindex='5' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='aim'><b>AIM address</b></label>:<br />Enter your AIM address if you have one.</td>")
								response.write("<td class='details'><input id='aim' name='aim' type='text' value="""" size='22' maxlength='200' tabindex='6' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='website'><b>Website</b></label>:<br />Enter your website address if you have one, this will be used when posting comments.</td>")
								response.write("<td class='details'><input id='website' name='website' type='text' value="""" size='22' maxlength='200' tabindex='7' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='location'><b>Location</b></label>:<br />Enter your location.</td>")
								response.write("<td class='details'><input id='location' name='location' type='text' value="""" size='22' maxlength='200' tabindex='8' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='biography'><b>Biography</b></label>:<br />Enter your personal biography.</td>")
								response.write("<td class='details'><textarea id='biography' name='biography' cols='' rows='9' class='textarea'></textarea></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'>&nbsp;</td>")
								response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='10' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				else
					
					'load and check variables
					if clean_text(request.form("name"), 0) <> "" then
						strUserName = clean_text(request.form("name"), 0)
					else
						response.redirect("../error.asp?Type=Users&Error=Name&Redirect=/Admin/users_add.asp")
					end if
					
					if validate_email(request.form("email")) = true then
						strEmail = clean_text(request.form("email"), 0)
					else
						response.redirect("../error.asp?Type=Users&Error=Email&Redirect=/Admin/users_add.asp")
					end if
					
					if clean_text(request.form("password"), 0) <> "" then
						strPassword = clean_text(request.form("password"), 0)
					else
						response.redirect("../error.asp?Type=Users&Error=Password&Redirect=/Admin/users_add.asp")
					end if
					
					if request.form("level") <> "" and isnumeric(request.form("level")) = true then
						intLevel = int(request.form("level"))
					else
						response.redirect("../error.asp?Type=Users&Error=Level&Redirect=/Admin/users_add.asp")
					end if
					
					if clean_text(request.form("icq"), 0) <> "" then
						strICQ = clean_text(request.form("icq"), 0)
					else
						strICQ = NULL
					end if
					
					if clean_text(request.form("msn"), 0) <> "" then
						strMSN = clean_text(request.form("msn"), 0)
					else
						strMSN = NULL
					end if
					
					if clean_text(request.form("aim"), 0) <> "" then
						strAIM = clean_text(request.form("aim"), 0)
					else
						strAIM = NULL
					end if
					
					if clean_text(request.form("website"), 0) <> "" then
						if left(request.form("website"), 7) <> "http://" then
							strWebsite = "http://"& clean_text(request.form("website"), 0)
						else
							strWebsite = clean_text(request.form("website"), 0)
						end if
					else
						strWebsite = NULL
					end if
					
					if clean_text(request.form("location"), 0) <> "" then
						strLocation = clean_text(request.form("location"), 0)
					else
						strLocation = NULL
					end if 
					
					if clean_text(request.form("biography"), 0) <> "" then
						strBiography = clean_text(request.form("biography"), 0)
					else
						strBiography = NULL
					end if 
					
					strADdress = "0.0.0.0"
					
					intActivation = int((999999 - 100001) * rnd + 100000)
					
					'check the username and email address specified are not already registered
					set rsUsers = server.createobject("adodb.recordset")
					sqlUsers = "SELECT User_ID, User_Name, User_Email FROM FB_Users WHERE User_Name = '"& strUsername &"' OR User_Email = '"& strEmail &"';"
					rsUsers.cursortype = 2
					rsUsers.locktype = 3
					rsUsers.open sqlUsers, adoConn
					if not (rsUsers.bof or rsUsers.eof) then
						booRegister = false
					else
						booRegister = true
					end if
					rsUsers.close
					set rsUsers= nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check whether to add user
					if booRegister = false then
						response.redirect("../error.asp?Type=Users&Error=Duplicate&Redirect=/Admin/users_add.asp")
					end if
					
					'add user to database
					set rsUsers = server.createobject("adodb.recordset")
					sqlUsers = "INSERT INTO FB_Users (User_Name, User_Email, User_Password, User_Level, User_Address, User_Activation, User_Date_Join, User_Profile_ICQ, User_Profile_MSN, User_Profile_AIM, User_Profile_Website, User_Profile_Location, User_Profile_Biography) VALUES ('"& strUsername &"', '"& strEmail &"', '"& strPassword &"', "& intLevel &", '"& strAddress &"', "& intActivation &", '"& db_time(intBlogTimeOffset) &"', '"& strICQ &"', '"& strMSN &"', '"& strAIM &"', '"& strWebsite &"', '"& strLocation &"', '"& strBiography &"');"
					rsUsers.cursortype = 2
					rsUsers.locktype = 3
					rsUsers.open sqlUsers, adoConn
					set rsUsers= nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check for email component
					if strBlogEmailComponent <> "NONE" then
					
						'construct and send account activation email
						strEmailTo = SQL_decode(strEmail)
						strEmailFrom = strBlogEmailAddress
						strEmailFromName = strBlogTitle
						strEmailSubject = strBlogTitle &": Account created"
						strEmailBody = "Hi "& SQL_decode(strUsername) &",<p>A user account for the "& strBlogTitle &" blog has been created for you with the following details: Username: <b>"& strUsername &"</b> password:<b>"& strPassword &"</b></p><p>You can log in using these details <a href='"& strBlogLocation &"/Admin/login.asp' title='Account login'>here</a> at any time.</p>"& strBlogEmailSignature
						
						call send_email(strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody)
						
					end if
					
					'display confirmation
					response.write("<h1>User added</h1>")
					
					response.write("<p>")
						response.write("The user has been successfully added. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>