<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsUsers, sqlUsers, intUsersCount, arrUsersData, rsArticles, sqlArticles
dim strUserName, strEmail, strPassword, strICQ, strMSN, strAIM, strWebsite, strLocation, strBiography, strAddress, strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody
dim intUser, intLevel, intActivation
dim booEdit

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include virtual="/Admin/Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				if request.form("delete") = 1 then
					
					'load and check variables
					if request.form("user") <> "" or isnumeric(request.form("user")) = true then
						intUser = int(request.form("user"))
					else
						response.redirect("../error.asp?Type=Users&Error=User&Redirect=/Admin/users_edit.asp")
					end if
					
					if request.form("level") <> "" and isnumeric(request.form("level")) = true then
						intLevel = int(request.form("level"))
					end if
					
					'check valid user has been selected
					set rsUsers = server.createobject("adodb.recordset")
					sqlUsers = "SELECT User_ID, User_Name, User_Email FROM FB_Users WHERE User_ID = "& intUser &";"
					rsUsers.cursorlocation = 3
					rsUsers.open sqlUsers, adoConn
					if not (rsUsers.bof or rsUsers.eof) then
						intUsersCount = rsUsers.recordcount
						arrUsersData = rsUsers.getrows()
					else
						intUsersCount = 0
					end if
					rsUsers.close
					set rsUsers = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					if intUsersCount = 0 then
						response.redirect("../error.asp?Type=Users&Error=User&Redirect=/Admin/users_edit.asp")
					end if
					
					'check we're not deleting default administrator
					if arrUsersData(0, 0) = 1 then
						response.redirect("../error.asp?Type=Users&Error=Administrator&Redirect=/Admin/users_edit.asp")
					end if
					
					'assign all articles posted by the user to the default administrator
					set rsArticles = server.createobject("adodb.recordset")
					sqlArticles = "UPDATE FB_Articles SET Article_User_ID = 1 WHERE Article_User_ID = "& intUser &";"
					rsArticles.cursortype = 2
					rsArticles.locktype = 3
					rsArticles.open sqlArticles, adoConn
					set rsArticles = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'delete the specified user account
					set rsUsers = server.createobject("adodb.recordset")
					sqlUsers = "DELETE FROM FB_Users WHERE User_ID = "& intUser &";"
					rsUsers.cursortype = 2
					rsUsers.locktype = 3
					rsUsers.open sqlUsers, adoConn
					set rsUsers = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'email user notification of account deletion
					if strBlogEmailComponent <> "NONE" then
						
						strEmailTo = SQL_decode(arrUsersData(2, 0))
						strEmailFrom = strBlogEmailAddress
						strEmailFromName = strBlogTitle
						strEmailSubject = strBlogTitle &": Account deleted"
						strEmailBody = "Hi "& SQL_decode(arrUsersData(1, 0)) &",<p>Your user account with "& strBlogTitle &" has been deleted by "& SQL_decode(session("FB_UserName")) &" and you are no longer allowed to log in.</p>"& strBlogEmailSignature
						
						call send_email(strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody)
						
					end if
					
					'display confirmation
					response.write("<h1>User deleted</h1>")
					
					response.write("<p>")
						response.write("The user has been successfully deleted. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				else
					
					'load and check details
					if request.form("user") <> "" or isnumeric(request.form("user")) = true then
						intUser = int(request.form("user"))
					else
						response.redirect("../error.asp?Type=Users&Error=User&Redirect=/Admin/users_edit.asp")
					end if
					
					if clean_text(request.form("name"), 0) <> "" then
						strUserName = clean_text(request.form("name"), 0)
					else
						response.redirect("../error.asp?Type=Users&Error=Name&Redirect=/Admin/users_edit.asp")
					end if
					
					if validate_email(request.form("email")) = true then
						strEmail = clean_text(request.form("email"), 0)
					else
						response.redirect("../error.asp?Type=Users&Error=Email&Redirect=/Admin/users_edit.asp")
					end if
					
					if clean_text(request.form("password"), 0) <> "" then
						strPassword = clean_text(request.form("password"), 0)
					else
						response.redirect("../error.asp?Type=Users&Error=Password&Redirect=/Admin/users_edit.asp")
					end if
					
					if request.form("level") <> "" and isnumeric(request.form("level")) = true then
						intLevel = int(request.form("level"))
					else
						response.redirect("../error.asp?Type=Users&Error=Level&Redirect=/Admin/users_edit.asp")
					end if
					
					if clean_text(request.form("icq"), 0) <> "" then
						strICQ = clean_text(request.form("icq"), 0)
					else
						strICQ = NULL
					end if
					
					if clean_text(request.form("msn"), 0) <> "" then
						strMSN = clean_text(request.form("msn"), 0)
					else
						strMSN = NULL
					end if
					
					if clean_text(request.form("aim"), 0) <> "" then
						strAIM = clean_text(request.form("aim"), 0)
					else
						strAIM = NULL
					end if
					
					if clean_text(request.form("website"), 0) <> "" then
						if left(request.form("website"), 7) <> "http://" then
							strWebsite = "http://"& clean_text(request.form("website"), 0)
						else
							strWebsite = clean_text(request.form("website"), 0)
						end if
					else
						strWebsite = NULL
					end if
					
					if clean_text(request.form("location"), 0) <> "" then
						strLocation = clean_text(request.form("location"), 0)
					else
						strLocation = NULL
					end if 
					
					if clean_text(request.form("biography"), 0) <> "" then
						strBiography = clean_text(request.form("biography"), 0)
					else
						strBiography = NULL
					end if
					
					'check the user details do not conflict with an existing user
					set rsUsers = server.createobject("adodb.recordset")
					sqlUsers = "SELECT User_ID, User_Name, User_Email FROM FB_Users WHERE (User_Name = '"& strUsername &"' OR User_Email = '"& strEmail &"') AND User_ID <> "& intUser &";"
					rsUsers.cursortype = 2
					rsUsers.locktype = 3
					rsUsers.open sqlUsers, adoConn
					if not (rsUsers.bof or rsUsers.eof) then
						booEdit = false
					else
						booEdit = true
					end if
					rsUsers.close
					set rsUsers= nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check whether to continue editing
					if booEdit = false then
						response.redirect("../error.asp?Type=Users&Error=Duplicate&Redirect=/Admin/users_edit.asp")
					end if
					
					'update user details
					set rsUsers = server.createobject("adodb.recordset")
					sqlUsers = "UPDATE FB_Users SET User_Name = '"& strUsername &"', User_Email = '"& strEmail &"', User_Password = '"& strPassword &"', User_Address = '"& strAddress &"', User_Level = "& intLevel &", User_Date_Join = '"& db_time(intBlogTimeOffset) &"', User_Profile_ICQ = '"& strICQ &"', User_Profile_MSN = '"& strMSN &"', User_Profile_AIM = '"& strAIM &"', User_Profile_Website = '"& strWebsite &"', User_Profile_Location = '"& strLocation &"', User_Profile_Biography = '"& strBiography &"' WHERE User_ID = "& intUser &";"
					rsUsers.cursortype = 2
					rsUsers.locktype = 3
					rsUsers.open sqlUsers, adoConn
					set rsUsers= nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>User edited</h1>")
					
					response.write("<p>")
						response.write("The user has been successfully edited. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>