<%
'display blog breadcrumb based on current page
sub display_breadcrumb()
	
	'dimension variables
	dim intBreadcrumbLoop
	
	response.write("<div id='breadcrumb'>")
		response.write("You're here: ")

		'if there are no sibling pages loop through root pages
		if intSiblingsCount = 0 then
			
			'initialise counter
			intBreadcrumbLoop = 0
			
			'loop through root pages for current root
			do until intBreadcrumbLoop = intPagesCount
				
				'check for current page
				if lcase(arrPagesData(3, intBreadcrumbLoop)) = lcase(strCurrentPage) then
					response.write("<a href='"& SQL_decode(arrPagesData(3, intBreadcrumbLoop)) &"' title='"& SQL_decode(arrPagesData(1, intBreadcrumbLoop)) &"'>"& SQL_decode(arrPagesData(1, intBreadcrumbLoop)) &"</a>")
				end if
				
				'increment counter
				intBreadcrumbLoop = intBreadcrumbLoop + 1
			loop
			
		else
			
			'display root link
			response.write("<a href='"& SQL_decode(arrSiblingsData(3, 0)) &"' title='"& SQL_decode(arrSiblingsData(2, 0)) &"'>"& SQL_decode(arrSiblingsData(2, 0)) &"</a>")
			
			'initialise counter
			intBreadcrumbLoop = 0
			
			'loop through sibling pages for current page
			do until intBreadcrumbLoop = intSiblingsCount
				
				'check for current page
				if lcase(arrSiblingsData(1, intBreadcrumbLoop)) = lcase(strCurrentPage) then
					
					'display root link
					response.write(" >> "& SQL_decode(arrSiblingsData(0, intBreadcrumbLoop)))
					
					'breakout of loop
					intBreadcrumbLoop = intSiblingsCount - 1
					
				end if
				
				'increment counter
				intBreadcrumbLoop = intBreadcrumbLoop + 1
				
			loop
			
		end if
		
	response.write("</div>")
end sub


'display all related pages
sub display_related()
	
	'dimension variables
	dim intVisibleLoop, intSiblingsLoop
	dim booVisible
	
	'check for sub-pages
	if intSiblingsCount <> 0 then
		
		'set visible pages to false
		booVisible = false
		
		'initialise counter
		intVisibleLoop = 0
		
		'loop through all related pages
		do until intVisibleLoop = intSiblingsCount
			
			'check for current page visibility
			if arrSiblingsData(5, intVisibleLoop) = 1 then
				booVisible = true
			end if
			
			'increment counter
			intVisibleLoop = intVisibleLoop + 1
			
		loop
		
		'initialise counter
		intSiblingsLoop = 0
		
		'check that related pages are visible
		if booVisible = true then
		
			response.write("<div id='pages'>")
			
				'display header
				response.write("<h1>Related pages</h1>")
				
				'display related pages
				response.write("<ul>")
					
					'loop through all sub pages
					do until intSiblingsLoop = intSiblingsCount
						
						'check that current page is visible
						if arrSiblingsData(5, intSiblingsLoop) = 1 then
							
							'check whether sub page has an image associated with it
							if arrSiblingsData(6, intSiblingsLoop) <> "" then
								response.write("<li><a href='"& SQL_decode(arrSiblingsData(1, intSiblingsLoop)) &"' title='"& SQL_decode(arrSiblingsData(0, intSiblingsLoop)) &"'><img src='"& SQL_decode(arrSiblingsData(6, intSiblingsLoop)) &"' alt='"& SQL_decode(arrSiblingsData(0, intSiblingsLoop)) &"' /></a></li>")
							else
								response.write("<li><a href='"& SQL_decode(arrSiblingsData(1, intSiblingsLoop)) &"' title='"& SQL_decode(arrSiblingsData(0, intSiblingsLoop)) &"'>"& SQL_decode(arrSiblingsData(0, intSiblingsLoop)) &"</a></li>")
							end if
							
						end if
							
						'increent counter
						intSiblingsLoop = intSiblingsLoop + 1
						
					loop
					
				response.write("</ul>")
				
			response.write("</div>")
		
		end if
		
	end if
	
end sub


'get days in specified month
function MonthDays(strYear, strMonth)
	
	MonthDays = day(dateadd("d", -1, dateserial(strYear, strMonth + 1, 1)))
	
end function

'determine first day in specified month
function MonthStarts(strYear, strMonth)

	'dimension variables	
	MonthStarts = weekday("01/"& strMonth &"/"& strYear)
	
end function

'determine previous month
function MonthPrevious(strMonth)
	
	'check previous month is not less than 1
	if strMonth - 1 = 0 then
		MonthPrevious = 12
	else
		MonthPrevious = strMonth - 1	
	end If
	
	'prefix single digit months '0'
	if len(MonthPrevious) = 1 then
		MonthPrevious = "0"& MonthPrevious
	end if
	
end function

'determine next month
function MonthNext(strMonth)
	
	'check next month is not greater than 12
	if strMonth + 1 = 13 then
		MonthNext = 1
	else
		MonthNext = strMonth + 1	
	end If
	
	'prefix single digit months '0'
	if len(MonthNext) = 1 then
		MonthNext = "0"& MonthNext
	end if
	
end function


sub display_events()
	
	'dimension variables
	dim rsEvents, sqlEvents, intEventsCount, arrEventsData
	dim intDaysInMonth, intDayOfWeek, intDayCurrent, intPosition, intEventsLoop
	dim strYear, strMonth, strDay
	dim booEvent
	
	'validate and set current date
	if request.querystring("Month") <> "" and isnumeric(request.querystring("Month")) = true then
		if int(request.querystring("Month")) > 0 and int(request.querystring("Month")) < 13 then
			strMonth = int(request.querystring("Month"))
		else
			strMonth = month(date())
		end if
	else
		strMonth = month(date())
	end if
	
	'prefix single digit months '0'
	if len(strMonth) = 1 then
		strMonth = "0"& strMonth
	end if
		
	'check for valid year input
	if request.querystring("Year") <> "" and isnumeric(request.querystring("Year")) = true then
		if len(request.querystring("Year")) = 4 then
			strYear = int(request.querystring("Year"))
		else
			strYear = year(date())
		end if
	else
		strYear = year(date())
	end if
	
	'determine days in the specified month and the day of the week it starts on.
	intDaysInMonth = MonthDays(strYear, strMonth)
	intDayOfWeek = MonthStarts(strYear, strMonth)
	
	'grab events listed for current month/year
	set rsEvents = server.createobject("adodb.recordset")
	sqlEvents = "SELECT Event_ID, Event_Date_Start FROM FB_Events WHERE Event_Date_Start LIKE '"& strYear & strMonth &"%' ORDER BY Event_Date_Start ASC;"
	rsEvents.cursorlocation = 3
	rsEvents.open sqlEvents, adoConn
	if not (rsEvents.bof or rsEvents.eof) then
		intEventsCount = rsEvents.recordcount
		arrEventsData = rsEvents.getrows()
	else
		intEventsCount = 0
	end if
	rsEvents.close
	set rsEvents= nothing
	
	'increment query count
	intQuery = intQuery + 1
	
	response.write("<div id='calender'>")
		
		response.write("<table cellspacing='1' summary='Calender of the events for the specified month'>")
			
			'display current month/year controls
			response.write("<tr class='controls'>")
				
				'set previous month/year controls
				if strMonth = 1 then
					response.write("<td><a href='"& request.servervariables("script_name") &"?Month="& MonthPrevious(strMonth) &"&amp;Year="& strYear - 1 &"' title='Previous month'><b>&lt;&lt;</b></a></td>")
				else
					response.write("<td><a href='"& request.servervariables("script_name") &"?Month="& MonthPrevious(strMonth) &"&amp;Year="& strYear &"' title='Previous month'><b>&lt;&lt;</b></a></td>")					
				end if
				
				'display month/year
				response.write("<td colspan='5'>"& monthname(strMonth) &"  "& strYear &"</td>")
				
				'display next month/year controls
				if strMonth = 12 then
					response.write("<td><a href='"& request.servervariables("script_name") &"?Month="& MonthNext(strMonth) &"&amp;Year="& strYear + 1 &"' title='Next month'><b>&gt;&gt;</b></a></td>")
				else
					response.write("<td><a href='"& request.servervariables("script_name") &"?Month="& MonthNext(strMonth) &"&amp;Year="& strYear &"' title='Next month'><b>&gt;&gt;</b></a></td>")
				end if
			response.write("</tr>")
			
			'display day legend
			response.write("<tr class='title'>")
				response.write("<td>Sun</td>")
				response.write("<td>Mon</td>")
				response.write("<td>Tue</td>")
				response.write("<td>Wed</td>")
				response.write("<td>Thu</td>")
				response.write("<td>Fri</td>")
				response.write("<td>Sat</td>	")	
			response.write("</tr>")
			
			'check whether day of week begins on a Sunday
			if intDayOfWeek <> 1 then
				
				'start new row
				response.write("<tr class='days'>")
				
				'set current position
				intPosition = 1
				
				'write empty cells till we reach current day
				do while intPosition < intDayOfWeek
					
					response.write("<td class='empty'>&nbsp;</td>")
					
					'increment counter
					intPosition = intPosition + 1
					
				loop
				
			end if
			
			'set current day of the week
			intDayCurrent = 1
			intPosition = intDayOfWeek
			
			do while intDayCurrent <= intDaysInMonth
				
				strDay = intDayCurrent
			
				'prefix single digit years '0'
				if len(strDay) = 1 then
					strDay = "0"& strDay
				end if
				
				'check for begining of row
				if intPosition = 1 then
					
					'start new row
					response.write("<tr class='days'>")
					
				end if
				
				'initialise events variables
				intEventsLoop = 0
				booEvent = false
				
				
				'loop through events and check for event starting on current date
				do until intEventsLoop = intEventsCount
					
					'check curent dat against event start date
					if left(arrEventsData(1, intEventsLoop), 8) = strYear & strMonth & strDay then
						booEvent = true
					end if
					
					'increment counter
					intEventsLoop = intEventsLoop + 1
				
				loop				
				
				'display date
				if booEvent = false then
					response.write("<td><a href='"& strBlogLocation &"/Events/default.asp?Year="& strYear &"&amp;Month="& strMonth &"&amp;Day="& strDay &"' title='Show events for "& web_time( strYear & strMonth & strDay, strBlogTimeFormat, "Date") &"'>" & strDay & "</a></td>")		
				else
					response.write("<td class='event'><a href='"& strBlogLocation &"/Events/default.asp?Year="& strYear &"&amp;Month="& strMonth &"&amp;Day="& strDay &"' title='Show events for "& web_time( strYear & strMonth & strDay, strBlogTimeFormat, "Date") &"'>" & strDay & "</a></td>")		
				end if
				
				'check for end of row
				if intPosition = 7 then
					
					'close current row
					response.write("</tr>")
					
					'reset position
					intPosition = 0
					
				end if
				
				'increment counters
				intDayCurrent = intDayCurrent + 1
				intPosition = intPosition + 1
				
			loop
			
			'check whether we have finished the final row
			if intPosition <> 1 then
				
				'write empty cells till we reach end of row
				do while intPosition <= 7
					
					response.write("<td class='empty'>&nbsp;</td>")
					
					'increment counter
					intPosition = intPosition + 1
					
				loop
				
				'close current row
				response.write("</tr>")
				
			end if
		response.write("</table>")
	
	response.write("</div>")
	
end sub


'display categories filter
sub display_categories()
	
	'dimension variables
	dim rsCategories, sqlCategories, intCategoriesCount, arrCategoriesData
	dim intCategoriesLoop
	
	'grab all categories
	set rsCategories = server.createobject("adodb.recordset")
	sqlCategories = "SELECT Category_ID, Category_Title FROM FB_Categories ORDER BY Category_Order ASC;"
	rsCategories.cursorlocation = 3
	rsCategories.open sqlCategories, adoConn
	if not (rsCategories.bof or rsCategories.eof) then
		intCategoriesCount = rsCategories.recordcount
		arrCategoriesData = rsCategories.getrows()
	else
		intCategoriesCount = 0
	end if
	rsCategories.close
	set rsCategories = nothing
	
	'increment query count
	intQuery = intQuery + 1
	
	'check for multiple categories
	if intCategoriesCount > 1 then
		
		'display category filter
		response.write("<div id='categories'>")
		
			'display header
			response.write("<h1>Categories</h1>")
			
			response.write("<ul>")
				
				'display all categories filter
				response.write("<li><a href='"& strBlogLocation &"/default.asp' title='Display all categories'>All categories</a></li>")
				
				'initialise counter
				intCategoriesLoop = 0
				
				'loop through categories
				do until intCategoriesLoop = intCategoriesCount
					
					'display categories filter
					response.write("<li><a href='"& strBlogLocation &"/default.asp?Category="& arrCategoriesData(0, intCategoriesLoop) &"' title='Display "& SQL_decode(arrCategoriesData(1, intCategoriesLoop)) &"'>"& SQL_decode(arrCategoriesData(1, intCategoriesLoop)) &"</a></li>")
					
					'increment counter
					intCategoriesLoop = intCategoriesLoop + 1
					
				loop
			
			response.write("</ul>")
	
		response.write("</div>")
		
	end if
	
end sub


'display specified feeds
sub display_feeds()
	
	'dimension variables
	dim rsFeed, sqlFeed, intFeedCount, arrFeedData
	dim xmlHTTP, xmlDOM, rssFeed, rssItems, rssItem, rssText, rssTitle, rssLink
	dim strFeed, strContent
	dim intFeedLoop, intRSSCount, intRSSLoop, intRSSStatus, intChild
	
	'grab all feed data
	set rsFeed = server.createobject("adodb.recordset")
	sqlFeed = "SELECT Feed_ID, Feed_Title, Feed_Address, Feed_Image, Feed_Headlines FROM FB_Feeds ORDER BY Feed_Order ASC;"
	rsFeed.cursorlocation = 3
	rsFeed.open sqlFeed, adoConn
	if not (rsFeed.bof or rsFeed.eof) then
		intFeedCount = rsFeed.recordcount
		arrFeedData = rsFeed.getrows()
	else
		intFeedCount = 0
	end if
	rsFeed.close
	set rsFeed = nothing
	
	'increment query count
	intQuery = intQuery + 1
	
	'check for feeds
	if intFeedCount <> 0 then
		
		'initialise counter
		intFeedLoop = 0
		
		response.write("<div id='feeds'>")
		
			'loop through all feeds or until we reach the feed limit
			do until (intFeedLoop = intFeedCount) or (intFeedLoop = intBlogFeedLimit)
				
				'create xmlHTTP object and grab specified feed
				set xmlHTTP = server.createobject("MSXML2.XMLHTTP.4.0")
				xmlHTTP.open "Get", arrFeedData(2, intFeedLoop), false
				xmlHTTP.Send()
				rssFeed = xmlHTTP.ResponseText
				intRSSSTatus = xmlHTTP.status
				
				'check feed has been returned
				if intRSSStatus = 200 then
					
					'create xmlDOM element and load specified feed
					set xmlDOM = server.createobject("MSXML2.DomDocument.4.0")
					xmlDOM.async = false
					xmlDOM.loadXML(rssFeed)
					
					'collect all "items" from downloaded RSS
					set rssItems = xmlDOM.getElementsByTagName("item")
					
					'clean up
					set xmlDOM = nothing
					
					'set RSS feed limit
					if (rssItems.Length - 1) > arrFeedData(4, intFeedLoop) then
						intRSSCount = arrFeedData(4, intFeedLoop)
					else
						intRSSCount = rssItems.Length - 1
					end if
				
					'initialise counter
					intRSSLoop = 0
						
					'check for feed image
					if (isnull(arrFeedData(3, intFeedLoop)) = true or arrFeedData(3, intFeedLoop) = "") then
						
						'display feed header
						response.write("<h1>"& arrFeedData(1, intFeedLoop) &"</h1>")
						
					else
						
						'display feed image
						response.write("<img src='"& SQL_decode(arrFeedData(3, intFeedLoop)) &"' alt='"& SQL_decode(arrFeedData(1, intFeedLoop)) &"' title='"& SQL_decode(arrFeedData(1, intFeedLoop)) &"' />")
						
					end if
					
					'display articles
					response.write("<ul>")
				
						'check for recent articles
						if intRSSCount <> 0 then
							
							'loop through all articles
							do until intRSSLoop = intRSSCount
								
								'set current node
								set RSSItem = rssItems.Item(intRSSLoop)
								
								'loop through child elements
								for each intChild in RSSItem.childNodes
									
									'assign variables dependant on child node
									select case lcase(intChild.nodeName)
										case "title"
											
											rssTitle = SQL_encode(intChild.text)											
											
											'check length of title
											if len(intChild.text) > 25 then
												
												'check for HTML tags
												if instr(left(intChild.text, 24), "<") <> 0 then
													rssText = left(intChild.text, instr(intChild.text, "<") - 1)
												else
													rssText = left(intChild.text, 24) &".."
												end if
											
											else
												
												rssText = intChild.text
												
											end if
											
										case "link"
											rssLink = intChild.text
									end select
									
								next
								
								'output feed link
								response.write("<li><a href='"& rssLink &"' title='"& rssTitle &"' rel='external'>"& rssText &"</a></li>")
								
								'display links
								response.write(strContent)
								
								'increment counter
								intRSSLoop = intRSSLoop + 1
								
							loop
							
						else
							
							'display no recent articles
							response.write("<li>No recent feeds.</li>")
							
						end if
					
					response.write("</ul>")
					
				end if
				
				'clean up
				set xmlHTTP = nothing
				
				'increement counter
				intFeedLoop = intFeedLoop + 1
				
			loop
		
		response.write("</div>")
		
	end if

end sub


'display specified links
sub display_links()
	
	'dimension variables
	dim rsLinks, sqlLinks, intLinksCount, arrLinksData
	dim intLinksLoop
	
	'grab all link data
	set rsLinks = server.createobject("adodb.recordset")
	sqlLinks = "SELECT Link_ID, Link_Title, Link_Image, Link_Address FROM FB_Links ORDER BY Link_ORDER ASC;"
	rsLinks.cursorlocation = 3
	rsLinks.open sqlLinks, adoConn
	if not (rsLinks.bof or rsLinks.eof) then
		intLinksCount = rsLinks.recordcount
		arrLinksData = rsLinks.getrows()
	else
		intLinksCount = 0
	end if
	rsLinks.close
	set rsLinks = nothing
	
	'increment query count
	intQuery = intQuery + 1
	
	'check for links
	if intLinksCount <> 0 then
		
		'build links container
		response.write("<div id='links'>")
		
			'display header
			response.write("<h1>Links</h1>")
			
			'display links
			response.write("<ul>")
			
				'initialise counter
				intLinksLoop = 0
				
				'loop through links
				do until (intLinksLoop = intLinksCount) or (intLinksLoop = intBlogLinkLimit)
					
					'check for link image
					if (isnull(arrLinksData(2, intLinksLoop)) = true or arrLinksData(2, intLinksLoop) = "") then
						
						response.write("<li><a href='"& SQL_decode(arrLinksData(3, intLinksLoop)) &"' title='"& SQL_decode(arrLinksData(1, intLinksLoop)) &"' rel='external'>"& SQL_decode(arrLinksData(1, intLinksLoop)) &"</a></li>")
						
					else
						
						response.write("<li><a href='"& SQL_decode(arrLinksData(3, intLinksLoop)) &"' title='"& SQL_decode(arrLinksData(1, intLinksLoop)) &"' rel='external'><img src='"& SQL_decode(arrLinksData(2, intLinksLoop)) &"' alt='"& SQL_decode(arrLinksData(1, intLinksLoop)) &"' title='"& SQL_decode(arrLinksData(1, intLinksLoop)) &"' /></a></li>")
						
					end if
					
					'increment counter
					intLinksLoop = intLinksLoop + 1
				
				loop
				
			response.write("</ul>")
			
		response.write("</div>")
		
	end if
	
end sub


'display site login/register links
sub display_login()
	
	'build login container
	response.write("<div id='login'>")
		
		'display login header
		response.write("<h1>Site</h1>")
		
		response.write("<ul>")
			
			'check if user is logged in
			if session("FB_UserID") = "" then
				
				'display login
				response.write("<li><a href='"& strBlogLocation &"/Admin/login.asp' title='Login'>Login</a></li>")
				
				'check registration is enabled
				if intBlogAccountRegistration = 1 then
					response.write("<li><a href='"& strBlogLocation &"/Admin/register.asp' title='Register'>Register</a></li>")
				end if
			
			else
				
				'display admin link
				response.write("<li><a href='"& strBlogLocation &"/Admin' title='Admin'>Admin</a></li>")
				
				'display log out
				response.write("<li><a href='"& strBlogLocation &"/Admin/login.asp' title='Logout'>Logout</a></li>")
			
			end if
			
			response.write("<li><a href='http://jigsaw.w3.org/css-validator/check/referer' title='Valid CSS' rel='external'>Valid CSS</a></li>")
			response.write("<li><a href='http://validator.w3.org/check/referer' title='Valid XHTML' rel='external'>Valid XHTML</a></li>")
			
		response.write("</ul>")
		
	response.write("</div>")
	
end sub


'display thumbnails of images in specified path
sub display_thumbs(strPath)
	
	'dimension variables
	dim objFSO, objFolder, objFile, intThumbLoop, strExtension
	
	'create FSO object and get specified folder details
	set objFSO = server.createobject("scripting.filesystemobject")
	set objFolder = objFSO.getfolder(server.mappath("/") & strPath)
	
	'initialise counter
	intThumbLoop = 0
	
	'draw thumbnail container
	response.write("<div class='articleimages'>")
		
		'loop through all files in the specified folder
		for each objFile in objFolder.Files
			
			'grab files extension
			strExtension = lcase(mid(objFile.name, instrrev(objFile.name, ".", -1, 1) + 1))
			
			'check files extension is valid image
			if (strExtension = "gif" or strExtension = "jpg" or strExtension = "jpeg") then
				
				'display thumbnail and link to full size image
				response.write("<a href='"& strBlogLocation &"/screenshot.asp?Path="& strPath & objFile.name &"' rel='external'><img src='/Includes/inc-thumbnail.asp?Path="& strPath &""& objFile.name &"&amp;Width="& intBlogGalleryWidth &"&amp;Height="& intBlogGalleryHeight &"&amp;Logo=0' alt='Thumbnail: "& objFile.name  &"' /></a>")
				
				'increment counter
				intThumbLoop = intThumbLoop + 1
				
			end if
			
		next
	
	response.write("</div>")
	
	'close objects
	set objFolder = nothing
	set objFSO = nothing
	
end sub

'display navigation option in the administration panel
sub display_navigation()
	
	'display basic options
	response.write("<h1>Site Admin</h1>")
	
	response.write("<ul>")
		
		response.write("<li><a href='default.asp' title='Admin home'>Admin home</a></li>")
		response.write("<li><a href='../default.asp' title='"& strBlogTitle &"'>Site home</a></li>")
		response.write("<li><a href='account.asp' title='Account'>Account</a></li>")
		
	response.write("</ul>")
	
	'display level 2 controls
	if session("FB_UserLevel") = 2 then
		
		'display article options
		response.write("<h1>Articles</h1>")
		
		response.write("<ul>")
			
			response.write("<li><a href='articles_add.asp' title='Write articles'>Write articles</a></li>")
			response.write("<li><a href='articles_edit.asp' title='Edit articles'>Edit articles</a></li>")
			
		response.write("</ul>")
		
		'display miscellaneous options
		response.write("<h1>Miscellaneous</h1>")
		
		response.write("<ul>")
			
			response.write("<li><a href='file_upload.asp' title='File_Upload'>File Upload</a></li>")
			
		response.write("</ul>")
		
	end if
	
	'display level 3 controls
	if session("FB_UserLevel") = 3 then
		
		'display article options
		response.write("<h1>Articles</h1>")
		
		response.write("<ul>")
			
			response.write("<li><a href='articles_authorise.asp' title='Authorise articles'>Authorise articles</a></li>")
			response.write("<li><a href='articles_edit.asp' title='Edit articles'>Edit articles</a></li>")
			response.write("<li><a href='articles_add.asp' title='Add articles'>Add articles</a></li>")
			
		response.write("</ul>")
		
		'display comment options
		response.write("<h1>Comments</h1>")
		
		response.write("<ul>")
			
			response.write("<li><a href='comments_authorise.asp' title='Authorise comments'>Authorise comments</a></li>")
			response.write("<li><a href='comments_edit.asp' title='Edit comments'>Edit comments</a></li>")
			
		response.write("</ul>")
		
		'display miscellaneous options
		response.write("<h1>Miscellaneous</h1>")
		
		response.write("<ul>")
			
			response.write("<li><a href='file_upload.asp' title='File_Upload'>File Upload</a></li>")
			
		response.write("</ul>")
		
	end if
	
	if session("FB_UserLevel") = 4 then
		
		'display configuration options
		response.write("<h1>Settings</h1>")
		
		response.write("<ul>")
			
			response.write("<li><a href='settings_general.asp' title='General settings'>General settings</a></li>")
			response.write("<li><a href='settings_articles.asp' title='Article settings'>Article settings</a></li>")
			response.write("<li><a href='settings_gallery.asp' title='Gallery settings'>Gallery settings</a></li>")
			response.write("<li><a href='settings_email.asp' title='Email settings'>Email settings</a></li>")
			response.write("<li><a href='settings_miscellaneous.asp' title='Miscellaneous settings'>Miscellaneous settings</a></li>")
			
		response.write("</ul>")
		
		'display user options
		response.write("<h1>Users</h1>")
		
		response.write("<ul>")
			
			response.write("<li><a href='users_authorise.asp' title='Authorise users'>Authorise users</a></li>")
			response.write("<li><a href='users_edit.asp' title='Edit users'>Edit users</a></li>")
			response.write("<li><a href='users_add.asp' title='Add users'>Add users</a></li>")
			
		response.write("</ul>")
		
		'display folder options
		response.write("<h1>Folders</h1>")
		
		response.write("<ul>")
			
			response.write("<li><a href='folder_add.asp' title='Add folders'>Add folders</a></li>")
			response.write("<li><a href='folder_delete.asp' title='Delete folders'>Delete folders</a></li>")
			
		response.write("</ul>")
		
		'display page options
		response.write("<h1>Pages</h1>")
		
		response.write("<ul>")
			
			response.write("<li><a href='page_edit.asp' title='Edit pages'>Edit pages</a></li>")
			response.write("<li><a href='page_add.asp' title='Add pages'>Add pages</a></li>")
			
		response.write("</ul>")
		
		'display category options
		response.write("<h1>Categories</h1>")
		
		response.write("<ul>")
			
			response.write("<li><a href='category_edit.asp' title='Edit categories'>Edit categories</a></li>")
			response.write("<li><a href='category_add.asp' title='Add categories'>Add categories</a></li>")
			
		response.write("</ul>")
		
		'display article options
		response.write("<h1>Articles</h1>")
		
		response.write("<ul>")
			
			response.write("<li><a href='articles_authorise.asp' title='Authorise articles'>Authorise articles</a></li>")
			response.write("<li><a href='articles_edit.asp' title='Edit articles'>Edit articles</a></li>")
			response.write("<li><a href='articles_add.asp' title='Add articles'>Add articles</a></li>")
			
		response.write("</ul>")
		
		if intBlogCommentEnabled = 1 then
			
			'display comment options
			response.write("<h1>Comments</h1>")
			
			response.write("<ul>")
				
				response.write("<li><a href='comments_authorise.asp' title='Authorise comments'>Authorise comments</a></li>")
				response.write("<li><a href='comments_edit.asp' title='Edit comments'>Edit comments</a></li>")
				
			response.write("</ul>")
			
		end if
		
		if intBlogFeedEnabled = 1 then
			
			'display feed options
			response.write("<h1>Feeds</h1>")
			
			response.write("<ul>")
				
				response.write("<li><a href='feeds_edit.asp' title='Edit feeds'>Edit feeds</a></li>")
				response.write("<li><a href='feeds_add.asp' title='Add feeds'>Add feeds</a></li>")
				
			response.write("</ul>")
			
		end if
		
		if intBlogLinkEnabled = 1 then
			
			'display feed options
			response.write("<h1>Links</h1>")
			
			response.write("<ul>")
				
				response.write("<li><a href='links_edit.asp' title='Edit Links'>Edit links</a></li>")
				response.write("<li><a href='links_add.asp' title='Add links'>Add links</a></li>")
				
			response.write("</ul>")
			
		end if
		
		if intBlogEventsEnabled = 1 then

			'display event options
			response.write("<h1>Events</h1>")
			
			response.write("<ul>")
				
				response.write("<li><a href='events_edit.asp' title='Edit events'>Edit events</a></li>")
				response.write("<li><a href='events_add.asp' title='Add events'>Add events</a></li>")
				
			response.write("</ul>")
			
		end if
		
		'display miscellaneous options
		response.write("<h1>Miscellaneous</h1>")
		
		response.write("<ul>")
			
			response.write("<li><a href='search_list.asp' title='Search list'>Search list</a></li>")
			response.write("<li><a href='file_upload.asp' title='File_Upload'>File Upload</a></li>")
			
		response.write("</ul>")
		
	end if
	
end sub
%>