<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsKeywords, sqlKeywords, intKeywordsCount, arrKeywordsData, rsSearch, sqlSearch, intSearchCount, arrSearchData, rsCategories, sqlCategories, intCategoriesCount, arrCategoriesData
dim strKeywords, strAddress, strSearch, strConstraints
dim intSearch, intPageCount, intPageCurrent, intPages, intPageStart, intPageStop, intKeywordsLoop, intSearchLoop, intPageLoop, intCategoriesLoop
dim booSpam

'load and check variables
if request.querystring("Search") <> "" and isnumeric(request.querystring("Search")) = true then
	intSearch = int(request.querystring("Search"))
else
	intSearch = ""
end if

if request.querystring("Page") <> "" and isnumeric(request.querystring("Page")) = true then
	intPageCurrent = int(request.querystring("Page"))
else
	intPageCurrent = 1
end if

if request.servervariables("HTTP_X_FORWARDED_FOR") = "" then
	strAddress = request.servervariables("REMOTE_ADDR")
else
	strAddress = request.servervariables("HTTP_X_FORWARDED_FOR")
end If

'check whether a valid search has been specified
if intSearch <> "" then
	
	'grab keywords for specified search
	set rsKeywords = server.createobject("adodb.recordset")
	sqlKeywords = "SELECT Search_Keywords FROM FB_Search WHERE Search_ID = "& intSearch &";"
	rsKeywords.open sqlKeywords, adoConn
	if not (rsKeywords.bof or rsKeywords.eof) then
		strKeywords = rsKeywords("Search_Keywords")
	else
		strKeywords = ""
	end if
	rsKeywords.close
	set rsKeywords = nothing
	
	'increment query count
	intQuery = intQuery + 1	
	
else
	
	'check if user has performed a search within the search spam limit
	set rsSearch = server.createobject("adodb.recordset")
	sqlSearch = "SELECT * FROM FB_Search WHERE Search_Address = '"& strAddress &"' AND Search_Date > '"& search_time("s", -intBlogLinkLimit) &"';"
	rsSearch.cursorlocation = 3
	rsSearch.open sqlSearch, adoConn
	if not (rsSearch.bof or rsSearch.eof) then
		booSpam = true
	else
		booSpam = false
	end if
	rsSearch.close
	set rsSearch = nothing
	
	'redirect if user has already commented
	if booSpam = true then
		response.redirect(strBlogLocation &"/error.asp?Type=Search&Error=Spam&Redirect=/Search/default.asp")
	end if
	
end if
%>

<title><%=strBlogTitle%> >> Search</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Common/favicon.ico" />
<script type="text/javascript" src="<%=strBlogLocation%>/Includes/inc-javascript.js"></script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include virtual="/Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="navigation">
				<!--#include virtual="/Includes/inc-navigation.asp"-->
			</div>
			
			<div id="content">
				<%
				'display blog breadcrumb
				call display_breadcrumb()
				
				'display search header
				response.write("<h1>Search</h1>")
				
				'display search message
				response.write("<p>")
					response.write("Search the "& strBlogTitle &" blog by entering your search criteria in the form below and clicking the search button. Searches are limited to three characters or more, any words of less than three characters will be dropped from your search query.")
				response.write("</p>")
				
				response.write("<p>")
					response.write("To improve the relevancy of your search results you can, optionally, select a specific category to search if more than one exists and specify a time scale for your search query.")
				response.write("</p>")
				
				'build search form
				response.write("<form action='default.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
					
					response.write("<p>")
						response.write("<input id='keywords' name='keywords' type='text' value='"& strKeywords &"' size='32' maxlength='200' tabindex='1' />")
						
						'grab list of defined categories
						set rsCategories = server.createobject("adodb.recordset")
						sqlCategories = "SELECT Category_ID, Category_Title, Category_Order FROM FB_Categories ORDER BY Category_Order ASC;"
						rsCategories.cursorlocation = 3
						rsCategories.open sqlCategories, adoConn
						if not (rsCategories.bof or rsCategories.eof) then
							intCategoriesCount = rsCategories.recordcount
							arrCategoriesData = rsCategories.getrows()
						else
							intCategoriesCount = 0
						end if
						rsCategories.close
						set rsCategories = nothing
						
						'check if there is more than on category
						if intCategoriesCount > 1 then
							
							'display categories selection
							response.write(" <select id='category' name='category' tabindex='2'>")
								response.write("<option value='0' selected='selected'>Any Category</option>")
								
								'loop through all categories
								intCategoriesLoop = 0
								
								do until intCategoriesLoop = intCategoriesCount
									
									response.write("<option value='"& arrCategoriesData(0, intCategoriesLoop) &"'>"& arrCategoriesData(1, intCategoriesLoop) &"</option>")
									
									'increment loop counter
									intCategoriesLoop = intCategoriesLoop + 1
									
								loop
							response.write("</select> ")
							
						end if
						
						'display date selection
						response.write(" <select id='date' name='date' tabindex='3'>")
							response.write("<option value='00000000000000' selected='selected'>Any Date</option>")
							response.write("<option value='"& search_time("d", -7) &"'>Last Week</option>")
							response.write("<option value='"& search_time("m", -1) &"'>Last Month</option>")
							response.write("<option value='"& search_time("y", -1) &"'>Last Year</option>")
						response.write("</select>")
						
					response.write("</p>")
					
					response.write("<p>")
						response.write("<input id='submit' name='submit' type='submit' tabindex='4' value='Search' />")
					response.write("</p>")
					
				response.write("</form>")
				
				'check form has been submitted
				if request.form("keywords") <> "" or strKeywords <> "" then
				
					'check if we have already retreived the search keywords
					if strKeywords = "" then
						
						'assign keywords based on search form
						arrKeywordsData = split(trim(clean_text(request.form("keywords"), 0)), " ")
						intKeywordsCount = ubound(arrKeywordsData) + 1
						
					else
						
						'assign keywords based on retrieved keywords
						arrKeywordsData = split(trim(strKeywords), " ")
						intKeywordsCount = ubound(arrKeywordsData) + 1
						
					end if
					
					'create search string
					do until  intKeywordsLoop = intKeywordsCount
						
						'check length of the current keyword
						if len(arrKeywordsData(intKeywordsLoop)) >= 3 then
							
							'build search query
							strSearch = strSearch &"(Article_Title LIKE '%"& arrKeywordsData(intKeywordsLoop) &"%' OR Article_Excerpt LIKE '%"& arrKeywordsData(intKeywordsLoop) &"%' OR Article_Content LIKE '%"& arrKeywordsData(intKeywordsLoop) &"%')"
							
							'check whether we have included all keywords
							if  intKeywordsLoop < intKeywordsCount - 1 then
								strSearch = strSearch & " OR "
							end if
							
							'collect search terms for inserting to database
							strKeywords = strKeywords & arrKeywordsData(intKeywordsLoop) &" "
							
						end if
						
						'increment counter
						intKeywordsLoop =  intKeywordsLoop + 1
						
					loop
					
					'redirect if no valid search terms were specified
					if strSearch = "" then
						response.redirect(strBlogLocation &"/error.asp?Type=Search&Error=Keywords&Redirect=/Search/default.asp")
					end if
					
					'check whether this is a new search
					if intSearch = "" then
						
						'insert search keywords to the search database
						set rsKeywords = server.createobject("adodb.recordset")
						sqlKeywords = "INSERT INTO FB_Search (Search_Keywords, Search_Address, Search_Date) VALUES ('"& strKeywords &"', '"& strAddress &"', '"& db_time(intBlogTimeOffset) &"');"
						rsKeywords.cursortype = 2
						rsKeywords.locktype = 3
						rsKeywords.open sqlKeywords, adoConn
						set rsKeywords = nothing
						
						'increment query count
						intQuery = intQuery + 1
						
						'grab search id
						set rsKeywords = server.createobject("adodb.recordset")
						sqlKeywords = "SELECT @@IDENTITY AS iSearch FROM FB_Search;"
						rsKeywords.open sqlKeywords, adoConn
						intSearch = rsKeywords("iSearch")
						rsKeywords.close
						set rsKeywords = nothing
						
						'increment query count
						intQuery = intQuery + 1
						
					end if
					
					'check for search constraints
					if request.form("category") <> 0 then
						
						strConstraints = "Articles.Article_Category_ID = "& int(request.form("category")) &" AND Articles.Article_Posted >= '"& request.form("date") &"'"
						
					else
						
						strConstraints = "Articles.Article_Posted >= '"& request.form("date") &"'"
						
					end if
					
					'perform article search
					set rsSearch = server.createobject("adodb.recordset")
					sqlSearch = "SELECT  Articles.Article_ID, Articles.Article_Title, Articles.Article_Excerpt, Articles.Article_Content, Articles.Article_Posted, Articles.Article_Comments, Articles.Article_Images, Categories.Category_ID, Categories.Category_Title, Users.User_ID, Users.User_Name FROM FB_Users AS Users INNER JOIN (FB_Categories AS Categories INNER JOIN FB_Articles AS Articles ON Categories.Category_ID = Articles.Article_Category_ID) ON Users.User_ID = Articles.Article_User_ID WHERE "& strSearch &" AND "& strConstraints &" ORDER BY Article_Posted DESC"
					rsSearch.cursorlocation = 3
					rsSearch.pagesize = intBlogArticleLimit
					rsSearch.cachesize = intBlogArticleLimit
					rsSearch.open sqlSearch, adoConn
					if not (rsSearch.bof or rsSearch.eof) then
						intPageCount = rsSearch.pagecount
						if intPageCurrent > intPageCount then
							intPageCurrent = intPageCount
						end if
						if intPageCurrent < 1 then
							intPageCurrent = 1
						end if
						rsSearch.absolutepage = intPageCurrent
						arrSearchData = rsSearch.getrows(intBlogArticleLimit)
						intSearchCount = ubound(arrSearchData, 2) + 1
					else
						intSearchCount = 0
					end if
					rsSearch.close
					set rsSearch= nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'build search container
					response.write("<div id='article'>")
						
						'check whether results have been returned
						if intSearchCount = 0 then
							
							'display no results message
							response.write("<h1 class='articleheader'>No results</h1>")
							response.write("<p>")
								response.write("There were no results for your specified query.")
							response.write("</p>")
							
						else
						
							'initialise counter
							intSearchLoop = 0
							
							'loop through current Search
							do until intSearchLoop =	intSearchCount
									
								'display article title
								response.write("<h1 class='articleheader'>"& SQL_decode(arrSearchData(1, intSearchLoop)) &"</h1>")
								
								'display article details
								response.write("<ul class='articledetails'>")
									
									response.write("<li><b>Posted by</b>: <a href='"& strBlogLocation &"/profile.asp?User="& arrSearchData(9, intSearchLoop) &"' title='"& arrSearchData(10, intSearchLoop) &"s profile'>"& arrSearchData(10, intSearchLoop) &"</a></li>")
									response.write("<li><b>On</b>: "& web_time(arrSearchData(4, intSearchLoop), strBlogTimeFormat, "Full") &"</li>")
									response.write("<li><b>In:</b> <a href='"& strBlogLocation &"/default.asp?Category="& arrSearchData(7, intSearchLoop) &"' title='Display "& SQL_decode(arrSearchData(8, intSearchLoop)) &"'>"& SQL_decode(arrSearchData(8, intSearchLoop)) &"</a></li>")
									
									'check comments are enabled
									if arrSearchData(5, intSearchLoop) = 1 and intBlogCommentEnabled = 1 then
										response.write("<li>(<a href='"& strBlogLocation &"/default.asp?Display="& arrSearchData(0, intSearchLoop) &"#Comments' title='Comments'>Comments</a>)</li>")
									end if
									
								response.write("</ul>")
								
								'check whether the article has an exceprt
								if arrSearchData(2, intSearchLoop) <> "" then
									
									'display article exceprt
									response.write(SQL_decode(arrSearchData(2, intSearchLoop)))
									
									'display full atricle link
									response.write("<p class='articledetails'>")								
										response.write("<a href='"& strBlogLocation &"/default.asp?Display="& arrSearchData(0, intSearchLoop) &"' title='Full article'>Full article</a>")
									response.write("</p>")
	
								else
									
									'display full article
									response.write(SQL_decode(arrSearchData(3, intSearchLoop)))
									
									'check for images and whether the gallery is enabled
									if (isnull(arrSearchData(6, intSearchLoop)) = false and arrSearchData(6, intSearchLoop) <> "") and intBlogGalleryEnabled = 1 then
										
										'display thumbnail gallery
										call display_thumbs(SQL_decode(arrSearchData(6, intSearchLoop)))
										
									end if	
																
								end if
								
								'increment counter
								intSearchLoop = intSearchLoop + 1
								
							loop
							
							'display paging controls
							if intPageCount > 1 then		
								response.write("<div id='search'>")
									'previous page controls
									if intPageCurrent > 1 then
										response.write("<a href='default.asp?Search="& intSearch &"&amp;Page="& (intPageCurrent - 1) &"' title='View previous page'>&lt;&lt;</a> ")
									else
										response.write("<a href='default.asp?Search="& intSearch &"&amp;Page="& intPageCurrent &"' title='view previous page'>&lt;&lt;</a> ")
									end if
									
									'determine page start and stop variables
									if intPageCurrent > 5 then
										intPageStart = (intPageCurrent - 3)
									else
										intPageStart = 1
									end if 
									
									if (intPageCount > 10) and ((intPageCurrent + 3) < intPageCount) then
										intPageStop = (intPageCurrent + 3)
									else
										intPageStop = intPageCount
									end if
									
									for intPageLoop = intPageStart to intPageStop
										if intPageLoop = intPageCurrent then
											response.write("<b>["& intPageLoop &"]</b> ")
										else
											response.write("<a href='default.asp?Search="& intSearch &"&amp;Page="& intPageLoop &"' title='Display page "& intPageLoop &"'>"& intPageLoop &"</a> ")
										end if
									next
									
									'next page controls
									if intPageCurrent < intPageCount then
										response.write(" <a href='default.asp?Search="& intSearch &"&amp;Page="& (intPageCurrent + 1) &"' title='Display next page'>&gt;&gt;</a>")
									else
										response.write(" <a href='default.asp?Search="& intSearch &"&amp;Page="& intPageCurrent &"' title='Display next page'>&gt;&gt;</a>")
									end if
								response.write("</div>")
							end if

						end if
												
					response.write("</div>")
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<!--#include virtual="/Includes/inc-subcontent.asp"-->
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>