<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->

<%
'dimension variables
randomize

dim sqlCreate
dim strTitle, strLocation, strName, strPassword, strEmail, strAddress
dim intStep, intLevel, intActivation

if request.querystring("Step") <> "" then
	intStep = int(request.querystring("Step"))
else
	if request.querystring("Step") <> "" then
		intStep = int(request.querystring("Step"))
	else
		intStep = 1
	end if
end if
%>

<title>Forest Blog Setup</title>

<link rel="stylesheet" type="text/css" href="/Themes/Olive/inc-stylesheet.css" />
<link rel="shortcut icon" href="/Themes/Olive/Common/favicon.ico" />
<script type="text/javascript" src="/Includes/inc-javascript.js"></script>

<style type="text/css">

#content
{
	width: 100%;
	
	/* over rides default width */
}

table .label
{
	width: 30%;
	
	/* defines left hand column when displaying editing form */
}

table .details
{
	width: 70%;
	
	/* defines right hand column in editing form */
}

form
{
	margin: 0;
	padding: 0;
}

form .text
{
	width: 275px;
}

form .select
{
	width: 280px;
}

form .textarea
{
	width: 275px;
}

form .button
{
	margin-right: 90px;
	float: right;
}

</style>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<h1>Forest Blog Setup</h1>
			<h2>Follow the steps below to setup the Forest Blog</h2>
		</div>
		
		<div id="centre">
			
			<div id="navigation">
				&nbsp;
			</div>
			
			<div id="content">
				<%			
				select case intStep
				
					case 1
						
						response.write("<h1>Step 1</h1>")
						response.write("<p>")
							response.write("You are only a few steps away from completing the installation of the Forest Blog software. Please make sure that you complete each step implicitly, failure to do so could prevent the Forest Blog from running correctly and potentially corrupt your database.")
						response.write("</p>")
						
						response.write("<form action='setup.asp?Step=2' method='post' onsubmit=""this.submit.disabled=true;"">")
						
							response.write("<input id='submit' name='submit' type='submit' tabindex='7' value=""Step Two"" class='button' /></td>")
						
						response.write("</form>")
					
					case 2
						
						response.write("<h1>Step 2</h1>")
						
						response.write("<p>")
							response.write("Please complete the form below to set the default values for your Forest Blog and create the default Administrative account. The administrative account has access to all of the Forest Blog configuration, editing and user tools so please ensure that you specify a string alphanumeric password to protect your Forest Blog security.")
						response.write("</p>")
						
						response.write("<p>")
							response.write("By clicking the button labelled <i>step three</i> you will initiate the creation of the tables required by the Forest Blog software. All of the tables required by the Forest Blog are prefixed <b>FB_</b> if you already have any tables in your database that follow this naming convention it is recommended that you rename them to prevent any errors.")
						response.write("</p>")
						
						response.write("<form action='setup.asp?Step=3' method='post' onsubmit=""this.submit.disabled=true;"">")
						
							response.write("<table cellspacing='0' summary='Create the default settings for the Forest Blog.'>")
								
								response.write("<tr valign='top'>")
									response.write("<td class='label'><label for='title'><b>Blog title</b></label>:<br />This will be used in the Blog header and in all communication sent from the blog.</td>")
									response.write("<td class='details'><input id='title' name='title' type='text' value="""" size='22' maxlength='200' tabindex='1' class='text' /></td>")
								response.write("</tr>")
								
								response.write("<tr valign='top'>")
									response.write("<td class='label'><label for='location'><b>Blog location</b></label>:<br />The URL where the blog is located. Do NOT include any trailing / slashes.</td>")
									response.write("<td class='details'><input id='location' name='location' type='text' value=""http://"& request.servervariables("HTTP_HOST") &""" size='22' maxlength='200' tabindex='2' class='text' /></td>")
								response.write("</tr>")
								
								response.write("<tr valign='top'>")
									response.write("<td class='label'><label for='database'><b>Blog database</b></label>:<br />The database that the blog will run on. Please make sure that you have selected the correct database connection string within inc-dataconnection.asp.</td>")
									response.write("<td class='details'>")
										response.write("<select id='database' name='database' tabindex='3' class='select'>")
											response.write("<option value=""MYSQL"">MySQL</option>")
											response.write("<option value=""MSSQL"">MS SQL 2000</option>")
											response.write("<option value=""ACCESS"">MS Access</option>")
										response.write("</select>")
									response.write("</td>")
								response.write("</tr>")
								
								response.write("<tr valign='top'>")
									response.write("<td class='label'><label for='name'><b>Administrator name</b></label>:<br />The username of the default Administrator account.</td>")
									response.write("<td class='details'><input id='name' name='name' type='text' value="""" size='22' maxlength='200' tabindex='4' class='text' /></td>")
								response.write("</tr>")
								
								response.write("<tr valign='top'>")
									response.write("<td class='label'><label for='password'><b>Administrator password</b></label>:<br />The password for the default Administrator account.</td>")
									response.write("<td class='details'><input id='password' name='password' type='text' value="""" size='22' maxlength='200' tabindex='5' class='text' /></td>")
								response.write("</tr>")
								
								response.write("<tr valign='top'>")
									response.write("<td class='label'><label for='email'><b>Administrator email</b></label>:<br />The email address of the default Administrator account.</td>")
									response.write("<td class='details'><input id='email' name='email' type='text' value="""" size='22' maxlength='200' tabindex='6' class='text' /></td>")
								response.write("</tr>")
								
								response.write("<tr valign='top'>")
									response.write("<td class='label'>&nbsp;</td>")
									response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='7' value=""Step Three"" class='button' /></td>")
								response.write("</tr>")
								
							response.write("</table>")
						
						response.write("</form>")
						
					case 3
						
						'load and check variables
						strTitle = clean_text(request.form("title"), 0)
						if left(request.form("location"), 7) <> "http://" then
							strLocation = "http://"& request.form("location")
						else
							strLocation = request.form("location")
						end if
						strName = clean_text(request.form("name"), 0)
						strPassword = clean_text(request.form("password"), 0)
						strEmail = clean_text(request.form("email"), 0)
						if request.servervariables("HTTP_X_FORWARDED_FOR") = "" then
							strAddress = request.servervariables("REMOTE_ADDR")
						else
							strAddress = request.servervariables("HTTP_X_FORWARDED_FOR")
						end If
						intActivation = int((999999 - 100001) * rnd + 100000)
						intLevel = 4
						
						'check valid details have been entered
						if strTitle <> "" and strName <> "" and strPassword <> "" and strEmail <> "" then
							
							select case request.form("database")
								
								case "MSSQL"
									
									'create articles table
									sqlCreate = "CREATE TABLE FB_Articles(Article_ID INTEGER NOT NULL IDENTITY (1, 1), Article_User_ID INTEGER NOT NULL, Article_Category_ID INTEGER NOT NULL, Article_Title VARCHAR(255) NOT NULL, Article_Excerpt TEXT NULL, Article_Content TEXT NOT NULL, Article_Posted VARCHAR(14) NOT NULL, Article_Status INTEGER NOT NULL DEFAULT 0, Article_Comments INTEGER NOT NULL DEFAULT 1, Article_Images TEXT NULL, Article_Level INTEGER NOT NULL DEFAULT 0);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Articles ADD CONSTRAINT PK_Article_ID PRIMARY KEY (Article_ID);"
									adoConn.execute sqlCreate
									
									'add indexes
									sqlCreate = "CREATE NONCLUSTERED INDEX IX_Article_Category_ID ON FB_Articles (Article_Category_ID);"
									adoConn.execute sqlCreate
									
									sqlCreate = "CREATE NONCLUSTERED INDEX IX_Article_User_ID ON FB_Articles (Article_User_ID);"
									adoConn.execute sqlCreate
									
									'create blocked table
									sqlCreate = "CREATE TABLE FB_Blocked (Block_ID INTEGER NOT NULL IDENTITY (1, 1), Block_Added VARCHAR(14) NOT NULL, Block_Expires VARCHAR(14) NOT NULL, Block_Reason TEXT NOT NULL, Block_Address VARCHAR(14) NOT NULL);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Blocked ADD CONSTRAINT PK_Block_ID PRIMARY KEY (Block_ID);"
									adoConn.execute sqlCreate
									
									'create categories index
									sqlCreate = "CREATE TABLE FB_Categories (Category_ID INTEGER NOT NULL IDENTITY (1, 1), Category_Title VARCHAR(255) NOT NULL, Category_Order INTEGER NOT NULL);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Categories ADD CONSTRAINT PK_Category_ID PRIMARY KEY (Category_ID);"
									adoConn.execute sqlCreate
									
									'create comments tables
									sqlCreate = "CREATE TABLE FB_Comments (Comment_ID INTEGER NOT NULL IDENTITY (1, 1), Comment_Article_ID INTEGER NOT NULL, Comment_Author_Name VARCHAR(100) NOT NULL, Comment_Author_Email VARCHAR(255) NOT NULL, Comment_Author_Website VARCHAR(255) NULL, Comment_Author_Address VARCHAR(15) NOT NULL, Comment_Date VARCHAR(14) NOT NULL, Comment_Content TEXT NOT NULL, Comment_Status INTEGER NOT NULL DEFAULT 0);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Comments ADD CONSTRAINT PK_Comment_ID PRIMARY KEY (Comment_ID);"
									adoConn.execute sqlCreate
									
									'add indexes
									sqlCreate = "CREATE NONCLUSTERED INDEX IX_Comment_Article_ID ON FB_Comments (Comment_Article_ID);"
									adoConn.execute sqlCreate
									
									'create configuration table
									sqlCreate = "CREATE TABLE FB_Configuration(Blog_Enabled INTEGER NOT NULL DEFAULT 0, Blog_Name VARCHAR(255) NOT NULL, Blog_Description TEXT NULL, Blog_Theme VARCHAR(255) NOT NULL DEFAULT 'Olive', Blog_Location VARCHAR(255) NOT NULL, Blog_Time_Format VARCHAR(4) NOT NULL DEFAULT 'UK', Blog_Time_Offset INTEGER NOT NULL DEFAULT 0, Blog_Account_Registration INTEGER NOT NULL DEFAULT 0, Blog_Account_Authorisation INTEGER NOT NULL DEFAULT 0, Blog_Link_Enabled INTEGER NOT NULL DEFAULT 1, Blog_Link_Limit INTEGER NOT NULL DEFAULT 10, Blog_Feed_Enabled INTEGER NOT NULL DEFAULT 1, Blog_Feed_Limit INTEGER NOT NULL DEFAULT 5, Blog_Email_Component VARCHAR(255) NOT NULL DEFAULT 'NONE', Blog_Email_Host VARCHAR(255) NULL, Blog_Email_Address VARCHAR(255) NULL, Blog_Email_Signature VARCHAR(255) NULL, Blog_Email_Notification INTEGER NOT NULL DEFAULT 0, Blog_Email_Verification INTEGER NOT NULL DEFAULT 0,Blog_Article_Limit INTEGER NOT NULL DEFAULT 10,"
									sqlCreate = sqlCreate &"Blog_Search_Limit INTEGER NOT NULL DEFAULT 60, Blog_Events_Enabled INTEGER NOT NULL DEFAULT 0, Blog_Gallery_Enabled INTEGER NOT NULL DEFAULT 0, Blog_Gallery_Height INTEGER NOT NULL DEFAULT 100, Blog_Gallery_Width INTEGER NOT NULL DEFAULT 100, Blog_Comment_Enabled INTEGER NOT NULL DEFAULT 1, Blog_Comment_Moderation INTEGER NOT NULL DEFAULT 0, Blog_Comment_Registration INTEGER NOT NULL DEFAULT 0, Blog_Comment_Limit INTEGER NOT NULL DEFAULT 10, Blog_Meta_Keywords VARCHAR(255) NULL, Blog_Meta_Description TEXT NULL, Blog_Private INTEGER NOT NULL DEFAULT 0, Blog_Sidebar TEXT NULL);"									
									adoConn.execute sqlCreate
									
									'create events tables
									sqlCreate = "CREATE TABLE FB_Events (Event_ID INTEGER NOT NULL IDENTITY (1, 1), Event_Title VARCHAR(255) NOT NULL, Event_Description TEXT NOT NULL, Event_Date_Added VARCHAR(14) NOT NULL, Event_Date_Start VARCHAR(14) NOT NULL);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Events ADD CONSTRAINT PK_Event_ID PRIMARY KEY (Event_ID);"
									adoConn.execute sqlCreate
									
									'create feeds table
									sqlCreate = "CREATE TABLE FB_Feeds (Feed_ID INTEGER NOT NULL IDENTITY (1, 1), Feed_Title VARCHAR(255) NOT NULL, Feed_Address VARCHAR(255) NOT NULL, Feed_Image VARCHAR(255) NULL, Feed_Headlines INTEGER NOT NULL DEFAULT 5, Feed_Order INTEGER NOT NULL);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Feeds ADD CONSTRAINT PK_Feed_ID PRIMARY KEY (Feed_ID);"
									adoConn.execute sqlCreate
									
									'add folders table
									sqlCreate = "CREATE TABLE FB_Folders (Folder_ID INTEGER NOT NULL IDENTITY (1, 1), Folder_Title VARCHAR(255) NOT NULL, Folder_System INTEGER NOT NULL DEFAULT 0, Folder_Protected INTEGER NOT NULL DEFAULT 0);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Folders ADD CONSTRAINT PK_Folder_ID PRIMARY KEY (Folder_ID);"
									adoConn.execute sqlCreate
									
									'create links table
									sqlCreate = "CREATE TABLE FB_Links (Link_ID INTEGER NOT NULL IDENTITY (1, 1), Link_Title VARCHAR(255) NOT NULL, Link_Image VARCHAR(255) NULL, Link_Address VARCHAR(255) NOT NULL, Link_Order INTEGER NOT NULL);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Links ADD CONSTRAINT PK_Link_ID PRIMARY KEY (Link_ID);"
									adoConn.execute sqlCreate
									
									'create pages tables
									sqlCreate = "CREATE TABLE FB_Pages (Page_ID INTEGER NOT NULL IDENTITY (1, 1), Page_Folder_ID INTEGER NULL, Page_Parent_ID INTEGER NULL, Page_Type INTEGER NOT NULL DEFAULT 0, Page_Title VARCHAR(255) NOT NULL, Page_Image VARCHAR(255) NULL, Page_Name VARCHAR(255) NULL, Page_URL VARCHAR(255) NOT NULL, Page_Protected INTEGER NOT NULL DEFAULT 0,Page_Visible INTEGER NOT NULL DEFAULT 1, Page_Order INTEGER NOT NULL DEFAULT 0);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Pages ADD CONSTRAINT PK_Page_ID PRIMARY KEY (Page_ID);"
									adoConn.execute sqlCreate
									
									'add indexes
									sqlCreate = "CREATE NONCLUSTERED INDEX IX_Page_Parent_ID ON FB_Pages (Page_Parent_ID);"
									adoConn.execute sqlCreate
									
									sqlCreate = "CREATE NONCLUSTERED INDEX IX_Page_Folder_ID ON FB_Pages (Page_Folder_ID);"
									adoConn.execute sqlCreate
									
									'add search rable
									sqlCreate = "CREATE TABLE FB_Search (Search_ID INTEGER NOT NULL IDENTITY (1, 1), Search_Keywords VARCHAR(255) NOT NULL, Search_Date VARCHAR(14) NOT NULL, Search_Address VARCHAR(15) NOT NULL);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Search ADD CONSTRAINT PK_Search_ID PRIMARY KEY (Search_ID);"
									adoConn.execute sqlCreate
									
									'create users table
									sqlCreate = "CREATE TABLE FB_Users (User_ID INTEGER NOT NULL IDENTITY (1, 1), User_Name VARCHAR(100) NOT NULL, User_Email VARCHAR(255) NOT NULL, User_Address VARCHAR(15) NOT NULL, User_Password VARCHAR(60) NOT NULL, User_Level INTEGER NOT NULL DEFAULT 0, User_Activation INTEGER NOT NULL, User_Date_Join VARCHAR(14) NOT NULL, User_Date_Visit VARCHAR(14) NULL, User_Profile_ICQ VARCHAR(25) NULL, User_Profile_MSN VARCHAR(255) NULL, User_Profile_AIM VARCHAR(255) NULL, User_Profile_Website VARCHAR(255) NULL, User_Profile_Location VARCHAR(255) NULL, User_Profile_Biography TEXT NULL, User_Login_Count INTEGER NOT NULL DEFAULT 0, User_Login_Reminder VARCHAR(14) NULL, User_Ban_Expires VARCHAR(14) NULL, User_Ban_Reason TEXT NULL);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Users ADD CONSTRAINT PK_User_ID PRIMARY KEY (User_ID);"
									adoConn.execute sqlCreate
									
								case "MYSQL"
									
									'create articles table
									sqlCreate = "CREATE TABLE FB_Articles (Article_ID INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY, Article_User_ID INTEGER NOT NULL, Article_Category_ID INTEGER NOT NULL, Article_Title VARCHAR(255) NOT NULL, Article_Excerpt TEXT NULL, Article_Content TEXT NOT NULL, Article_Posted VARCHAR(14) NOT NULL, Article_Status INTEGER NOT NULL DEFAULT 0, Article_Comments INTEGER NOT NULL DEFAULT 1, Article_Images TEXT NULL, Article_Level INTEGER NOT NULL DEFAULT 0) TYPE=InnoDB;"
									adoConn.execute sqlCreate
									
									'add indexes
									sqlCreate = "CREATE INDEX IX_Article_Category_ID ON FB_Articles (Article_Category_ID);"
									adoConn.execute sqlCreate
									
									'add indexes
									sqlCreate = "CREATE INDEX IX_Article_User_ID ON FB_Articles (Article_User_ID);"
									adoConn.execute sqlCreate
									
									'create blocked table
									sqlCreate = "CREATE TABLE FB_Blocked (Block_ID INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY,	Block_Added VARCHAR(14) NOT NULL, Block_Expires VARCHAR(14) NOT NULL, Block_Reason TEXT NOT NULL, Block_Address VARCHAR(14) NOT NULL);"
									adoConn.execute sqlCreate
									
									'create categories table
									sqlCreate = "CREATE TABLE FB_Categories (Category_ID INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY, Category_Title VARCHAR(255) NOT NULL, Category_Order INTEGER NOT NULL) TYPE=InnoDB;"
									adoConn.execute sqlCreate
									
									'create comments table
									sqlCreate = "CREATE TABLE FB_Comments (Comment_ID INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY, Comment_Article_ID INTEGER NOT NULL, Comment_Author_Name VARCHAR(100) NOT NULL, Comment_Author_Email VARCHAR(255) NOT NULL, Comment_Author_Website VARCHAR(255) NULL, Comment_Author_Address VARCHAR(15) NOT NULL, Comment_Date VARCHAR(14) NOT NULL, Comment_Content TEXT NOT NULL, Comment_Status INTEGER NOT NULL DEFAULT 0) TYPE=InnoDB;"
									adoConn.execute sqlCreate
									
									'add indexes
									sqlCreate = "CREATE INDEX IX_Comment_Article_ID ON FB_Comments (Comment_Article_ID);"
									adoConn.execute sqlCreate
									
									'create configuration table
									sqlCreate = "CREATE TABLE FB_Configuration (Blog_Enabled INTEGER NOT NULL DEFAULT 0, Blog_Name VARCHAR(255) NOT NULL, Blog_Description TEXT NULL, Blog_Theme VARCHAR(255) NOT NULL DEFAULT 'Olive', Blog_Location VARCHAR(255) NOT NULL, Blog_Time_Format VARCHAR(4) NOT NULL DEFAULT 'UK', Blog_Time_Offset INTEGER NOT NULL DEFAULT 0, Blog_Account_Registration INTEGER NOT NULL DEFAULT 0, Blog_Account_Authorisation INTEGER NOT NULL DEFAULT 0, Blog_Link_Enabled INTEGER NOT NULL DEFAULT 1, Blog_Link_Limit INTEGER NOT NULL DEFAULT 10, Blog_Feed_Enabled INTEGER NOT NULL DEFAULT 1, Blog_Feed_Limit INTEGER NOT NULL DEFAULT 5, Blog_Email_Component VARCHAR(255) NOT NULL DEFAULT 'NONE', Blog_Email_Host VARCHAR(255) NULL, Blog_Email_Address VARCHAR(255) NULL,"
									sqlCreate = sqlCreate &"Blog_Email_Signature VARCHAR(255) NULL, Blog_Email_Notification INTEGER NOT NULL DEFAULT 0, Blog_Email_Verification INTEGER NOT NULL DEFAULT 0, Blog_Article_Limit INTEGER NOT NULL DEFAULT 10, Blog_Search_Limit INTEGER NOT NULL DEFAULT 60, Blog_Events_Enabled INTEGER NOT NULL DEFAULT 0, Blog_Gallery_Enabled INTEGER NOT NULL DEFAULT 0, Blog_Gallery_Height INTEGER NOT NULL DEFAULT 100, Blog_Gallery_Width INTEGER NOT NULL DEFAULT 100, Blog_Comment_Enabled INTEGER NOT NULL DEFAULT 1, Blog_Comment_Moderation INTEGER NOT NULL DEFAULT 0, Blog_Comment_Registration INTEGER NOT NULL DEFAULT 0, Blog_Comment_Limit INTEGER NOT NULL DEFAULT 10, Blog_Meta_Keywords VARCHAR(255) NULL, Blog_Meta_Description TEXT NULL, Blog_Private INTEGER NOT NULL DEFAULT 0, Blog_Sidebar TEXT NULL);"
									adoConn.execute sqlCreate
									
									'create events table
									sqlCreate = "CREATE TABLE FB_Events (Event_ID INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY, Event_Title VARCHAR(255) NOT NULL, Event_Description TEXT NOT NULL, Event_Date_Added VARCHAR(14) NOT NULL, Event_Date_Start VARCHAR(14) NOT NULL);"
									adoConn.execute sqlCreate
									
									'create feeds table
									sqlCreate = "CREATE TABLE FB_Feeds (Feed_ID INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY, Feed_Title VARCHAR(255) NOT NULL,Feed_Address VARCHAR(255) NOT NULL, Feed_Image VARCHAR(255) NULL, Feed_Headlines INTEGER NOT NULL DEFAULT 5, Feed_Order INTEGER NOT NULL);"
									adoConn.execute sqlCreate
									
									'create folders table
									sqlCreate = "CREATE TABLE FB_Folders (Folder_ID INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY, Folder_Title VARCHAR(255) NOT NULL, Folder_System INTEGER NOT NULL DEFAULT 0, Folder_Protected INTEGER NOT NULL DEFAULT 0) TYPE=InnoDB;"
									adoConn.execute sqlCreate
									
									'create links table
									sqlCreate = "CREATE TABLE FB_Links (Link_ID INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY, Link_Title VARCHAR(255) NOT NULL, Link_Image VARCHAR(255) NULL, Link_Address VARCHAR(255) NOT NULL, Link_Order INTEGER NOT NULL);"
									adoConn.execute sqlCreate
									
									'create pages table
									sqlCreate = "CREATE TABLE FB_Pages (Page_ID INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY, Page_Folder_ID INTEGER NULL, Page_Parent_ID INTEGER NULL, Page_Type INTEGER NOT NULL DEFAULT 0, Page_Title VARCHAR(255) NOT NULL, Page_Image VARCHAR(255) NULL, Page_Name VARCHAR(255) NULL, Page_URL VARCHAR(255) NOT NULL, Page_Protected INTEGER NOT NULL DEFAULT 0, Page_Visible INTEGER NOT NULL DEFAULT 1, Page_Order INTEGER NOT NULL DEFAULT 0) TYPE=InnoDB;"
									adoConn.execute sqlCreate
									
									'add indexes
									sqlCreate = "CREATE INDEX IX_Page_Folder_ID ON FB_Pages (Page_Folder_ID);"
									adoConn.execute sqlCreate
									
									'add indexes
									sqlCreate = "CREATE INDEX IX_Page_Parent_ID ON FB_Pages (Page_Parent_ID);"
									adoConn.execute sqlCreate
									
									'create search table
									sqlCreate = "CREATE TABLE FB_Search (Search_ID INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY, Search_Keywords VARCHAR(255) NOT NULL, Search_Date VARCHAR(14) NOT NULL, Search_Address VARCHAR(15) NOT NULL);"
									adoConn.execute sqlCreate
									
									'create users table
									sqlCreate = "CREATE TABLE FB_Users (User_ID INTEGER NOT NULL AUTO_INCREMENT PRIMARY KEY, User_Name VARCHAR(100) NOT NULL, User_Email VARCHAR(255) NOT NULL, User_Address VARCHAR(15) NOT NULL, User_Password VARCHAR(60) NOT NULL, User_Level INTEGER NOT NULL DEFAULT 0, User_Activation INTEGER NOT NULL, User_Date_Join VARCHAR(14) NOT NULL, User_Date_Visit VARCHAR(14) NULL, User_Profile_ICQ VARCHAR(25) NULL, User_Profile_MSN VARCHAR(255) NULL, User_Profile_AIM VARCHAR(255) NULL, User_Profile_Website VARCHAR(255) NULL, User_Profile_Location VARCHAR(255) NULL, User_Profile_Biography TEXT NULL, User_Login_Count INTEGER NOT NULL DEFAULT 0, User_Login_Reminder VARCHAR(14) NULL, User_Ban_Expires VARCHAR(14) NULL, User_Ban_Reason TEXT NULL) TYPE=InnoDB;"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Comments ADD CONSTRAINT FK_FB_Articles_FB_Comments FOREIGN KEY (Comment_Article_ID) REFERENCES FB_Articles (Article_ID);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Articles ADD CONSTRAINT FK_FB_Categories_FB_Articles FOREIGN KEY (Article_Category_ID) REFERENCES FB_Categories (Category_ID);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Pages ADD CONSTRAINT FK_FB_Folders_FB_Pages FOREIGN KEY (Page_Folder_ID) REFERENCES FB_Folders (Folder_ID);"
									adoConn.execute sqlCreate
									
									'add constraints
									sqlCreate = "ALTER TABLE FB_Articles ADD CONSTRAINT FK_FB_Users_FB_Articles FOREIGN KEY (Article_User_ID) REFERENCES FB_Users (User_ID);"
									adoConn.execute sqlCreate
									
							end select
							
							'insert configuration defaults
							sqlCreate = "INSERT INTO FB_Configuration (Blog_Name, Blog_Location) VALUES ('"& strTitle &"', '"& strLocation &"');"
							adoConn.execute sqlCreate
							
							'insert default category
							sqlCreate = "INSERT INTO FB_Categories (Category_Title, Category_Order) VALUES ('Uncategorised', 0);"
							adoConn.execute sqlCreate
							
							'insert default folders
							sqlCreate = "INSERT INTO FB_Folders (Folder_Title, Folder_System, Folder_Protected) VALUES ('Admin', 1, 1);" 
							adoConn.execute sqlCreate
							
							sqlCreate = "INSERT INTO FB_Folders (Folder_Title, Folder_System, Folder_Protected) VALUES ('Events', 1, 0);" 
							adoConn.execute sqlCreate
							
							sqlCreate = "INSERT INTO FB_Folders (Folder_Title, Folder_System, Folder_Protected) VALUES ('Includes', 1, 1);" 
							adoConn.execute sqlCreate
							
							sqlCreate = "INSERT INTO FB_Folders (Folder_Title, Folder_System, Folder_Protected) VALUES ('Search', 1, 0);" 
							adoConn.execute sqlCreate
							
							sqlCreate = "INSERT INTO FB_Folders (Folder_Title, Folder_System, Folder_Protected) VALUES ('Themes', 1, 1);"
							adoConn.execute sqlCreate
							
							'insert default pages
							sqlCreate = "INSERT INTO FB_Pages (Page_Folder_ID, Page_Parent_ID, Page_Type, Page_Title, Page_Image, Page_Name, Page_URL, Page_Protected, Page_Visible, Page_Order) VALUES (null, null, 0, 'Home', null, 'default.asp', '"& strLocation &"/default.asp', 1, 1, 0);"
							adoConn.execute sqlCreate
							
							sqlCreate = "INSERT INTO FB_Pages (Page_Folder_ID, Page_Parent_ID, Page_Type, Page_Title, Page_Image, Page_Name, Page_URL, Page_Protected, Page_Visible, Page_Order) VALUES (4, null, 0, 'Search', null, 'default.asp', '"& strLocation &"/Search/default.asp', 1, 1, 1);"
							adoConn.execute sqlCreate
							
							sqlCreate = "INSERT INTO FB_Pages (Page_Folder_ID, Page_Parent_ID, Page_Type, Page_Title, Page_Image, Page_Name, Page_URL, Page_Protected, Page_Visible, Page_Order) VALUES (null, null, 0, 'Error', null, 'error.asp', '"& strLocation &"/error.asp', 1, 0, 2);"
							adoConn.execute sqlCreate
							
							sqlCreate = "INSERT INTO FB_Pages (Page_Folder_ID, Page_Parent_ID, Page_Type, Page_Title, Page_Image, Page_Name, Page_URL, Page_Protected, Page_Visible, Page_Order) VALUES (null, null, 0, 'Comment', null, 'comment.asp', '"& strLocation &"/comment.asp', 1, 0, 3);"
							adoConn.execute sqlCreate
							
							sqlCreate = "INSERT INTO FB_Pages (Page_Folder_ID, Page_Parent_ID, Page_Type, Page_Title, Page_Image, Page_Name, Page_URL, Page_Protected, Page_Visible, Page_Order) VALUES (null, null, 0, 'Screenshot', null, 'screenshot.asp', '"& strLocation &"/screenshot.asp', 1, 0, 4);"
							adoConn.execute sqlCreate
							
							sqlCreate = "INSERT INTO FB_Pages (Page_Folder_ID, Page_Parent_ID, Page_Type, Page_Title, Page_Image, Page_Name, Page_URL, Page_Protected, Page_Visible, Page_Order) VALUES (2, null, 0, 'Events', null, 'default.aso', '"& strLocation &"/Events/default.asp', 1, 0, 5);"
							adoConn.execute sqlCreate
							
							sqlCreate = "INSERT INTO FB_Pages (Page_Folder_ID, Page_Parent_ID, Page_Type, Page_Title, Page_Image, Page_Name, Page_URL, Page_Protected, Page_Visible, Page_Order) VALUES (null, null, 0, 'Disabled', null, 'disabled.asp', '"& strLocation &"/disabled.asp', 1, 0, 6);"
							adoConn.execute sqlCreate
							
							sqlCreate = "INSERT INTO FB_Pages (Page_Folder_ID, Page_Parent_ID, Page_Type, Page_Title, Page_Image, Page_Name, Page_URL, Page_Protected, Page_Visible, Page_Order) VALUES (null, null, 0, 'Blocked', null, 'blocked.asp', '"& strLocation &"/blocked.asp', 1, 0, 7);"
							adoConn.execute sqlCreate
							
							sqlCreate = "INSERT INTO FB_Pages (Page_Folder_ID, Page_Parent_ID, Page_Type, Page_Title, Page_Image, Page_Name, Page_URL, Page_Protected, Page_Visible, Page_Order) VALUES (null, 1, 0, 'Profile', null, 'profile.asp', '"& strLocation &"/profile.asp', 1, 0, 8);"
							adoConn.execute sqlCreate
							
							sqlCreate = "INSERT INTO FB_Pages (Page_Folder_ID, Page_Parent_ID, Page_Type, Page_Title, Page_Image, Page_Name, Page_URL, Page_Protected, Page_Visible, Page_Order) VALUES (null, null, 0, 'Profile', null, 'rss.asp', '"& strLocation &"/rss.asp', 1, 0, 9);"
							adoConn.execute sqlCreate
							
							'insert default user
							sqlCreate = "INSERT INTO FB_Users (User_Name, User_Email, User_Password, User_Address, User_Level, User_Activation, User_Date_Join) VALUES ('"& strName &"', '"& strEmail &"', '"& strPassword &"', '"& strAddress &"', "& intLevel &", "& intActivation &", '"& db_time(0) &"')"
							adoConn.execute sqlCreate
							
							'display confirmation
							response.write("<h1>Tables</h1>")
							
							response.write("<p>")
								response.write("All of the required database tables have now been created successfully, Please delete this page from your webspace so that it cannot be abused by ay other users. Please click <a href='default.asp' title='"& strTitle &"'>here</a> if you are not redirected within 10 seconds.")
							response.write("</p>")
							
							response.addheader "Refresh", "10; URL=default.asp"
							
						else
							
							response.write(strTitle &" "& strLocation &" "& strName &" "& strEmail &" "& strPassword)
							
							response.write("<h1>Step 2</h1>")
						
							response.write("<p>")
								response.write("Please complete the form below to set the default values for your Forest Blog and create the default Administrative account. The administrative account has access to all of the Forest Blog configuration, editing and user tools so please ensure that you specify a string alphanumeric password to protect your Forest Blog security.")
							response.write("</p>")
							
							response.write("<p>")
								response.write("By clicking the button labelled <i>step three</i> you will initiate the creation of the tables required by the Forest Blog software. All of the tables required by the Forest Blog are prefixed <b>FB_</b> if you already have any tables in your database that follow this naming convention it is recommended that you rename them to prevent any errors.")
							response.write("</p>")
							
							response.write("<form action='setup.asp?Step=3' method='post' onsubmit=""this.submit.disabled=true;"">")
							
								response.write("<table cellspacing='0' summary='Create the default settings for the Forest Blog.'>")
									
									response.write("<tr valign='top'>")
										response.write("<td class='label'><label for='title'><b>Blog title</b></label>:<br />This will be used in the Blog header and in all communication sent from the blog.</td>")
										response.write("<td class='details'><input id='title' name='title' type='text' value="""" size='22' maxlength='200' tabindex='1' class='text' /></td>")
									response.write("</tr>")
									
									response.write("<tr valign='top'>")
										response.write("<td class='label'><label for='location'><b>Blog location</b></label>:<br />The URL where the blog is located. Do NOT include any trailing / slashes.</td>")
										response.write("<td class='details'><input id='location' name='location' type='text' value=""http://"& request.servervariables("HTTP_HOST") &""" size='22' maxlength='200' tabindex='2' class='text' /></td>")
									response.write("</tr>")
									
									response.write("<tr valign='top'>")
										response.write("<td class='label'><label for='database'><b>Blog database</b></label>:<br />The database that the blog will run on. Please make sure that you have selected the correct database connection string within inc-dataconnection.asp.</td>")
										response.write("<td class='details'>")
											response.write("<select id='database' name='database' tabindex='3' class='select'>")
												response.write("<option value=""MYSQL"">MySQL</option>")
												response.write("<option value=""MSSQL"">MS SQL 2000</option>")
												response.write("<option value=""ACCESS"">MS Access</option>")
											response.write("</select>")
										response.write("</td>")
									response.write("</tr>")
									
									response.write("<tr valign='top'>")
										response.write("<td class='label'><label for='name'><b>Administrator name</b></label>:<br />The username of the default Administrator account.</td>")
										response.write("<td class='details'><input id='name' name='name' type='text' value="""" size='22' maxlength='200' tabindex='4' class='text' /></td>")
									response.write("</tr>")
									
									response.write("<tr valign='top'>")
										response.write("<td class='label'><label for='password'><b>Administrator password</b></label>:<br />The password for the default Administrator account.</td>")
										response.write("<td class='details'><input id='password' name='password' type='text' value="""" size='22' maxlength='200' tabindex='5' class='text' /></td>")
									response.write("</tr>")
									
									response.write("<tr valign='top'>")
										response.write("<td class='label'><label for='email'><b>Administrator email</b></label>:<br />The email address of the default Administrator account.</td>")
										response.write("<td class='details'><input id='email' name='email' type='text' value="""" size='22' maxlength='200' tabindex='6' class='text' /></td>")
									response.write("</tr>")
									
									response.write("<tr valign='top'>")
										response.write("<td class='label'>&nbsp;</td>")
										response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='7' value=""Step Three"" class='button' /></td>")
									response.write("</tr>")
									
								response.write("</table>")
							
							response.write("</form>")
							
						end if						
						
				end select
				%>
			</div>
			
			<div class="clear"></div>
			
		</div>
		
		<div id="footer">
			Powered by: <a href="http://www.hostforest.co.uk/Blog" rel="external" title="Forest Blog">Forest Blog</a> | Copyright &copy; 2005 <a href="http://www.hostforest.co.uk" rel="external" title="Host Forest">Host Forest</a>
		</div>
	</div>
	
</body>

</html>