<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsArticles, sqlArticles, intArticlesCount, arrArticlesData, rsCategories, sqlCategories, intCategoriesCount, arrCategoriesData
dim intArticle, intArticlesLoop, intCategoriesLoop

'load and check variables
if request.querystring("Article") <> "" and isnumeric(request.querystring("Article")) = true then
	intArticle = int(request.querystring("Article"))
end if

'check permission
call level_check(2)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

<script language="javascript" type="text/javascript" src="<%=strBlogLocation%>/Includes/Tiny/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">
	tinyMCE.init
	(
		{
			theme : "advanced",
			mode : "textareas",
			theme_advanced_containers : "mceControls,mceEditor",
			theme_advanced_container_mceControls:  'formatselect,separator,bold,italic,underline,strikethrough,separator,justifyleft,justifycenter,justifyright,justifyfull,outdent,indent,numlist,bullist,separator,link,unlink,anchor,image,separator,undo,redo,code,help',
			theme_advanced_layout_manager : "RowLayout",
			theme_advanced_toolbar_location : "top",
			remove_linebreaks : false,
			plugins : "codeprotect",
			convert_urls: false,
			entities : "",
			debug : false
		}
	);
</script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether an article has been selected
				if intArticle = "" then
					
					'display articles header
					response.write("<h1>Edit articles</h1>")
					
					'display articles details
					if session("FB_UserLevel") = 2 then
						response.write("<p>")
							response.write("The details of the last 25 articles that you have posted to the Forest Blog are listed below. Click any of the appropriate <i>edit</i> links to edit the specified article.")
						response.write("</p>")
					else
						response.write("<p>")
							response.write("The details of the last 25 articles that have been posted to the Forest Blog are listed below. Click any of the appropriate <i>edit</i> links to edit the specified article.")
						response.write("</p>")
					end if
					
					response.write("<p>")
						response.write("Alternatively enter the article ID number in the box provided below to edit a specific article.")
					response.write("</p>")
					
					'build search form
					response.write("<form action='articles_edit.asp' method='get' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<p>")
							response.write("<input id='Article' name='Article' type='text' value="""" size='32' maxlength='200' tabindex='1' /> <input id='submit' name='submit' type='submit' tabindex='2' value=""Search"" />")
						response.write("</p>")
						
					response.write("</form>")
					
					'grab list of articles
					set rsArticles = server.createobject("adodb.recordset")
					
					'set SQL query based on database type and user level
					if session("FB_UserLevel") = 2 then
						if strDatabase = "MSSQL" then
							sqlArticles = "SELECT TOP 25 Article_ID, Article_Title FROM FB_Articles WHERE Article_Status = 1 AND Article_User_ID = "& session("FB_UserID") &" ORDER BY  Article_Posted DESC;"
						else
							sqlArticles = "SELECT Article_ID, Article_Title FROM FB_Articles WHERE Article_Status = 1 AND Article_User_ID = "& session("FB_UserID") &" ORDER BY  Article_Posted DESC LIMIT 25;"
						end if
					else
						if strDatabase = "MSSQL" then
							sqlArticles = "SELECT TOP 25 Article_ID, Article_Title FROM FB_Articles WHERE Article_Status = 1 ORDER BY  Article_Posted DESC;"
						else
							sqlArticles = "SELECT Article_ID, Article_Title FROM FB_Articles WHERE Article_Status = 1 ORDER BY  Article_Posted DESC LIMIT 25;"
						end if
					end if
					rsArticles.cursorlocation = 3
					rsArticles.open sqlArticles, adoConn
					if not (rsArticles.bof or rsArticles.eof) then
						intArticlesCount = rsArticles.recordcount
						arrArticlesData = rsArticles.getrows()
					else
						intARticlesCount = 0
					end if
					rsArticles.close
					set rsArticles = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'build table container
					response.write("<table cellspacing='0' summary='List of all the articles that are available for editing.'>")
						
						'buid table header
						response.write("<tr>")
							
							response.write("<th>Article title</th><th class='options'>Options</th>")
								
						response.write("</tr>")
						
						'initialise counter
						intArticlesLoop = 0
						
						'loop throug all categories
						do until intArticlesLoop = intArticlesCount
							
							response.write("<tr>")
							
								response.write("<td><a href='../default.asp?Display="& arrArticlesData(0, intArticlesLoop) &"' title='"& SQL_decode(arrArticlesData(1, intArticlesLoop)) &"' rel='external'>"& SQL_decode(arrArticlesData(1, intArticlesLoop)) &"</a></td><td class='options'><a href='articles_edit.asp?Article="& arrArticlesData(0, intArticlesLoop) &"' title='Edit article'>Edit</a></td>")
									
							response.write("</tr>")
							
							'increment query count
							intArticlesLoop = intArticlesLoop + 1
							
						loop
						
					response.write("</table>")
					
				else
					
					'check a valid article has be specified
					set rsArticles = server.createobject("adodb.recordset")
					sqlArticles = "SELECT Article_ID, Article_User_ID, Article_Category_ID, Article_Title, Article_Excerpt, Article_Content, Article_Images, Article_Posted, Article_Status, Article_Comments, Article_Level FROM FB_Articles WHERE Article_ID = "& intArticle &";"
					rsArticles.cursorlocation = 3
					rsArticles.open sqlArticles, adoConn
					if not (rsArticles.bof or rsArticles.eof) then
						intArticlesCount = rsArticles.recordcount
						arrArticlesData = rsArticles.getrows()
					else
						intArticlesCount = 0
					end if
					rsArticles.close
					set rsArticles = nothing
					
					if intArticlesCount = 0 then
						response.redirect("../error.asp?Type=Article&Error=Article&Redirect=/Admin/articles_authorise.asp")
					end if
					
					'display article header
					response.write("<h1>Edit article</h1>")
					
					'display article message
					response.write("<p>")
						response.write("Use the form below to authorise and edit the specified article. If you do not wish to authorise the article please tick the delete button before submitting the form. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					'grab all defined articles
					set rsCategories = server.createobject("adodb.recordset")
					sqlCategories = "SELECT CAtegory_ID, Category_Title FROM FB_Categories ORDER BY Category_Order ASC;"
					rsCategories.cursorlocation = 3
					rsCategories.open sqlCategories, adoConn
					if not (rsCategories.bof or rsCategories.eof) then
						intCategoriesCount = rsCategories.recordcount
						arrCategoriesData = rsCategories.getrows()
					else
						intCategoriesCount = 0
					end if
					rsCategories.close
					set rsCategories = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'build article form
					response.write("<form action='articles_submit.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for authorising new articles.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='category'><b>Article category</b></label>:<br />Set the category that the article will be associated with.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='category' name='category' tabindex='2' class='select'>")
										
										'initialise counter
										intCategoriesLoop = 0
										
										'loop through all categories
										do until intCategoriesLoop = intCategoriesCount
											
											if arrArticlesData(2, 0) = arrCategoriesData(0, intCategoriesLoop) then
												response.write("<option value="""& arrCategoriesData(0, intCategoriesLoop) &""" selected='selected'>"& SQL_decode(arrCategoriesData(1, intCategoriesLoop)) &"</option>")
											else
												response.write("<option value="""& arrCategoriesData(0, intCategoriesLoop) &""">"& SQL_decode(arrCategoriesData(1, intCategoriesLoop)) &"</option>")
											end if
											
											'incremement counter
											intCategoriesLoop  = intCategoriesLoop  + 1
											
										loop											
										
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='name'><b>Article title</b></label>:<br />The title of the article that you wish to create.</td>")
								response.write("<td class='details'><input id='name' name='name' type='text' value="""& SQL_decode(arrArticlesData(3, 0)) &""" size='22' maxlength='200' tabindex='3' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='excerpt'><b>Article excerpt</b></label>:<br />If this is a large article add an excerpt to provide a summary of the article on the front page rather than the full article.</td>")
								response.write("<td class='details'><textarea id='excerpt' name='excerpt' cols='' rows='10' tabindex='4' class='textarea'>"& SQL_decode(arrArticlesData(4, 0)) &"</textarea></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='text'><b>Article content</b></label>:<br />Add the article content here. Articles can contain any valid HTML tags.</td>")
								response.write("<td class='details'><textarea id='text' name='text' cols='' rows='15' tabindex='5' class='textarea'>"& SQL_decode(arrArticlesData(5, 0)) &"</textarea></td>")
							response.write("</tr>")
							
							'check whether images are enabled
							if intBlogGalleryEnabled = 1 then
								
								response.write("<tr valign='top'>")
									response.write("<td class='label'><label for='images'><b>Article images</b></label>:<br />Specify the folder where the images for this article are located. The folder is relative to the website root and must begin and end with a /.</td>")
									response.write("<td class='details'><input id='images' name='images' type='text' value="""& SQL_decode(arrArticlesData(6, 0)) &""" size='22' maxlength='200' tabindex='6' class='text' /></td>")
								response.write("</tr>")
								
							end if
							
							'check whether comments are enabled
							if intBlogCommentEnabled = 1 then
								
								response.write("<tr valign='top'>")
									response.write("<td class='label'><label for='comments'><b>Article comments</b></label>:<br />Set whether comments are enabled for this article.</td>")
									response.write("<td class='details'>")
										
										response.write("<select id='comments' name='comments' tabindex='7' class='select'>")
											
											select case arrArticlesData(9, 0)
												case 0
													response.write("<option value=""0"" selected='selected'>Disabled</option>")
													response.write("<option value=""1"">Enabled</option>")
												case 1
													response.write("<option value=""0"">Disabled</option>")
													response.write("<option value=""1"" selected='selected'>Enabled</option>")
											end select
											
										response.write("</select>")
										
									response.write("</td>")
								response.write("</tr>")
								
							end if
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='level'><b>Article level</b></label>:<br />The user level required to view the article.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='level' name='level' tabindex='8' class='select'>")
										select case arrArticlesData(10, 0)
											case 0
												
												response.write("<option value=""0"" selected='selected'>Any</option>")
												response.write("<option value=""1"">User</option>")
												response.write("<option value=""2"">Author</option>")
												response.write("<option value=""3"">Editor</option>")
												response.write("<option value=""4"">Administrator</option>")
												
											case 1
												
												response.write("<option value=""0"">Any</option>")
												response.write("<option value=""1"" selected='selected'>User</option>")
												response.write("<option value=""2"">Author</option>")
												response.write("<option value=""3"">Editor</option>")
												response.write("<option value=""4"">Administrator</option>")
												
											case 2
												
												response.write("<option value=""0"">Any</option>")
												response.write("<option value=""1"">User</option>")
												response.write("<option value=""2"" selected='selected'>Author</option>")
												response.write("<option value=""3"">Editor</option>")
												response.write("<option value=""4"">Administrator</option>")
												
											case 3
												
												response.write("<option value=""0"">Any</option>")
												response.write("<option value=""1"">User</option>")
												response.write("<option value=""2"">Author</option>")
												response.write("<option value=""3"" selected='selected'>Editor</option>")
												response.write("<option value=""4"">Administrator</option>")
												
											case 4
												
												response.write("<option value=""0"">Any</option>")
												response.write("<option value=""1"">User</option>")
												response.write("<option value=""2"">Author</option>")
												response.write("<option value=""3"">Editor</option>")
												response.write("<option value=""4"" selected='selected'>Administrator</option>")
												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='delete'><b>Delete article</b></label>:<br />Tick this box to delete this article from the Forest Blog.</td>")
								response.write("<td class='details'><input id='delete' name='delete' type='checkbox' tabindex='9' value=""1"" /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input name='article' type='hidden' value="""& arrArticlesData(0, 0) &""" /><input id='submit' name='submit' type='submit' tabindex='10' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>