<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsCategories, sqlCategories, intCategoriesCount, arrCategoriesData, rsArticles, sqlArticles, intArticlesCount, arrArticlesData, rsComments, sqlComments
dim objFSO, objTextfile, RegCharacters
dim strDestination, strTitle, strExcerpt, strText, strImages
dim intArticle, intArticlesLoop, intCategoriesLoop, intCategory, intComments, intStatus, intLevel

'check permission
call level_check(2)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether we are deleting the article
				if request.form("delete") = 1 then
					
					'load and check variables
					if request.form("article") <> "" or isnumeric(request.form("article")) = true then
						intArticle = int(request.form("article"))
					else
						response.redirect("../error.asp?Type=Article&Error=Article&Redirect=/Admin/articles_edit.asp")
					end if
					
					'check valid article has been specified
					set rsArticles = server.createobject("adodb.recordset")
					sqlArticles = "SELECT Article_ID FROM FB_Articles WHERE Article_ID = "& intArticle &";"
					rsArticles.cursorlocation = 3
					rsArticles.open sqlArticles, adoConn
					if not (rsArticles.bof or rsArticles.eof) then
						intArticlesCount = rsArticles.recordcount
						arrArticlesData = rsArticles.getrows()
					else
						intArticlesCount = 0
					end if
					rsArticles.close
					set rsArticles = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					if intArticlesCount = 0 then
						response.redirect("../error.asp?Type=Article&Error=Article&Redirect=/Admin/articles_edit.asp")
					end if
					
					'delete all associated comments
					set rsComments = server.createobject("adodb.recordset")
					sqlComments = "DELETE FROM FB_Comments WHERE Comment_Article_ID = "& intArticle &";"
					rsComments.cursortype = 2
					rsComments.locktype = 3
					rsComments.open sqlComments, adoConn
					set rsComments = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'delete specified article
					set rsArticles = server.createobject("adodb.recordset")
					sqlArticles = "DELETE FROM FB_Articles WHERE Article_ID = "& intArticle &";"
					rsArticles.cursortype = 2
					rsArticles.locktype = 3
					rsArticles.open sqlArticles, adoConn
					set rsArticles = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Article deleted</h1>")
					
					response.write("<p>")
						response.write("The article has been successfully deleted. All comments associated with this article have also been deleted. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				else
					
					'set regular expression to check for alpha characters only 
					set regCharacters = new regexp
					regCharacters.Pattern = "[a-zA-Z]"
					
					'load and check variables
					if request.form("article") <> "" or isnumeric(request.form("article")) = true then
						intArticle = int(request.form("article"))
					else
						response.redirect("../error.asp?Type=Article&Error=Article&Redirect=/Admin/articles_edit.asp")
					end if
					
					if request.form("category") <> "" and isnumeric(request.form("category")) = true then
						intCategory = int(request.form("category"))
					else
						response.redirect("../error.asp?Type=Article&Error=Category&Redirect=/Admin/articles_edit.asp")
					end if
					
					if SQL_encode(request.form("name")) <> "" then
						strTitle = SQL_encode(request.form("name"))
					else
						response.redirect("../error.asp?Type=Article&Error=Title&Redirect=/Admin/articles_edit.asp")
					end if
					
					if SQL_encode(request.form("excerpt")) <> "" then
						strExcerpt = SQL_encode(request.form("excerpt"))
					end if
					
					if SQL_encode(request.form("text")) <> "" then
						strText = SQL_encode(request.form("text"))
					else
						response.redirect("../error.asp?Type=Article&Error=Article&Redirect=/Admin/articles_edit.asp")
					end if
					
					if request.form("images") <> "" and intBlogGalleryEnabled = 1 then
						if instr(request.form("images"), " ") = 0 and regCharacters.test(request.form("images")) = true then
							strImages = request.form("images")
							if left(strImages, 1) <> "/" and left(strImages, 1) <> "\" then
								strImages = "/"& strImages
							end if
							 if right(strImages, 1) <> "/" and right(strImages, 1) <> "\" then
								strImages = strImages &"/"
							end if
						else
							strImages = NULL
						end if
					else
						strImages = NULL
					end if
					
					if request.form("comments") <> "" and isnumeric(request.form("comments")) = true and intBlogCommentEnabled = 1 then
						intComments = int(request.form("comments"))
					else
						intComments = intBlogCommentEnabled
					end if
					
					intStatus = 1
					
					if request.form("level") <> "" and isnumeric(request.form("level")) = true then
						intLevel = int(request.form("level"))
					else
						intLevel = 0
					end if
					
					'check that a valid category has been specified
					set rsCategories = server.createobject("adodb.recordset")
					sqlCategories = "SELECT Category_ID FROM FB_Categories WHERE Category_ID = "& intCategory &";"
					rsCategories.cursorlocation = 3
					rsCategories.open sqlCategories, adoConn
					if not (rsCategories.bof or rsCategories.eof) then
						intCategoriesCount = rsCategories.recordcount
						arrCategoriesData = rsCategories.getrows()
					else
						intCategoriesCount = 0
					end if
					rsCategories.close
					set rsCategories = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					if intCategoriesCount = 0 then
						response.redirect("../error.asp?Type=Article&Error=Category&Redirect=/Admin/articles_edit.asp")
					end if
					
					'check a valid folder has been specified
					if strImages <> "" and intBlogGalleryEnabled = 1 then
						
						'create file system obect
						set objFSO = server.createobject("scripting.filesystemobject")
						
						if objFSO.FolderExists(server.mappath("/") & strImages) = false then
							response.redirect("../error.asp?Type=Article&Error=Images&Redirect=/Admin/articles_edit.asp?"& intArticle)
						end if
						
						set objFSO = nothing
						
					end if
					
					'update article
					set rsArticles = server.createobject("adodb.recordset")
					sqlArticles = "UPDATE FB_Articles SET Article_Category_ID = "& intCategory &", Article_Title = '"& strTitle &"', Article_Excerpt = '"& strExcerpt &"', Article_Content = '"& strText &"', Article_Images = '"& strImages &"', Article_Status = "& intStatus &", Article_Comments = "& intComments &", Article_Level = "& intLevel &" WHERE Article_ID = "& intArticle &";"
					rsArticles.cursortype = 2
					rsArticles.locktype = 3
					rsArticles.open sqlArticles, adoConn
					set rsArticles = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Article updated</h1>")
					
					response.write("<p>")
						response.write("The article has been successfully updated. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>