<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsCategory, sqlCategory, intCategoryCount, arrCategoryData, rsCategories, sqlCategories, rsArticles, sqlArticles
dim strName
dim intCategory, intOrderNew, intOrderOld, intCount

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether we are deleting the category
				if request.form("delete") = 1 then
					
					'load and check variables
					if request.form("category") <> "" or isnumeric(request.form("category")) = true then
						intCategory = int(request.form("category"))
					else
						response.redirect("../error.asp?Type=Categories&Error=Category&Redirect=/Admin/category_edit.asp")
					end if
					
					'check this isn't the default catageory
					if intCategory = 1 then
						response.redirect("../error.asp?Type=Categories&Error=Default&Redirect=/Admin/category_edit.asp")
					end if
					
					'check catagory exists
					set rsCategory = server.createobject("adodb.recordset")
					sqlCategory = "SELECT Category_ID, Category_Order FROM FB_Categories WHERE Category_ID = "& intCategory &";"
					rsCategory.cursorlocation = 3
					rsCategory.open sqlCategory, adoConn
					if not (rsCategory.bof or rsCategory.eof) then
						intCategoryCount = rsCategory.recordcount
						arrcategoryData = rsCategory.getrows()
					else
						intCategoryCount = 0
					end if
					rsCategory.close
					set rsCategory = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check valid category was selected 
					if intCategoryCount = 0 then
						response.redirect("../error.asp?Type=Categories&Error=Category&Redirect=/Admin/category_edit.asp")
					end if
					
					'assign any articles assigned to this category to the default category
					set rsArticles = server.createobject("adodb.recordset")
					sqlArticles = "UPDATE FB_Articles SET Article_Category_ID = 1 WHERE Article_Category_ID = "& intCategory &";"
					rsArticles.cursortype = 2
					rsArticles.locktype = 3
					rsArticles.open sqlArticles, adoConn
					set rsArticles = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'delete category
					set rsCategory = server.createobject("adodb.recordset")
					sqlCategory = "DELETE FROM FB_Categories WHERE Category_ID = "& intCategory &";"
					rsCategory.cursortype = 2
					rsCategory.locktype = 3
					rsCategory.open sqlCategory, adoConn
					set rsCategory = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'update categories order
					set rsCategory = server.createobject("adodb.recordset")
					sqlCategory = "UPDATE FB_Categories SET Category_Order = (Category_Order - 1) WHERE Category_Order > "& arrCategoryData(1, 0) &";"
					rsCategory.cursortype = 2
					rsCategory.locktype = 3
					rsCategory.open sqlCategory, adoConn
					set rsCategory = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Category deleted</h1>")
					
					response.write("<p>")
						response.write("The category has been successfully deleted. All articles associated with this category have now been assigned to the default category. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				else
					
					'load and check variables
					if request.form("category") <> "" or isnumeric(request.form("category")) = true then
						intCategory = int(request.form("category"))
					else
						response.redirect("../error.asp?Type=Categories&Error=Category&Redirect=/Admin/category_edit.asp")
					end if
					
					if clean_text(request.form("name"), 0) <> "" then
						strName = clean_text(request.form("name"), 0)
					else
						response.redirect("../error.asp?Type=Categories&Error=Name&Redirect=/Admin/category_edit.asp")
					end if
					
					if request.form("neworder") <> "" and isnumeric(request.form("neworder")) = true then
						intOrderNew = int(request.form("neworder"))
					else
						response.redirect("../error.asp?Type=Categories&Error=Order&Redirect=/Admin/category_edit.asp?Category="& intCategory)
					end if
					
					if request.form("order") <> "" and isnumeric(request.form("order")) = true then
						intOrderOld = int(request.form("order"))
					else
						response.redirect("../error.asp?Type=Categories&Error=Order&Redirect=/Admin/category_edit.asp?Category="& intCategory)
					end if
					
					'check catagory exists
					set rsCategory = server.createobject("adodb.recordset")
					sqlCategory = "SELECT Category_ID, Category_Order FROM FB_Categories WHERE Category_ID = "& intCategory &";"
					rsCategory.cursorlocation = 3
					rsCategory.open sqlCategory, adoConn
					if not (rsCategory.bof or rsCategory.eof) then
						intCategoryCount = rsCategory.recordcount
						arrcategoryData = rsCategory.getrows()
					else
						intCategoryCount = 0
					end if
					rsCategory.close
					set rsCategory = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check valid category was selected 
					if intCategoryCount = 0 then
						response.redirect("../error.asp?Type=Categories&Error=Category&Redirect=/Admin/category_edit.asp")
					end if
					
					'update category details
					set rsCategory = server.createobject("adodb.recordset")
					sqlCategory = "UPDATE FB_Categories SET Category_Title = '"& strName &"', Category_Order = '"& intOrderNew &"' WHERE Category_ID = "& intCategory &";"
					rsCategory.cursortype = 2
					rsCategory.locktype = 3
					rsCategory.open sqlCategory, adoConn
					set rsCategory = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check whether category order has been changed
					if intOrderNew <> intOrderOld then
						
						'check whether new order is greater or smaller than current order
						if intOrderNew > intOrderOld then
							
							'update category orders
							set rsCategories = server.createobject("adodb.recordset")
							sqlCategories = "UPDATE FB_Categories SET Category_Order = (Category_Order - 1) WHERE Category_Order >= "& intOrderOld &" AND Category_Order <= "& intOrderNew &" AND Category_ID <> "& intCategory &";"
							rsCategories.cursortype = 2
							rsCategories.locktype = 3
							rsCategories.open sqlCategories, adoConn
							set rsCategories = nothing
							
							'increment query count
							intQuery = intQuery + 1
					
						else
							
							'update category orders
							set rsCategories = server.createobject("adodb.recordset")
							sqlCategories = "UPDATE FB_Categories SET Category_Order = (Category_Order + 1) WHERE Category_Order >= "& intOrderNew &" AND Category_Order <= "& intOrderOld &" AND Category_ID <> "& intCategory &";"
							rsCategories.cursortype = 2
							rsCategories.locktype = 3
							rsCategories.open sqlCategories, adoConn
							set rsCategories = nothing
							
							'increment query count
							intQuery = intQuery + 1
							
						end if
					
					end if
					
					'display confirmation
					response.write("<h1>Category edited</h1>")
					
					response.write("<p>")
						response.write("The category has been successfully edited. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>