<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsComments, sqlComments, intCommentsCount, arrCommentsData
dim strAuthor, strEmail, strWebsite, strAddress, strComment
dim intComment, intStatus

'check comments are enabled
if intBlogCommentEnabled = 0 then
	response.redirect("../error.asp?Type=Comments&Error=Disabled&Redirect=/Admin/default.asp")
end if

'check permission
call level_check(3)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				if request.form("delete") = 1 then
					
					'load and check variables
					if request.form("comment") <> "" or isnumeric(request.form("comment")) = true then
						intComment = int(request.form("comment"))
					else
						response.redirect("../error.asp?Type=Comments&Error=Comment&Redirect=/Admin/comment_edit.asp")
					end if
					
					'check a valid comment has been specified
					set rsComments = server.createobject("adodb.recordset")
					sqlComments = "SELECT Comment_ID FROM FB_Comments WHERE Comment_ID = "& intComment &";"
					rsComments.cursorlocation = 3
					rsComments.open sqlComments, adoConn
					if not (rsComments.bof or rsComments.eof) then
						intCommentsCount = rsComments.recordcount
						arrCommentsData = rsComments.getrows()
					else
						intCommentsCount = 0
					end if
					rsComments.close
					set rsComments = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'delete specified comment
					set rsComments = server.createobject("adodb.recordset")
					sqlComments = "DELETE FROM FB_Comments WHERE Comment_ID = "& intComment &";"
					rsComments.cursortype = 2
					rsComments.locktype = 3
					rsComments.open sqlComments, adoConn
					set rsComments = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Comment deleted</h1>")
					
					response.write("<p>")
						response.write("The comment has been successfully deleted. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				else
					
					'load and check variables
					if request.form("comment") <> "" or isnumeric(request.form("comment")) = true then
						intComment = int(request.form("comment"))
					else
						response.redirect("../error.asp?Type=Comments&Error=Comment&Redirect=/Admin/comment_edit.asp")
					end if
					
					if request.form("author") <> "" and request.form("author") <> "name" then
						strAuthor = clean_text(request.form("author"), 0)
					else
						response.redirect("../error.asp?Type=Comments&Error=Author&Redirect=/default.asp?Display="& intArticle)
					end if
					
					if request.form("email") <> "" and request.form("email") <> "email address" and validate_email(request.form("Email")) = true then
						strEmail = clean_text(request.form("email"), 0)
					else
						response.redirect("../error.asp?Type=Comments&Error=Email&Redirect=/default.asp?Display="& intArticle &"#Comments")
					end if
					
					if request.form("website") <> "" and lcase(request.form("website")) <> "website" then
						if left(request.form("website"), 7) <> "http://" then
							strWebsite = "http://"& clean_text(request.form("website"), 0)
						else
							strWebsite = clean_text(request.form("website"), 0)
						end if
					else
						strWebsite = NULL
					end if
					
					if request.form("text") <> "" then
						strComment = transform_BB(clean_text(request.form("text"), 0), 0)						
					else
						response.redirect("../error.asp?Type=Comments&Error=Content&Redirect=/Admin/comment_edit.asp")
					end if
					
					intStatus = 1
					
					'check a valid comment has been specified
					set rsComments = server.createobject("adodb.recordset")
					sqlComments = "SELECT Comment_ID FROM FB_Comments WHERE Comment_ID = "& intComment &";"
					rsComments.cursorlocation = 3
					rsComments.open sqlComments, adoConn
					if not (rsComments.bof or rsComments.eof) then
						intCommentsCount = rsComments.recordcount
						arrCommentsData = rsComments.getrows()
					else
						intCommentsCount = 0
					end if
					rsComments.close
					set rsComments = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					if intCommentsCount = 0 then
						response.redirect("../error.asp?Type=Comments&Error=Comment&Redirect=/Admin/comment_edit.asp")
					end if
					
					'delete specified comment
					set rsComments = server.createobject("adodb.recordset")
					sqlComments = "UPDATE FB_Comments SET Comment_Author_Name = '"& strAuthor &"', Comment_Author_Email = '"& strEmail &"', Comment_Author_Website = '"& strWebsite &"', Comment_Content = '"& strComment &"', Comment_Status = "& intStatus &" WHERE Comment_ID = "& intComment &";"
					rsComments.cursortype = 2
					rsComments.locktype = 3
					rsComments.open sqlComments, adoConn
					set rsComments = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Comment edited</h1>")
					
					response.write("<p>")
						response.write("The comment has been successfully edited. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>