<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsEvents, sqlEvents, intEventsCount, arrEventsData
dim strTitle, strDescription, strDate
dim intEvent, intYear, intMonth, intDay, intHour, intMinute

'check events are enabled
if intBlogEventsEnabled = 0 then
	response.redirect("../error.asp?Type=Events&Error=Disabled&Redirect=/Admin/default.asp")
end if

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether deleting event
				if request.form("delete") = 1 then
					
					'load and check variables
					if request.form("Event") <> "" and isnumeric(request.form("Event")) = true then
						intEvent = int(request.form("Event"))
					else
						response.redirect("../error.asp?Type=Events&Error=Event&Redirect=/Admin/events_edit.asp")
					end if
					
					'check event exists
					set rsEvents = server.createobject("adodb.recordset")
					sqlEvents = "SELECT Event_ID FROM FB_Events WHERE Event_ID = "& intEvent &";"
					rsEvents.cursorlocation = 3
					rsEvents.open sqlEvents, adoConn
					if not (rsEvents.bof or rsEvents.eof) then
						intEventsCount = rsEvents.recordcount
						arrEventsData = rsEvents.getrows()
					else
						intEventsCount = 0
					end if
					rsEvents.close
					set rsEvents = nothing
					
					if intEventsCount = 0 then
						response.redirect("../error.asp?Type=Events&Error=Event&Redirect=/Admin/events_edit.asp")
					end if
					
					'delete specified event
					set rsEvents = server.createobject("adodb.recordset")
					sqlEvents = "DELETE FROM FB_Events WHERE Event_ID = "& intEvent &";"
					rsEvents.cursortype = 2
					rsEvents.locktype = 3
					rsEvents.open sqlEvents, adoConn
					set rsEvents = nothing
					
					'display confirmation
					response.write("<h1>Event deleted</h1>")
					
					response.write("<p>")
						response.write("The event has been successfully deleted. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				else
					
					'load and check variables
					if request.form("Event") <> "" and isnumeric(request.form("Event")) = true then
						intEvent = int(request.form("Event"))
					else
						response.redirect("../error.asp?Type=Events&Error=Event&Redirect=/Admin/events_edit.asp")
					end if
					
					if clean_text(request.form("title"), 0) <> "" then
						strTitle = clean_text(request.form("title"), 0)
					else
						response.redirect("../error.asp?Type=Events&Error=Title&Redirect=/Admin/events_add.asp")
					end if
					
					if clean_text(request.form("description"), 1) <> "" then
						strDescription = clean_text(request.form("description"), 1)
					else
						response.redirect("../error.asp?Type=Events&Error=Description&Redirect=/Admin/events_add.asp")
					end if			
					
					if request.form("year") <> "" and int(request.form("year")) >= 2005 then
						intYear = request.form("year")
					else
						response.redirect("../error.asp?Type=Events&Error=Date&Redirect=/Admin/events_add.asp")
					end if
					
					if request.form("month") <> "" and int(request.form("month")) >= 1 and int(request.form("month")) <= 12 then
						intMonth = request.form("month")
					else
						response.redirect("../error.asp?Type=Events&Error=Date&Redirect=/Admin/events_add.asp")
					end if
					
					if request.form("day") <> "" and int(request.form("day")) >= 0 and int(request.form("day")) <= 31 then
						intDay = request.form("day")
						
						if day(dateadd("d", -1, dateserial(intYear, intMonth + 1, 1))) < int(intDay) then
							response.redirect("../error.asp?Type=Events&Error=Date&Redirect=/Admin/events_add.asp")
						end if
						
					else
						response.redirect("../error.asp?Type=Events&Error=Date&Redirect=/Admin/events_add.asp")
					end if
					
					if request.form("hour") <> "" and int(request.form("hour")) >= 0 and int(request.form("hour")) <= 24 then
						intHour = request.form("hour")
					else
						response.redirect("../error.asp?Type=Events&Error=Date&Redirect=/Admin/events_add.asp")
					end if
					
					if request.form("minute") <> "" and int(request.form("minute")) >= 0 and int(request.form("minute")) <= 60 then
						intMinute = request.form("minute")
					else
						response.redirect("../error.asp?Type=Events&Error=Date&Redirect=/Admin/events_add.asp")
					end if
					
					'set date
					strDate = intYear & intMonth & intDay & intHour & intMinute & "00"
					
					'update event
					set rsEvents = server.createobject("adodb.recordset")
					sqlEvents = "UPDATE FB_Events SET Event_Title = '"& strTitle &"', Event_Description = '"& strDescription &"', Event_Date_Start  = '"& strDate &"' WHERE Event_ID = "& intEvent &";"
					rsEvents.cursortype = 2
					rsEvents.locktype = 3
					rsEvents.open sqlEvents, adoConn
					set rsEvents = nothing
					
					'display confirmation
					response.write("<h1>Event edited</h1>")
					
					response.write("<p>")
						response.write("The event has been successfully edited. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>