<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsFeeds, sqlFeeds, intFeedsCount, arrFeedsData
dim strTitle, strAddress, strImage
dim intHeadlines, intOrder

'check feeds are enabled
if intBlogFeedEnabled = 0 then
	response.redirect("../error.asp?Type=Feeds&Error=Disabled&Redirect=/Admin/default.asp")
end if

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether form has been submitted
				if request.form = "" then
					
					'display add feed header
					response.write("<h1>Add feeds</h1>")
					
					'display add feed details
					response.write("<p>")
						response.write("Use the form below to add a new feed to the Forest Blog. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					response.write("<p>")
						response.write("New feeds are automatically added to the end of the current feed order, to change the feed order please use the edit feed function. If you add more feeds than you have specified in the <a href='settings_miscellaneous.asp' title='Miscellaneous settings'>Miscellaneous settings</a> only the feeds below that limit will be displayed.")
					response.write("</p>")
					
					'build feed form
					response.write("<form action='feeds_add.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for adding new feeds.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='title'><b>Feed title</b></label>:<br />The title of the feed that you wish to create.</td>")
								response.write("<td class='details'><input id='title' name='title' type='text' value="""" size='22' maxlength='200' tabindex='1' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='address'><b>Feed address</b></label>:<br />The address of the feed that you wish to create.</td>")
								response.write("<td class='details'><input id='address' name='address' type='text' value="""" size='22' maxlength='200' tabindex='2' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='image'><b>Feed image</b></label>:<br />The location of the image that you wish to associate with the feed.</td>")
								response.write("<td class='details'><input id='image' name='image' type='text' value="""" size='22' maxlength='200' tabindex='3' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='headlines'><b>Feed headlines</b></label>:<br />The number of feed headlines that you wish to display.</td>")
								response.write("<td class='details'><input id='headlines' name='headlines' type='text' value="""" size='22' maxlength='200' tabindex='4' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='5' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				else
					
					'load and check variables
					if clean_text(request.form("title"), 0) <> "" then
						strTitle = clean_text(request.form("title"), 0)
					else
						response.redirect("../error.asp?Type=Feeds&Error=Title&Redirect=/Admin/feeds_add.asp")
					end if
					
					if clean_text(request.form("address"), 0) <> "" then
						if left(request.form("address"), 7) <> "http://" then
							strAddress = "http://"& clean_text(request.form("address"), 0)
						else
							strAddress = clean_text(request.form("address"), 0)
						end if
					else
						response.redirect("../error.asp?Type=Feeds&Error=Address&Redirect=/Admin/feeds_add.asp")
					end if
					
					if clean_text(request.form("image"), 0) <> "" then
						strImage = clean_text(request.form("image"), 0)
					else
						strImage = NULL
					end if
					
					if isnumeric(request.form("headlines")) = true then
						intHeadlines = int(request.form("headlines"))
					else
						intHeadlines = 5
					end if
					
					'check whether the feed already exists
					set rsFeeds = server.createobject("adodb.recordset")
					sqlFeeds = "SELECT Feed_ID FROM FB_Feeds WHERE Feed_Title = '"& strTitle &"' OR Feed_Address = '"& strAddress &"';"
					rsFeeds.cursorlocation = 3
					rsFeeds.open sqlFeeds, adoConn
					if not (rsFeeds.bof or rsFeeds.eof) then
						intFeedsCount = rsFeeds.recordcount
						arrFeedsData = rsFeeds.getrows()
					else
						intFeedsCount = 0
					end if
					rsFeeds.close
					set rsFeeds = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					if intFeedsCount <> 0 then
						response.redirect("../error.asp?Type=Feeds&Error=Duplicate&Redirect=/Admin/feeds_add.asp")
					end if
					
					'count number of feeds
					set rsFeeds = server.createobject("adodb.recordset")
					sqlFeeds = "SELECT Feed_ID FROM FB_Feeds;"
					rsFeeds.cursorlocation = 3
					rsFeeds.open sqlFeeds, adoConn
					if not (rsFeeds.bof or rsFeeds.eof) then
						intFeedsCount = rsFeeds.recordcount
						arrFeedsData = rsFeeds.getrows()
					else
						intFeedsCount = 0
					end if
					rsFeeds.close
					set rsFeeds = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'insert new feed
					set rsFeeds = server.createobject("adodb.recordset")
					sqlFeeds = "INSERT INTO FB_Feeds (Feed_Title, Feed_Address, Feed_Image, Feed_Headlines, Feed_Order) VALUES ('"& strTitle &"', '"& strAddress &"', '"& strImage &"', "& intHeadlines &", "& intFeedsCount &");"
					rsFeeds.cursortype = 2
					rsFeeds.locktype = 3
					rsFeeds.open sqlFeeds, adoConn
					set rsFeeds = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Feed added</h1>")
					
					response.write("<p>")
						response.write("The feed has been successfully added. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>