<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->

<%
'dimension variables
dim rsReminder, sqlReminder, intReminderCount, arrReminderData, rsDetails, sqlDetails
dim strUsername, strEmail, strMessage, strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody

'load and check variables
strUsername = clean_text(request.form("name"), 0)
%>

<title>Forest Blog Administration >> Reminder</title>

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="login">
				<%
				'check whether user s currently logged in
				if session("FB_UserID") = "" then
					
					'check whether the email function is enabled
					if strBlogEmailComponent <> "NONE" then 
					
						'check whether user has entered any details
						if strUsername = "" or strUsername = "name" then
							
							'display reminder header
							response.write("<h1>Password reminder</h1>")
							
							'display reminder message
							response.write("<p>")
								response.write("If you have forgotten your password please complete the form below to have your user details emailed to your registered email address.")
							response.write("</p>")
							
							'display reminder form
							response.write("<form action='reminder.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
								
								response.write("<p>")
									response.write("<label for='name'>Username</label> <input id='name' name='name' type='text' value=""name"" size='22' maxlength='80' tabindex='1' onfocus=""this.value=''"" /> <input id='submit' name='submit' type='submit' tabindex='2' value=""Submit"" class='button' />")
								response.write("</p>")
								
							response.write("</form>")
							
						else
							
							'grab details for the specified user name
							set rsReminder = server.createobject("adodb.recordset")
							sqlReminder = "SELECT User_ID, User_Name, User_Password, User_Email, User_Login_Reminder FROM FB_Users WHERE User_Name = '"& strUsername &"';"
							rsReminder.cursorlocation = 3
							rsReminder.open sqlReminder, adoConn
							if not (rsReminder.bof or rsReminder.eof) then
								intReminderCount = rsReminder.recordcount
								arrReminderData = rsReminder.getrows()
							else
								intReminderCount = 0
							end if
							rsReminder.close
							set rsReminder = nothing
							
							'increment query count
							intQuery = intQuery + 1
							
							'check whether a valid user name was specified
							if intReminderCount = 0 then
								
								strMessage = "The username that you have specified could not be found."
								
							else
								
								'check user hasn't already requested a password reminder in the last hour
								if isnull(arrReminderData(4, 0)) = true or arrReminderData(4, 0) <= search_time("h", -1) then
									
									'update user details
									set rsDetails = server.createobject("adodb.recordset")
									sqlDetails = "UPDATE FB_Users SET User_Login_Reminder = "& db_time(intBlogTimeOffset) &" WHERE User_ID = "& arrReminderData(0, 0) &";"
									rsDetails.cursortype = 2
									rsDetails.locktype = 3
									rsDetails.open sqlDetails, adoConn
									set rsDetails = nothing
									
									'increment query count
									intQuery = intQuery + 1
									
									'construct email
									strEmailTo = SQL_decode(arrReminderData(3, 0))
									strEmailFrom = strBlogEmailAddress
									strEmailFromName = strBlogTitle
									strEmailSubject = strBlogTitle &": Password reminder"
									strEmailBody = "Hello <b>" & SQL_decode(arrReminderData(1, 0)) & "</b><p>You have received this email someone has completed the password reminder function using your details. Your account password is: <b>"& arrReminderData(2, 0) &"</b> If you didn't not request a password reminder you may disregard this e-mail and no further action is necassary.</p>" & strBlogEmailSignature
									
									'send email
									call send_email(strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody)
									
									'set confirmation message
									strMessage = "Your password reminder has been sent to your accounts registered email address."
									
								else
									
									'set message for reminder already sent
									strMessage = "Our records show that you have already submitted a password reminder request within the last hour. Please wait at least an hour before submitting another password reminder request."
									
								end if
								
							end if
							
						end if
						
					else
						
						strMessage = "The password reminder function has been disabled by the blog administrators."
						
					end if
					
					'check whether we have a message to display
					if strMessage <> "" then
						
						'display confirmation header
						response.write("<h1>Password reminder</h1>")
						
						'display confirmation message
						response.write("<p>")
							response.write(strMessage &" Please click <a href='"& strBlogLocation &"/default.asp' title='"& strBlogTitle &"'>here</a> if you are not redirected within 5 seconds.")
						response.write("</p>")
						
						'set redirection
						response.addheader "Refresh", "5; URL="& strBlogLocation &"/default.asp"
						
					end if
					
				else
					
					'redirect user to admin page
					response.redirect(strBlogLocation &"/Admin/default.asp")
					
				end if				
				%>
			</div>
			
			<div id="subcontent">
				
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>