<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsSettings, sqlSettings
dim intLinks, intLinksLimit, intFeeds, intFeedsLimit, intEvents, intSearchLimit

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether the form has been submitted
				if request.form = "" then
					
					'display links header
					response.write("<h1>Miscellaneous settings</h1>")
					
					'display links details
					response.write("<p>")
						response.write("Use the form below to set the miscellaneous settings for the Forest Blog. Please pay attention to the description of each value and click submit once you have made the necassary changes.")
					response.write("</p>")
					
					'build settings form
					response.write("<form action='settings_miscellaneous.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form for editing miscellaneous settings.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='links'><b>Links enabled</b></label>:<br />Enable or disable links.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='links' name='links' tabindex='1' class='select'>")
										select case intBlogLinkEnabled
											case 0
												response.write("<option value=""0"" selected='selected'>Disabled</option>")
												response.write("<option value=""1"">Enabled</option>")
											case 1
												response.write("<option value=""0"">Disabled</option>")
												response.write("<option value=""1"" selected='selected'>Enabled</option>")												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='linkslimit'><b>Link limit</b></label>:<br />Set the number of links to be displayed by default.</td>")
								response.write("<td class='details'><input id='linkslimit' name='linkslimit' type='text' value="""& intBlogLinkLimit &""" size='22' maxlength='200' tabindex='2' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='feeds'><b>Feeds enabled</b></label>:<br />Enable or disable RSS feeds.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='feeds' name='feeds' tabindex='3' class='select'>")
										select case intBlogFeedEnabled
											case 0
												response.write("<option value=""0"" selected='selected'>Disabled</option>")
												response.write("<option value=""1"">Enabled</option>")
											case 1
												response.write("<option value=""0"">Disabled</option>")
												response.write("<option value=""1"" selected='selected'>Enabled</option>")												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='feedslimit'><b>Feed limit</b></label>:<br />Set the number of feeds to be displayed by default.</td>")
								response.write("<td class='details'><input id='feedslimit' name='feedslimit' type='text' value="""& intBlogFeedLimit &""" size='22' maxlength='200' tabindex='4' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='events'><b>Events enabled</b></label>:<br />Enable or disable events.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='events' name='events' tabindex='5' class='select'>")
										select case intBlogEventsEnabled
											case 0
												response.write("<option value=""0"" selected='selected'>Disabled</option>")
												response.write("<option value=""1"">Enabled</option>")
											case 1
												response.write("<option value=""0"">Disabled</option>")
												response.write("<option value=""1"" selected='selected'>Enabled</option>")												
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='searchlimit'><b>Search limit</b></label>:<br />Set the number of seconds a user must wait between searches.</td>")
								response.write("<td class='details'><input id='searchlimit' name='searchlimit' type='text' value="""& intBlogSearchLimit &""" size='22' maxlength='200' tabindex='6' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='7' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				else
					
					'load and check variables					
					if request.form("links") <> "" and isnumeric(request.form("links")) = true then
						intLinks = int(request.form("links"))
					else
						intLinks = 0
					end if
					
					if request.form("linkslimit") <> "" and isnumeric(request.form("linkslimit")) = true then
						intLinksLimit = int(request.form("linkslimit"))
					else
						intLinksLimit = 10
					end if
					
					if request.form("feeds") <> "" and isnumeric(request.form("feeds")) = true then
						intFeeds = int(request.form("feeds"))
					else
						intFeeds = 0
					end if
					
					if request.form("feedslimit") <> "" and isnumeric(request.form("feedslimit")) = true then
						intFeedsLimit = int(request.form("feedslimit"))
					else
						intFeedsLimit = 3
					end if
					
					if request.form("events") <> "" and isnumeric(request.form("events")) = true then
						intEvents = int(request.form("events"))
					else
						intEvents = 0
					end if
					
					if request.form("searchlimit") <> "" and isnumeric(request.form("searchlimit")) = true then
						intSearchLimit = int(request.form("searchlimit"))
					else
						intSearchLimit = 3
					end if
					
					'update miscellaneous settings
					set rsSettings = server.createobject("adodb.recordset")
					sqlSettings = "UPDATE FB_Configuration SET Blog_Link_Enabled = "& intLinks &", Blog_Link_Limit = "& intLinksLimit &", Blog_Feed_Enabled = "& intFeeds &", Blog_Feed_Limit = "& intFeedsLimit &", Blog_Events_Enabled = "& intEvents &", Blog_Search_Limit = "& intSearchLimit &";"
					rsSettings.cursortype = 2
					rsSettings.locktype = 3
					rsSettings.open sqlSettings, adoConn
					set rsSettings = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'display confirmation
					response.write("<h1>Miscellaneous settings updated</h1>")
					
					response.write("<p>")
						response.write("The miscellaneous settings have been successfully updated. Please click <a href='"& strBlogLocation &"/Admin' title='Administration'>here</a> if you are not redirected within 5 seconds.")
					response.write("</p>")
					
					'set redirection
					response.addheader "Refresh", "5; URL="& strBlogLocation &"/Admin"
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>