<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsUsers, sqlUsers, intUsersCount, arrUsersData
dim strUser
dim intUser, intUsersLoop

'load and check variables
if request.querystring("User") <> "" and isnumeric(request.querystring("User")) = true then
	intUser = int(request.querystring("User"))
end if

if clean_text(request.querystring("Name"), 0) <> "" then
	strUser = clean_text(request.querystring("Name"), 0)
end if

'check permission
call level_check(4)
%>

<title>Forest Blog Administration</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Admin/Includes/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Includes/favicon.ico" />

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include file="Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="content">
				<%
				'check whether a user has been selected
				if intUser = "" and strUser = "" then
					
					'display users header
					response.write("<h1>Authorise users</h1>")
					
					'display users details
					response.write("<p>")
						response.write("The details of all of the unauthorised users registered with the Forest Blog are listed below. Click on the appropriate edit link to edit the specified pages contents")
					response.write("</p>")
					
					'grab last 50 registered users
					set rsUsers = server.createobject("adodb.recordset")
					'set SQL query based on database type and user level
					if strDatabase = "MSSQL" then
						sqlUsers = "SELECT User_ID, User_Name FROM FB_Users WHERE User_Level = 0 ORDER BY User_Date_Join DESC;"
					else
						sqlUsers = "SELECT User_ID, User_Name FROM FB_Users WHERE User_Level = 0 ORDER BY User_Date_Join DESC;"
					end if
					rsUsers.cursorlocation = 3
					rsUsers.open sqlUsers, adoConn
					if not (rsUsers.bof or rsUsers.eof) then
						intUsersCount = rsUsers.recordcount
						arrUsersData = rsUsers.getrows()
					else
						intUsersCount = 0
					end if
					rsUsers.close
					set rsUsers = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'build table container
					response.write("<table cellspacing='0' summary='List of the unauthorised users.'>")
						
						'buid table header
						response.write("<tr>")
							
							response.write("<th>Username</th><th class='options'>Options</th>")
								
						response.write("</tr>")
						
						'initialise counter
						intUsersLoop = 0
						
						'loop throug all categories
						do until intUsersLoop = intUsersCount
							
							response.write("<tr>")
							
								response.write("<td>"& SQL_decode(arrUsersData(1, intUsersLoop)) &"</td><td class='options'><a href='users_authorise.asp?User="& arrUsersData(0, intUsersLoop) &"' title='Edit user'>Edit</a></td>")
									
							response.write("</tr>")
							
							'increment query count
							intUsersLoop = intUsersLoop + 1
							
						loop
						
					response.write("</table>")
					
				else
					
					'check a valid user has been specified
					set rsUsers = server.createobject("adodb.recordset")
					'check whether to search by user id or user name
					if intUser <> "" then
						sqlUsers = "SELECT User_ID, User_Address, User_Date_Join, User_Date_Visit, User_Login_Count, User_Name, User_Email, User_Password, User_Level, User_Profile_ICQ, User_Profile_MSN, User_Profile_AIM, User_Profile_Website, User_Profile_Location, User_Profile_Biography, User_Ban_Expires, User_Ban_Reason FROM FB_Users WHERE User_ID = "& intUser &";"
					else
						sqlUsers = "SELECT User_ID, User_Address, User_Date_Join, User_Date_Visit, User_Login_Count, User_Name, User_Email, User_Password, User_Level, User_Profile_ICQ, User_Profile_MSN, User_Profile_AIM, User_Profile_Website, User_Profile_Location, User_Profile_Biography, User_Ban_Expires, User_Ban_Reason FROM FB_Users WHERE User_Name = '"& strUser &""";"
					end if
					rsUsers.cursorlocation = 3
					rsUsers.open sqlUsers, adoConn
					if not (rsUsers.bof or rsUsers.eof) then
						intUsersCount = rsUsers.recordcount
						arrUsersData = rsUsers.getrows()
					else
						intUsersCount =0
					end if
					rsUsers.close
					set rsUsers = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					if intUsersCount = 0 then
						response.redirect("../error.asp?Type=Users&Error=User&Redirect=/Admin/users_authorise.asp")
					end if
					
					'check whether user is already authorised
					if arrUsersData(8, 0) = 1 then
						response.redirect("../error.asp?Type=Users&Error=Authorised&Redirect=/Admin/users_authorise.asp")
					end if
					
					'display users header
					response.write("<h1>Authorise users</h1>")
					
					'display users details
					response.write("<p>")
						response.write("Use the form below to edit and authorise the specified user. If you do not wish to authorise the user please tick the delete button before submitting the form. Please pay attention to the description of each value and click submit once you have made the necassary changes. Fields marked with a * are required and must be completed.")
					response.write("</p>")
					
					'display user editing form
					response.write("<form action='users_submit.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
						
						response.write("<table cellspacing='0' summary='Form to edit user accounts.'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><b>ID#</b>:<br />The users unique ID number.</td>")
								response.write("<td class='details'>"& arrUsersData(0, 0) &"</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><b>Status</b>:<br />The users current status.</td>")
								response.write("<td class='details'>")
									
									'check for ban expirey
									if arrUsersData(15, 0) > db_time(intBlogTimeOffset) then
										response.write("<span class='banned'>Banned</span> (expires: "& web_time(arrUsersData(15, 0), strBlogTimeFormat, "FULL") &")<br />"& SQL_decode(arrUsersData(16, 0)))
									else
										if arrUsersData(8, 0) = 0 then
											response.write("<span class='banned'>Inactive</span>")
										else
											response.write("<span class='active'>Active</span>")
										end if
									end if
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><b>Address</b>:<br />The last IP address that the user connected from.</td>")
								response.write("<td class='details'>"& arrUsersData(1, 0) &"</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><b>Join date</b>:<br />The date that the user joined.</td>")
								response.write("<td class='details'>"& web_time(arrUsersData(2, 0), strBlogTimeFormat, "FULL") &"</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><b>Last on date</b>:<br />The date that the user was last on.</td>")
								response.write("<td class='details'>")
									if int(arrUsersData(4, 0)) = 0 then
										response.write("The user has not yet logged in.")
									else
										response.write(web_time(arrUsersData(3, 0), strBlogTimeFormat, "FULL"))
									end if
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><b>Login count</b>:<br />The date that the user was last on.</td>")
								response.write("<td class='details'>"& arrUsersData(4, 0) &"</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='name'><b>Username</b></label>: *<br />The username for the user, this must not be a duplicate of an existing user.</td>")
								response.write("<td class='details'><input id='name' name='name' type='text' value="""& arrUsersData(5, 0) &""" size='22' maxlength='200' tabindex='1' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='email'><b>Email address</b></label>: *<br />Any blog correspondance will be sent to this email address.</td>")
								response.write("<td class='details'><input id='email' name='email' type='text' value="""& arrUsersData(6, 0) &""" size='22' maxlength='200' tabindex='2' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='password'><b>Password</b></label>: *<br />Please ensure that you use a secure password.</td>")
								response.write("<td class='details'><input id='password' name='password' type='password' value="""& arrUsersData(7, 0) &""" size='22' maxlength='200' tabindex='3' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='level'><b>Level</b></label>:<br />Sets the users access level.</td>")
								response.write("<td class='details'>")
									
									response.write("<select id='level' name='level' tabindex='4' class='select'>")
										select case arrUsersData(8, 0)
											
											case 1
												response.write("<option value=""1"" selected=""selected"">User</option>")
												response.write("<option value=""2"">Author</option>")
												response.write("<option value=""3"">Editor</option>")
												response.write("<option value=""4"">Administrator</option>")
											case 2
												response.write("<option value=""1"">User</option>")
												response.write("<option value=""2"" selected=""selected"">Author</option>")
												response.write("<option value=""3"">Editor</option>")
												response.write("<option value=""4"">Administrator</option>")
											case 3
												response.write("<option value=""1"">User</option>")
												response.write("<option value=""2"">Author</option>")
												response.write("<option value=""3"" selected=""selected"">Editor</option>")
												response.write("<option value=""4"">Administrator</option>")
											case 4
												response.write("<option value=""1"">User</option>")
												response.write("<option value=""2"">Author</option>")
												response.write("<option value=""3"">Editor</option>")
												response.write("<option value=""4"" selected=""selected"">Administrator</option>")
											case else
												response.write("<option value=""1"" selected=""selected"">User</option>")
												response.write("<option value=""2"">Author</option>")
												response.write("<option value=""3"">Editor</option>")
												response.write("<option value=""4"">Administrator</option>")
											
										end select
									response.write("</select>")
									
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='icq'><b>ICQ number</b></label>:<br />Enter your ICQ number if you have one.</td>")
								response.write("<td class='details'><input id='icq' name='icq' type='text' value="""& arrUsersData(9, 0) &""" size='22' maxlength='50' tabindex='4' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='msn'><b>MSN address</b></label>:<br />Enter your MSN address if you have one.</td>")
								response.write("<td class='details'><input id='msn' name='msn' type='text' value="""& arrUsersData(10, 0) &""" size='22' maxlength='200' tabindex='5' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='aim'><b>AIM address</b></label>:<br />Enter your AIM address if you have one.</td>")
								response.write("<td class='details'><input id='aim' name='aim' type='text' value="""& arrUsersData(11, 0) &""" size='22' maxlength='200' tabindex='6' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='website'><b>Website</b></label>:<br />Enter your website address if you have one, this will be used when posting comments.</td>")
								response.write("<td class='details'><input id='website' name='website' type='text' value="""& arrUsersData(12, 0) &""" size='22' maxlength='200' tabindex='7' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='location'><b>Location</b></label>:<br />Enter your location.</td>")
								response.write("<td class='details'><input id='location' name='location' type='text' value="""& arrUsersData(13, 0) &""" size='22' maxlength='200' tabindex='8' class='text' /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='biography'><b>Biography</b></label>:<br />Enter your personal biography.</td>")
								response.write("<td class='details'><textarea id='biography' name='biography' cols='' rows='9' class='textarea'>"& arrUsersData(14, 0) &"</textarea></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='delete'><b>Delete user</b></label>:<br />Tick this box to delete this user from the Forest Blog.</td>")
								response.write("<td class='details'><input id='delete' name='delete' type='checkbox' tabindex='10' value=""1"" /></td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'>&nbsp;</td>")
								response.write("<td class='details'><input id='user' name='user' type='hidden' value="""& arrUsersData(0, 0) &""" /><input id='submit' name='submit' type='submit' tabindex='11' value=""Submit"" class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
						
					response.write("</form>")
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<%
				'display navigation
				call display_navigation()
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>