<%
'dimension variables
dim rsBlocked, sqlBlocked, rsLogin, sqlLogin, intLoginCount, arrLoginData
dim strBlocked, strCode
dim intID
dim booLogin

'check if the full address is being used
if left(lcase("http://"& request.servervariables("http_host")), 11) <> left(lcase(strBlogLocation), 11) then
	response.redirect(strBlogLocation & request.servervariables("script_name"))
end if

'check for user IP address
if request.servervariables("REMOTE_ADDR") <> "" then
	strBlocked = request.servervariables("REMOTE_ADDR")
else
	strBlocked = request.servervariables("HTTP_X_FORWARDED_FOR")
end if

'check whether the blog is enabled, the user is an admin and whether the user is in the admin section
if intBlogEnabled = 0 and session("FB_UserLevel") < 4 and instr(1, request.servervariables("url"), "admin", 1) = 0 then
	response.redirect(strBlogLocation &"/disabled.asp")
end if

'check for blocked ip addresses
set rsBlocked = server.createobject("adodb.recordset")
sqlBlocked = "SELECT * FROM FB_Blocked WHERE Block_Address = '"& strBlocked &"' AND (Block_Expires > "& db_time(intBlogTimeOffset) &" OR Block_Expires IS NULL);"
rsBlocked.open sqlBlocked, adoConn
if not(rsBlocked.bof or rsBlocked.eof) then
	session.abandon()
	response.redirect("blocked.asp")
end if
rsBlocked.close
set rsBlocked = nothing

'increment query count
intQuery = intQuery + 1

'check whether user is logged in and whether user has a valid cookie
if session("FB_UserID") = "" and request.cookies(strBlogTitle)("ID") <> "" then
		
	'set process login to true
	booLogin = true
	
	'grab cookie identification values
	intID = request.cookies(strBlogTitle)("ID")
	strCode = request.cookies(strBlogTitle)("Code")
	
	'grab details for the specified user name
	set rsLogin = server.createobject("adodb.recordset")
	sqlLogin = "SELECT User_ID, User_Name, User_Password, User_Activation, User_Level, User_Ban_Expires, User_Ban_Reason FROM FB_Users WHERE User_ID = "& intID &" AND User_Activation = "& strCode &";"
	rsLogin.cursorlocation = 3
	rsLogin.open sqlLogin, adoConn
	if not (rsLogin.bof or rsLogin.eof) then
		intLoginCount = rsLogin.recordcount
		arrLoginData = rsLogin.getrows()
	else
		intLoginCount = 0
	end if
	rsLogin.close
	set rsLogin = nothing
	
	'increment query count
	intQuery = intQuery + 1
	
	'check a valid user has been found
	if intLoginCount = 0 then
		
		'user not found the cookie is corrupt, delete cookies
		response.cookies(strBlogTitle).expires = now() - 1
		
		'set login to false
		booLogin = false
		
	end if
	
	'check account has been activated
	if arrLoginData(4, 0) = 0 then
		
		'user not found the cookie is corrupt, delete cookies
		response.cookies(strBlogTitle).expires = now() - 1
		
		'set login to false
		booLogin = false
		
	end if
	
	'check whether to proceed with login
	if booLogin = true then
		
		'set session variables
		session("FB_UserID") = arrLoginData(0, 0)
		session("FB_UserName") = arrLoginData(1, 0)
		session("FB_UserLevel") = arrLoginData(4, 0)
		
		'write user details to cookie
		response.cookies(strBlogTitle)("ID") = arrLoginData(0, 0)
		response.cookies(strBlogTitle)("Code") = arrLoginData(3, 0)
		response.cookies(strBlogTitle).expires = dateadd("yyyy", 1, now())
		
		'update users details
		set rsLogin = server.createobject("adodb.recordset")
		sqlLogin = "UPDATE FB_Users SET User_Date_Visit = '"& db_time(intBlogTimeOffset) &"', User_Login_Count = (User_Login_Count + 1), User_Address = '"& strBlocked &"', User_Ban_Expires = NULL, User_Ban_Reason = NULL WHERE User_ID = "& arrLoginData(0, 0) &";"
		rsLogin.cursortype = 2
		rsLogin.locktype = 3
		rsLogin.open sqlLogin, adoConn
		set rsLogin = nothing
		
		'increment query count
		intQuery = intQuery + 1
		
	end if

end if

'check whether blog is private and if user is logged in
if intBlogPrivate = 1 and session("FB_UserID") = "" then
	response.redirect(strBlogLocation &"/Admin/login.asp")
end if
%>