<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsComment, sqlComment, rsNotification, sqlNotification , intNotificationCount, arrNotificationData
dim strAuthor, strEmail, strWebsite, strComment, strAddress, strRedirect, strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody
dim intArticle, intStatus, intNotificationLoop
dim booSpam

'load and check variables
if request.form("article") <> "" and isnumeric(request.form("article")) = true then
	intArticle =  int(request.form("article"))
else
	response.redirect(strBlogLocation &"/error.asp?Type=Comments&Error=Article&Redirect=/default.asp")
end if

if clean_text(request.form("author"), 0) <> "" and request.form("author") <> "name" then
	strAuthor = clean_text(request.form("author"), 0)
else
	response.redirect(strBlogLocation &"/error.asp?Type=Comments&Error=Author&Redirect=/default.asp?Display="& intArticle)
end if

if clean_text(request.form("email"), 0) <> "" and request.form("email") <> "email address" and validate_email(request.form("Email")) = true then
	strEmail = clean_text(request.form("email"), 0)
else
	response.redirect(strBlogLocation &"/error.asp?Type=Comments&Error=Email&Redirect=/default.asp?Display="& intArticle &"#Comments")
end if

if clean_text(request.form("website"), 0) <> "" and lcase(request.form("website")) <> "website" then
	if left(request.form("website"), 7) <> "http://" then
		strWebsite = "http://"& clean_text(request.form("website"), 0)
	else
		strWebsite = clean_text(request.form("website"), 0)
	end if
else
	strWebsite = NULL
end if

if clean_text(request.form("comment"), 0) <> "" then
	strComment = transform_BB(clean_text(request.form("comment"), 0), 1)
else
	response.redirect(strBlogLocation &"/error.asp?Type=Comments&Error=Content&Redirect=/default.asp?Display="& intArticle &"#Comments")
end if

if request.servervariables("HTTP_X_FORWARDED_FOR") = "" then
	strAddress = request.servervariables("REMOTE_ADDR")
else
	strAddress = request.servervariables("HTTP_X_FORWARDED_FOR")
end If

if intBlogCommentModeration = 1 and session("FB_UserLevel") < 3 then
	intStatus = 0
else
	intStatus = 1
end if

strRedirect = request.form("redirect")

'check if user has posted a comment within the comment spam limit
set rsComment = server.createobject("adodb.recordset")
sqlComment = "SELECT * FROM FB_Comments WHERE Comment_Author_Address = '"& strAddress &"' AND Comment_Date > '"& search_time("s", -intBlogCommentLimit) &"';"
rsComment.cursorlocation = 3
rsComment.open sqlComment, adoConn
if not (rsComment.bof or rsComment.eof) then
	booSpam = true
else
	booSpam = false
end if
rsComment.close
set rsComment = nothing

'increment query count
intQuery = intQuery + 1

'redirect if user has already commented
if booSpam = true then
	response.redirect(strBlogLocation &"/error.asp?Type=Comments&Error=Spam&Redirect=/default.asp?Display="& intArticle &"#Comments")
end if
%>

<title><%=strBlogTitle%> >> Comment</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Common/favicon.ico" />
<script type="text/javascript" src="<%=strBlogLocation%>/Includes/inc-javascript.js"></script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include virtual="/Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="notification">
				<%
				'insert comment to the database
				set rsComment = server.createobject("adodb.recordset")
				sqlComment = "INSERT INTO FB_Comments (Comment_Article_ID, Comment_Author_Name, Comment_Author_Email, Comment_Author_Website, Comment_Author_Address, Comment_Date, Comment_Content, Comment_Status) VALUES ("& intArticle &", '"& strAuthor &"', '"& strEmail &"', '"& strWebsite &"', '"& strAddress &"', '"& db_time(intBlogTimeOffset) &"', '"& strComment &"', "& intStatus &");"
				rsComment.cursortype = 2
				rsComment.locktype = 3
				rsComment.open sqlComment, adoConn
				set rsComment = nothing
				
				'increment query count
				intQuery = intQuery + 1
				
				'check whether email notifications are enabled and comment does not require moderation
				if intBlogEmailNotification = 1 and intBlogCommentModeration = 0 then
					
					'grab details of all administrators
					set rsNotification = server.createobject("adodb.recordset")
					sqlNotification = "SELECT User_ID, User_Name, User_Email FROM FB_Users WHERE User_Level = 4 ORDER BY User_ID ASC;"
					rsNotification.cursorlocation = 3
					rsNotification.open sqlNotification, adoConn
					if not (rsNotification.eof or rsNotification.bof) then
						intNotificationCount = rsNotification.recordcount
						arrNotificationData = rsNotification.getrows()
					else
						intNotificationCount = 0
					end if
					rsNotification.close
					set rsNotification = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check that administrators have been returned
					if intNotificationCount <> 0 then
					
						'initialise
						intNotificationLoop = 0
						
						'loop through all administrators except the poster
						do until intNotificationLoop = intNotificationCount
								
							strEmailTo = SQL_decode(arrNotificationData(2, intNotificationLoop))
							strEmailFrom = strBlogEmailAddress
							strEmailFromName = strBlogTitle
							strEmailSubject = strBlogTitle &": New comment posted"
							strEmailBody = "Hi "& SQL_decode(arrNotificationData(1, intNotificationLoop)) &",<p>There has been a new comment posted on "& strBlogTitle &" by "& strAuthor &". You can view the article and the new comment by clicking the following link: <a href='"& strBlogLocation & strRedirect &"' title='Display article'>"& strBlogLocation &"/"& strRedirect &"</a>.</p>"& strBlogEmailSignature
							
							call send_email(strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody)
							
							'increment counter	
							intNotificationLoop = intNotificationLoop + 1	
							
						loop
					
					end if
					
				end if
				
				'check whether comment moderation are enabled
				if intBlogCommentModeration = 1 then
					
					'grab details of all administrators
					set rsNotification = server.createobject("adodb.recordset")
					sqlNotification = "SELECT User_ID, User_Name, User_Email FROM FB_Users WHERE User_Level >= 3 ORDER BY User_ID ASC;"
					rsNotification.cursorlocation = 3
					rsNotification.open sqlNotification, adoConn
					if not (rsNotification.eof or rsNotification.bof) then
						intNotificationCount = rsNotification.recordcount
						arrNotificationData = rsNotification.getrows()
					else
						intNotificationCount = 0
					end if
					rsNotification.close
					set rsNotification = nothing
					
					'increment query count
					intQuery = intQuery + 1
					
					'check that administrators have been returned
					if intNotificationCount <> 0 then
					
						'initialise
						intNotificationLoop = 0
						
						'loop through all administrators except the poster
						do until intNotificationLoop = intNotificationCount
								
							strEmailTo = SQL_decode(arrNotificationData(2, intNotificationLoop))
							strEmailFrom = strBlogEmailAddress
							strEmailFromName = strBlogTitle
							strEmailSubject = strBlogTitle &": New comment posted"
							strEmailBody = "Hi "& SQL_decode(arrNotificationData(1, intNotificationLoop)) &",<p>There has been a new comment posted on "& strBlogTitle &" by "& strAuthor &". The comment is currently awaiting authorisation so please log in to the <a href='"& strBlogLocation &"/Admin' title='Administration panel'>administration panel</a> as soon as possible.</p>"& strBlogEmailSignature
							
							call send_email(strEmailTo, strEmailFrom, strEmailFromName, strEmailSubject, strEmailBody)
							
							'increment counter
							intNotificationLoop = intNotificationLoop + 1
							
						loop
					
					end if
					
				end if
				
				'display message
				response.write("<h1>Comment submited</h1>")
				
				'check whether comment is authorised
				if intStatus = 1 then
					response.write("Your comment has been successfully submitted. Please click <a href='"& strBlogLocation &"/"& strRedirect &"'>here</a> if you are not redirected within 5 seconds.")
				else
					response.write("Your comment has been successfully submitted. Comment moderation is turned on so your comment will not appear until it has been authorised by an Editor or Administrator. Please click <a href='"& strBlogLocation &"/"& strRedirect &"'>here</a> if you are not redirected within 5 seconds.")
				end if
				
				'set redirection
				response.addheader "Refresh", "5; URL="& strBlogLocation &"/"& strRedirect
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>