<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsProfile, sqlProfile, intProfileCount, arrProfileData
dim intProfile

'load and check variables
if request.querystring("User") <> "" and isnumeric(request.querystring("User")) = true then
	intProfile = int(request.querystring("User"))
else
	response.redirect(strBlogLocation &"/error.asp?Type=Users&Error=Profile&Redirect=/default.asp")
end if

'grab specified user profile
set rsProfile = server.createobject("adodb.recordset")
sqlProfile = "SELECT User_Name, User_Profile_Biography, User_Login_Count, User_Date_Join, User_Date_Visit, User_Profile_ICQ, User_Profile_MSN, User_Profile_AIM, User_Profile_Website, User_Profile_Location FROM FB_Users WHERE User_ID = "& intProfile &";"
rsProfile.cursorlocation = 3
rsProfile.open sqlProfile, adoConn
if not (rsProfile.bof or rsProfile.eof) then
	intProfileCount = rsProfile.recordcount
	arrProfileData = rsProfile.getrows()
else
	intProfileCount = 0
end if
rsProfile.close
set rsProfile = nothing

'check a valid profile was specifid
if intProfileCount = 0 then
	response.redirect(strBlogLocation &"/error.asp?Type=Users&Error=Profile&Redirect=/default.asp")
end if
%>

<title><%=strBlogTitle%> >> Profile</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Common/favicon.ico" />
<script type="text/javascript" src="<%=strBlogLocation%>/Includes/inc-javascript.js"></script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include virtual="/Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="navigation">
				<!--#include virtual="/Includes/inc-navigation.asp"-->
			</div>
			
			<div id="content">
				<%
				'display blog breadcrumb
				call display_breadcrumb()
				
				'display profile header
				response.write("<h1>"& SQL_decode(arrProfileData(0, 0)) &"s profile</h1>")
				
				'display profile biography
				if arrProfileData(1, 0) <> "" then
					response.write("<p>")
						response.write("<i>"& SQL_decode(arrProfileData(1, 0)) &"</i>")
					response.write("</p>")
				end if
				
				'display all contact details
				response.write("<ul>")
					response.write("<li><b>Login count</b>: "& arrProfileData(2, 0) &"</li>")
					response.write("<li><b>Join date</b>: "& web_time(arrProfileData(3, 0), strBlogTimeFormat, "Full") &"</li>")
					response.write("<li><b>Last on</b>: "& web_time(arrProfileData(4, 0), strBlogTimeFormat, "Full") &"</li>")
					if arrProfileData(5, 0) <> "" then
						response.write("<li><b>ICQ</b>: "& SQL_decode(arrProfileData(5, 0)) &"</li>")
					end if
					if arrProfileData(6, 0) <> "" then
						response.write("<li><b>MSN</b>: "& SQL_decode(arrProfileData(6, 0)) &"</li>")
					end if
					if arrProfileData(7, 0) <> "" then
						response.write("<li><b>AIM</b>: "& SQL_decode(arrProfileData(7, 0)) &"</li>")
					end if
					if arrProfileData(8, 0) <> "" then
						response.write("<li><b>Homepage</b>: <a href='"& SQL_decode(arrProfileData(8, 0)) &"' title='Visit website' rel='external'>"& SQL_decode(arrProfileData(8, 0)) &"</a></li>")
					end if
					if arrProfileData(9, 0) <> "" then
						response.write("<li><b>Location</b>: "& SQL_decode(arrProfileData(9, 0)) &"</li>")
					end if
				response.write("</ul>")
				%>
			</div>
			
			<div id="subcontent">
				<!--#include virtual="/Includes/inc-subcontent.asp"-->
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>