<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->

<%
'dimension variables
dim rsPage, sqlPage, rsUpdate, sqlUpdate
dim intOrder
%>

<title>Version v1.0.X Updater</title>

<link rel="stylesheet" type="text/css" href="/Themes/Olive/inc-stylesheet.css" />
<link rel="shortcut icon" href=">/Themes/Olive/Common/favicon.ico" />
<script type="text/javascript" src="/Includes/inc-javascript.js"></script>

<style type="text/css">
	#content
	{
		width: 100%;
	}
	
	form
	{
		margin: 0;
		padding: 0;
	}
	
	form .text
	{
		width: 297px;
	}
	
	form .browse
	{
		width: 302px;
	}
	
	form .select
	{
		width: 303px;
	}
	
	form .textarea
	{
		width: 295px;
	}
	
	form .button
	{
		margin-right: 72px;
		float: right;
	}
	
	table 
	{
		width: 100%;
		padding: 0;
	}
	
	table th
	{
		font-weight: bold;
	}
	
	table .options
	{
		width: 18%;
		text-align: center;
		
		/* defines the optional details columns */
	}
	
	table .label
	{
		width: 30%;
		
		/* defines left hand column when displaying editing form */
	}
	
	table .details
	{
		width: 70%;
		
		/* defines right hand column in editing form */
	}
</style>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<h1>Forest Blog Update</h1>
			<h2>Update v1.0.x to v.1.1.0</h2>
		</div>
		
		<div id="centre">
			
			<div id="navigation">
				&nbsp;
			</div>
			
			<div id="content">
				<%			
				'check for form submission
				if request.form = "" then
					
					'display header
					response.write("<h1>v1.0.X Updater</h1>")
					
					'display instructions
					response.write("<p>")
						response.write("This updater will update any prior version of Forest Blog to v1.1.0. If you are using MySQL or MSSQL versions of Forest Blog this process will be entirely automatic. If you are using Access you will have to make some changes to the database manually.")
					response.write("</p>")
					
					response.write("<p>")
						response.write("Please select your Forest Blog version and database type from the form below and click update to continue.")
					response.write("</p>")
					
					response.write("<form action='update.asp' method='post' onsubmit=""this.submit.disabled=true;"">")
					
						response.write("<table cellspacing='0' summary='Your account details'>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='version'><b>Version</b>:<br />Please select your version of Forest Blog.</td>")
								response.write("<td class='details'>")
									response.write("<select id='version' name='version' tabindex='1' class='select'>")
										response.write("<option value='1'>v1.0.x</option>")
										response.write("<option value='2'>v1.0.8</option>")
									response.write("</select>")
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'><label for='database'><b>Database</b>:<br />Please select your database.</td>")
								response.write("<td class='details'>")
									response.write("<select id='database' name='database' tabindex='2' class='select'>")
										response.write("<option value='MYSQL'>MySQL</option>")
										response.write("<option value='MSSQL'>MSSQL</option>")
										response.write("<option value='ACCESS'>ACCESS</option>")
									response.write("</select>")
								response.write("</td>")
							response.write("</tr>")
							
							response.write("<tr valign='top'>")
								response.write("<td class='label'></td>")
								response.write("<td class='details'><input id='submit' name='submit' type='submit' tabindex='3' value='Update' class='button' /></td>")
							response.write("</tr>")
							
						response.write("</table>")
					response.write("</form>")
					
				else
					
					'check for version 1.0.8 updates required
					if int(request.form("version")) = 1 then

						'check what order to insert the page in
						set rsPage = server.createobject("adodb.recordset")
						sqlPage = "SELECT * FROM FB_Pages WHERE Page_Parent_ID = "& 1 &";"
						rsPage.cursorlocation = 3
						rsPage.open sqlPage, adoConn
						intOrder = rsPage.recordcount
						rsPage.close
						set rsPage = nothing
						
						'insert new page
						set rsPage = server.createobject("adodb.recordset")
						sqlPage = "INSERT INTO FB_Pages (Page_Title, Page_Parent_ID, Page_Type, Page_URL, Page_Protected, Page_Visible, Page_Order) VALUES ('Profile', 1, 0, '"& strBlogLocation &"/profile.asp', 1, 0, "& intOrder &");"
						rsPage.cursortype = 2
						rsPage.locktype = 3
						rsPage.open sqlPage, adoConn
						set rsPage = nothing

					end if
							
					'perform version 1.1.0 updates
					select case request.form("database")
						case "MYSQL"
							
							'add private blog column
							sqlUpdate = "ALTER TABLE FB_Configuration ADD Blog_Private INT NOT NULL DEFAULT '0';"
							adoConn.execute sqlUpdate
							
							'add sidebar column
							sqlUpdate = "ALTER TABLE FB_Configuration ADD Blog_Sidebar TEXT NULL;"
							adoConn.execute sqlUpdate
							
							'add article level column
							sqlUpdate = "ALTER TABLE FB_Articles ADD Article_Level INT NOT NULL DEFAULT '0';"
							adoConn.execute sqlUpdate
							
						case "MSSQL"
							
							'add configuration columns
							sqlUpdate = "ALTER TABLE FB_Configuration ADD Blog_Private INT NOT NULL DEFAULT '0', Blog_Sidebar TEXT NULL;"
							adoConn.execute sqlUpdate
							
							'add article level column
							sqlUpdate = "ALTER TABLE FB_Articles ADD Article_Level INT NOT NULL DEFAULT '0';"
							adoConn.execute sqlUpdate
							
						case "ACCESS"
							
							
					end select
					
					'display header
					response.write("<h1>Forest Blog Updated</h1>")
					
					'display instructions
					response.write("<p>")
						response.write("Forest Blog has been successfully updated to version 1.1.0. The new configuration options will now be available to you through the Forest Blog admin section. Please delete this page from your webserver as soon as possible.")
					response.write("</p>")
					
					if request.form("database") = "ACCESS" then
						response.write("<h2>Access users</h2>")
						
						response.write("<p>")
							response.write("As your Forest Blog is powered by Access you need to make some changes to the database manually. Please download your Access database and add the columns described below to the specified pages.")
						response.write("</p>")
						
						response.write("<h3>FB_Configuration</h3>")
						response.write("<ul>")
							response.write("<li>Column name: Blog_Private, Type: Number, Default: 0")
							response.write("<li>Column name: Blog_Sidebar, Type: Memo, Default: &#39;")
						response.write("</ul>")
						
						response.write("<h3>FB_Articles</h3>")
						response.write("<ul>")
							response.write("<li>Column name: Article_Level, Type: Number, Default: 0")
						response.write("</ul>")
					end if
					
				end if				
				%>
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			&nbsp;
		</div>
	</div>
	
</body>

</html>